-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2011 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 
CREATE TABLE SM_AcceleratorService (OID NUMBER NOT NULL, ClientAddresses BLOB, ClientClusters BLOB, ClientHostnames BLOB, ClientNodes BLOB, PRIMARY KEY (OID));
CREATE TABLE SM_AccessDomain (OID NUMBER NOT NULL, IsAllGroups NUMBER NOT NULL, IsDerived NUMBER NOT NULL, AccessDomain_federates NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ActivationKey (OID NUMBER NOT NULL, ExpirationDate TIMESTAMP, FeatureType VARCHAR2(64) NOT NULL, KeyIdentifier BLOB NOT NULL, KeyLocation VARCHAR2(256 CHAR), KeyStatus NUMBER NOT NULL, UsageCount NUMBER, UsageLimit NUMBER, installedOn_ComputerSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Activat_appliesTo_Softwar (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_AdminDomain (OID NUMBER NOT NULL, FarmType VARCHAR2(256), HighAvailabilityCapable NUMBER, HighAvailabilityEnabled NUMBER, HighAvailabilityPolicy VARCHAR2(4000), HostCount VARCHAR2(32), ProxyPath VARCHAR2(1024), VSCount VARCHAR2(32), WorkloadBalancing VARCHAR2(256), LabelPowerInput NUMBER, LabelPowerOutput NUMBER, DomainNumber NUMBER, OverSubscriptionPolicy NUMBER, RedundancyStatus NUMBER, NodeAddresses BLOB, NodeHostNames BLOB, PoolID VARCHAR2(1024), SufficientResources NUMBER, UnallocatedCPUs NUMBER, UnallocatedMemory NUMBER, DDB_Version VARCHAR2(64), AutoOptimization NUMBER, Energy NUMBER, OptimizationInterval NUMBER, PlacementCapability NUMBER, Platform NUMBER, ProxyHostName VARCHAR2(256), ProxyIPAddress VARCHAR2(39), ProxySetName VARCHAR2(256), SystemType NUMBER, isAccessSupported NUMBER, isRevokeAccessSupported NUMBER, AllowSuspended NUMBER, Automation NUMBER, CreatedBy VARCHAR2(256), HARelocation NUMBER, HARemoteRestart NUMBER, HighlyAvailable NUMBER, WorkloadIsolation VARCHAR2(1024), Priority NUMBER, requires_Policy NUMBER, ComputerSystem_controls NUMBER, VirtualAppliance_deployedAs NUMBER, SystemChassis_contains NUMBER, SAN_contains NUMBER, HardwareManagementConsole_con NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_AdminD_accessedVia_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ALIAS_MAP (ALIAS_GUID VARCHAR2(32) NOT NULL, PRIMARY_GUID VARCHAR2(32) NOT NULL, PRIMARY KEY (ALIAS_GUID));
CREATE TABLE SM_AuthenticationRegistry (OID NUMBER NOT NULL, RegistryHostname VARCHAR2(256) NOT NULL, RegistryPassword VARCHAR2(150), RegistryPort NUMBER, RegistryType VARCHAR2(256) NOT NULL, RegistryURL VARCHAR2(1024) NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_AuthReg_accessedVia_RSAP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, isDefault NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThresholdDefinition (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, EnableEventing NUMBER, ProgramPath VARCHAR2(256 CHAR) NOT NULL, QueueDepth NUMBER, ResendDelay NUMBER, SendDelay NUMBER, DTYPE NUMBER, ownedBy_MetricProvider NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_10 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_BaseThr_appliesTo_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_MetricD (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Physica (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Resourc (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_System (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_SystemC (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Battery (OID NUMBER NOT NULL, BatteryLifePercent NUMBER, BatteryStatus NUMBER, BatteryTemperature NUMBER, BatteryTimeRemaining NUMBER, Chemistry NUMBER, DesignCapacity NUMBER, DesignVoltage NUMBER, ExpectedLife NUMBER, FullChargeCapacity NUMBER, RemainingCapacity NUMBER, TimeToFullCharge NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_BootSettings (OID NUMBER NOT NULL, ActionToConsoleProblem NUMBER, AllowRemotePowerOn NUMBER, AutoRestartOnRestorePower NUMBER, BootProgram VARCHAR2(128), BootSubsystem VARCHAR2(64), CurrentBootMode VARCHAR2(32), KeyLockPosition NUMBER, LastBootMode VARCHAR2(32), LastBootState NUMBER, PanelKeyMode NUMBER, PowerSupplyState NUMBER, RestartType NUMBER, RunHardwareDiags NUMBER, SafeModeStart NUMBER, ScheduledRestart TIMESTAMP, ShowBootDisplay NUMBER, ShutdownTimeLimit NUMBER, StartNetworkServices NUMBER, StartPrintWriters NUMBER, WaitForDatabaseRecovery NUMBER, ComputerSystem_configuredUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_BTD_appliesTo_LN (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Activated NUMBER, SetState NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CacheBattery (OID NUMBER NOT NULL, AdjustedPowerOnDays NUMBER, CacheWritten NUMBER, DaysToError NUMBER, DaysToWarning NUMBER, Maintainable NUMBER, PowerOnDays NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Capability (OID NUMBER NOT NULL, CapabilityId VARCHAR2(256) NOT NULL, CapabilityName VARCHAR2(64) NOT NULL, CapabilityType VARCHAR2(64) NOT NULL, Expression VARCHAR2(512), Vendor VARCHAR2(64), CapabilityVersion VARCHAR2(32), PhysicalElement_advertises NUMBER, LogicalDevice_advertises NUMBER, ResourcePool_advertises NUMBER, Service_advertises NUMBER, SoftwareModule_advertises NUMBER, AcousticCapability NUMBER, AllocatedPowerCapable NUMBER, altitude_caps NUMBER, CpuUtilizationCapable NUMBER, IODrawerPowerCapable NUMBER, OutputPowerCapable NUMBER, PCapComponentControl NUMBER, performance_boost_caps NUMBER, power_capping_caps NUMBER, PowerCappingReadOnly NUMBER, power_capping_soft_caps NUMBER, PowerCycleInfoCapable NUMBER, power_meaurement_caps NUMBER, PowerRedundancyCapability NUMBER, SupportLevel NUMBER, UPSStateChangeCapable NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_CapGrp_federates_Cap (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ChangeBasedThresholdDefini (OID NUMBER NOT NULL, DefaultEventLevel NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ClusterAppController (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CUoDInsufficientResources NUMBER, DesiredCPUs NUMBER, DesiredMemory NUMBER, DesiredProcessingUnits NUMBER, DynamicCoD NUMBER, MinimumCPUs NUMBER, MinimumMemory NUMBER, MinimumProcessingUnits NUMBER, StartScript VARCHAR2(256), StopScript VARCHAR2(256), DTYPE NUMBER, Cluster_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ClusterAppMonitor (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CleanupMethod VARCHAR2(1024), FailureAction VARCHAR2(64), HungSignal NUMBER, InstanceCount NUMBER, DDB_Mode VARCHAR2(1024), MonitorInterval NUMBER, MonitorMethod VARCHAR2(1024), NotifyMethod VARCHAR2(1024), ProcessOwner VARCHAR2(64), Processes BLOB, RestartCount NUMBER, RestartInterval NUMBER, RestartMethod VARCHAR2(1024), StabilizationInterval NUMBER, DDB_Type VARCHAR2(64), DTYPE NUMBER, Cluster_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ClusterAp_hosts_ClusterAp (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ClusterResourceGroup (OID NUMBER NOT NULL, CommandTimeout NUMBER, DynamicNodePriorityPolicy VARCHAR2(64), FailoverPolicy VARCHAR2(64), FailoverScript VARCHAR2(1024), FallbackPolicy VARCHAR2(64), SitePolicy VARCHAR2(64), StartupPolicy VARCHAR2(64), DDB_State NUMBER, WPAREnabled NUMBER, Cluster_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ClusterRe_hosts_ClusterAp (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ClusterUserDefResource (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, AttributeData VARCHAR2(1024), DTYPE NUMBER, basedOn_ClusterUserDefinedRes NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ClusterUserDefRscType (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CleanupMethod VARCHAR2(1024), FailureNotificationMethod VARCHAR2(1024), MonitorMethod VARCHAR2(1024), OptionalAttributes VARCHAR2(1024), ProcessAtAfter VARCHAR2(1024), RequiredAttributes VARCHAR2(1024), RestartMethod VARCHAR2(1024), StartMethod VARCHAR2(1024), StopMethod VARCHAR2(1024), VerificationMethod VARCHAR2(1024), DTYPE NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Cluster_contains_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Cluster_contains_Operati (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Priority NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Cluster_federates_Cluster (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, DependencyType VARCHAR2(64), Priority NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Cluster_Types (CLUSTER_OID NUMBER, Types NUMBER);
CREATE TABLE SM_Collection (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CollectionID VARCHAR2(512), DTYPE NUMBER, AddressType NUMBER, AvailableAddresses NUMBER, DiscoveredAddresses NUMBER, NetworkType NUMBER, PrefixLength NUMBER, DDB_Public NUMBER, SubnetMask VARCHAR2(16), SubnetNumber VARCHAR2(40), UsableAddresses NUMBER, Cluster_contains NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_36 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Collection_memberOf_AccDom (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Collection_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CompletionAction (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, Operation BLOB, OrderIndex NUMBER, RestartType VARCHAR2(32) NOT NULL, DTYPE NUMBER, SoftwareInstallable_requires NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_39 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Compliance (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_40 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_ComplianceIssue (OID NUMBER NOT NULL, Instructions VARCHAR2(2000), Severity NUMBER NOT NULL, ComplianceResult_exposes NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ComplianceRecommendation (OID NUMBER NOT NULL, ApprovalState VARCHAR2(256), Instructions VARCHAR2(2000), RecommendationTime TIMESTAMP, RemediateDoneTime TIMESTAMP, RemediationWorkflowName VARCHAR2(256), SoftwareName VARCHAR2(256), appliesTo_System NUMBER, ComplianceIssue_resolvesFrom NUMBER, basedOn_TaskDefinition NUMBER, assignedTo_SoftwareModule NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ComplianceResult (OID NUMBER NOT NULL, CheckTime TIMESTAMP, Compliant NUMBER, DesiredStateElementTypeName VARCHAR2(256) NOT NULL, DseTypeDisplayName VARCHAR2(256) NOT NULL, LastScanTime TIMESTAMP, appliesTo_System NUMBER, resolvesFrom_DesiredStateElem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ComplianceSummary (OID NUMBER NOT NULL, ComplianceStatus NUMBER NOT NULL, LastCheckTime TIMESTAMP, SubCategory NUMBER NOT NULL, appliesTo_System NUMBER, appliesTo_Group NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Compliance_AccDomain_membe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Compliance_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Complian_basedOn_Software (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CompTemplate_feds_Template (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, TemplatePosition NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ComputerSystem (OID NUMBER NOT NULL, Architecture VARCHAR2(64), AssetTag VARCHAR2(256), Employed NUMBER, Encapsulated NUMBER, IsAccessSuppoorted NUMBER, IsRevokeAccessSupported NUMBER, LastBootUpTime TIMESTAMP, MachineType VARCHAR2(64), Manufacturer VARCHAR2(64), Model VARCHAR2(128), PartNumber VARCHAR2(256), PlatformManagerType VARCHAR2(256), PrimaryHostName VARCHAR2(256), ProductName VARCHAR2(256), SerialNumber VARCHAR2(128), SoftwareType VARCHAR2(256), SoftwareVersion VARCHAR2(128), SystemBoardUUID VARCHAR2(64), ClusterState NUMBER, MaxNumberOfNodes NUMBER, SitePolicyCommand VARCHAR2(1024), SitePolicyFailover NUMBER, Synched NUMBER, CoolingOutput NUMBER, SetTemperature NUMBER, HybridType NUMBER, HybridVersion VARCHAR2(128), AmperageCapacity NUMBER, AmperageUsed NUMBER, BatteryStatus NUMBER, CurrentLoad NUMBER, RemainingPowerPercent NUMBER, TotalPowerCapacity NUMBER, UPSState NUMBER, ActiveMobility NUMBER, Failed NUMBER, HypervisorPlatformRole VARCHAR2(64), HypervisorPlatformRoleSet NUMBER, HypervisorPlatformType NUMBER, HypervisorPlatformTypeString VARCHAR2(256), HypervisorPlatformVersion VARCHAR2(64), InactiveMobility NUMBER, MaximumRemoteRestartCapableLP NUMBER, MaximumSuspendCapableLPARs NUMBER, MultiNode NUMBER, PlatformManagerVersion VARCHAR2(256), PowerMgmtCapabilities NUMBER, RemoteRestartStatus NUMBER, VMID VARCHAR2(128), Virtual NUMBER, VirtualServerRelocation NUMBER, VirtualServerUniqueId VARCHAR2(128), VersionMatching VARCHAR2(64), AnsiT10Id VARCHAR2(256), DeviceName VARCHAR2(256), FRUNumber VARCHAR2(64), InstalledPorts NUMBER, ManagedIPAddress VARCHAR2(46), StackRole NUMBER, Stacked NUMBER, SwitchType VARCHAR2(32), SystemOID VARCHAR2(256), TotalPorts NUMBER, ChassisSubType NUMBER, ChassisType NUMBER, LabelPowerInput NUMBER, LabelPowerOutput NUMBER, System_hosts NUMBER, Cluster_federates NUMBER, HostPlatformPolicy_appliesTo NUMBER, HybridSystem_contains NUMBER, ScalePool_federates NUMBER, VirtualAppliance_deployedAs NUMBER, Fabric_contains NUMBER, Server_contains NUMBER, StorageSubsystem_contains NUMBER, Switch_federates NUMBER, ControllerType VARCHAR2(64), BootServerType NUMBER, RetailStore_federates NUMBER, AdminServerType NUMBER, ExternalPorts BLOB, InternalPorts BLOB, IsProgrammable NUMBER, NumberOfPorts NUMBER, PassThroughType NUMBER, ApplianceType VARCHAR2(128), PRIMARY KEY (OID));
CREATE TABLE SM_ComputerSystem_Dedicated (COMPUTERSYSTEM_OID NUMBER, Dedicated NUMBER);
CREATE TABLE SM_ComputerSystem_uses_File (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ConfigurationCapacity (OID NUMBER NOT NULL, DDB_Increment NUMBER, MaximumCapacity NUMBER, MinimumCapacity NUMBER, PackageType NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Controller (OID NUMBER NOT NULL, MaxNumberControlled NUMBER, ProtocolSupported NUMBER, TimeOfLastReset TIMESTAMP, CacheLineSize NUMBER, ClassCode NUMBER, DeviceSelectTiming NUMBER, ExpansionROMBaseAddress NUMBER, InterruptPin NUMBER, LatencyTimer NUMBER, SelfTestEnabled NUMBER, ControllerType NUMBER, BaseAddress VARCHAR2(64), MaxLatency NUMBER, MinGrantTime NUMBER, RevisionID VARCHAR2(16), SubsystemID NUMBER, SubsystemVendorID NUMBER, VendorID VARCHAR2(16), MaxMemorySupported NUMBER, NumberOfVideoPages NUMBER, VideoMemoryType NUMBER, InterfaceType NUMBER, USBVersion VARCHAR2(32), MaxBaudRate NUMBER, DMASupport NUMBER, BridgeType NUMBER, IOBase NUMBER, IOLimit NUMBER, MemoryBase NUMBER, MemoryLimit NUMBER, PrimaryBusNumber NUMBER, SecondaryBusNumber NUMBER, SubordinateBusNumber NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_CoolDomain_CS_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolDomain_LD_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolDomain_PE_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolingDevice (OID NUMBER NOT NULL, ActiveCooling NUMBER, CoolingState VARCHAR2(256), PRIMARY KEY (OID));
CREATE TABLE SM_CoolingDe_cools_ComputerS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolingDe_cools_LogicalDe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolingUn_cools_ComputerS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CoolingUn_cools_LogicalDe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CredentialMapping (OID NUMBER NOT NULL, Creator VARCHAR2(256), OperationalContext VARCHAR2(1074), SourceIdentityId NUMBER NOT NULL, TargetIdentityId NUMBER NOT NULL, definedUsing_RemoteServiceAcc NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_CRG_contains_ClustUsrDef (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_connectedTo_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_contains_PE (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_contains_SM (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_definedUsing_RAS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_deploysTo_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_DEPLOYSTO_SYS_POOL (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_needs_SoftwareModule (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_reliesOn_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_RELIESON_RES_POOL (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_RELIESON_SYS_POOL (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_supports_WorkloadInst (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_CS_uses_LogicalDevice (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DELETED_RELATIONSHIP (GUID VARCHAR2(32) NOT NULL, DeleteDate TIMESTAMP, OID NUMBER NOT NULL, RelationshipType VARCHAR2(64) NOT NULL, SourceGuid VARCHAR2(32) NOT NULL, SourceName VARCHAR2(256), SourceOID NUMBER NOT NULL, SourceObjectType VARCHAR2(64) NOT NULL, TargetGuid VARCHAR2(32) NOT NULL, TargetName VARCHAR2(256), TargetOID NUMBER NOT NULL, TargetObjectType VARCHAR2(64) NOT NULL, RELATIONSHIP_DEF_HC NUMBER NOT NULL, PRIMARY KEY (GUID));
CREATE TABLE SM_DELETED_RESOURCE (GUID VARCHAR2(32) NOT NULL, DeleteDate TIMESTAMP, Hidden NUMBER, Name VARCHAR2(256), OID NUMBER NOT NULL, ObjectType VARCHAR2(64) NOT NULL, PRIMARY KEY (GUID));
CREATE TABLE SM_DesiredStateElement (OID NUMBER NOT NULL, AppliedTime TIMESTAMP, Priority NUMBER, SoftwareInstallationState NUMBER, SoftwareRunningState NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Desi_configuredUsing_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Discovery (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_80 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_DiscoveryProfile (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, ProfileId VARCHAR2(64) NOT NULL, ProfileType VARCHAR2(64) NOT NULL, RelationshipTypes BLOB, ResourceTypes BLOB, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_81 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Discove_federates_Discove (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DiskGroup (OID NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_Display (OID NUMBER NOT NULL, Brightness NUMBER, ColorModePreset NUMBER, Contrast NUMBER, DisplayCharacteristics NUMBER, DisplayTechnologyType NUMBER, HorizontalFrequency NUMBER, HorizontalResolution NUMBER, InputSource VARCHAR2(32), InputSourceCapabilities BLOB, ScreenHeight NUMBER, ScreenWidth NUMBER, VerticalFrequency NUMBER, VerticalResolution NUMBER, BuiltIn NUMBER, DisplayType NUMBER, LightSource NUMBER, ScanMode NUMBER, SupportsColor NUMBER, Bandwidth NUMBER, BacklightPowerOnHours NUMBER, BeepDuration NUMBER, BeepFrequency NUMBER, BeepMode VARCHAR2(32), Bus VARCHAR2(32), LightSourceCount NUMBER, LightSourceType NUMBER, UnintendedTouch VARCHAR2(32), PRIMARY KEY (OID));
CREATE TABLE SM_DNSSettings (OID NUMBER NOT NULL, DNSDomainSuffixes BLOB, DNSListeningPort NUMBER, DNSProtocol NUMBER, DNSServerAddresses BLOB, DomainName VARCHAR2(256), NameLookupPolicy NUMBER, RegisterThisConnectionsAddress NUMBER, RequestedHostname VARCHAR2(64), RetryAttempts NUMBER, RetryInterval NUMBER, SearchLocalFirst NUMBER, UseSuffixWhenRegistering NUMBER, ComputerSystem_configuredUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_DomainRole (OID NUMBER NOT NULL, AllResources NUMBER, AccessDomain_federates NUMBER, definedUsing_InstanceAccessRo NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_DomainRole_assignedTo_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DR_UserGrp_Assoc (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DR_User_Assoc (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DSE_assignedTo_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DSE_assignedTo_System (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_DummyManagedElement (OID NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_DYNAMIC_PROPERTY (id NUMBER NOT NULL, isArray NUMBER, name VARCHAR2(255) NOT NULL, type NUMBER NOT NULL, value VARCHAR2(4000), appliesTo_ManagedElement NUMBER NOT NULL, PRIMARY KEY (id), CONSTRAINT UNQ_idname UNIQUE (id, name) DEFERRABLE, CONSTRAINT UNQ_appliesTo_Mana UNIQUE (appliesTo_ManagedElement, name) DEFERRABLE);
CREATE TABLE SM_DYNAMIC_PROPERTY_VALUES (DYNAMICPROPERTY_ID NUMBER, element VARCHAR2(4000), ordr NUMBER);
CREATE TABLE SM_ELEMENT_STORAGE (OID NUMBER NOT NULL, GUID VARCHAR2(32), EXTENSION_POINT VARCHAR2(256), FACTORY_OID NUMBER, RESOURCE_TYPE VARCHAR2(64), ofType_ES_Types NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_EnergyManagementCapability (ENERGYMANAGEMENTCAPABILITY_OID NUMBER, power_utilization_mode_caps NUMBER);
CREATE TABLE SM_ENERGY_MGMT_SERVICE (OID NUMBER NOT NULL, AcousticMode NUMBER, AcousticState NUMBER, AmeConfigData BLOB, AmeHandle NUMBER, AmeMajorVersion NUMBER, AmeMinorVersion NUMBER, AuxiliaryPower NUMBER, CoolingMultiplier NUMBER, IPLTime TIMESTAMP, InputStandbyPower NUMBER, LabelPowerInput NUMBER, MeteringActive NUMBER, MeteringInterval NUMBER, NodeCount NUMBER, NominalCPUSpeed NUMBER, NotifyOnUPSStateChange NUMBER, ObjectCount NUMBER, OutputStandbyPower NUMBER, PowerCap NUMBER, PowerCapHotPlugMax NUMBER, PowerCapMax NUMBER, PowerCapMin NUMBER, PowerCapSoftMin NUMBER, PowerCapType NUMBER, PowerCapUnit NUMBER, PowerCappingEnabled NUMBER, PowerCappingState NUMBER, PowerFactor NUMBER, PowerRedundancy NUMBER, PowerSaver NUMBER, PriceCurrencyType VARCHAR2(3), PriceKWh NUMBER, ProcessorPowerCycleCount NUMBER, ProcessorPowerCycleLimit NUMBER, RelatedPowerValues BLOB, TimeLastMetered TIMESTAMP, Voltage NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ES_ElementTypes (ES_TYPES_ELEMENT_TYPE NUMBER, ELEMENT_TYPES VARCHAR2(128));
CREATE TABLE SM_ES_TYPES (ELEMENT_TYPE NUMBER NOT NULL, PRIMARY KEY (ELEMENT_TYPE));
CREATE TABLE SM_Etherne_memberOf_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Etherne_memberOf_Virtual (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Fan (OID NUMBER NOT NULL, ControlMode NUMBER, DesiredSpeed NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Farm_federates_System (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_FileCollection (OID NUMBER NOT NULL, PropagateOnChange NUMBER, PropagateOnSync NUMBER, ComputerSystem_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_FileCol_contains_File (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_FileRepository (OID NUMBER NOT NULL, RootPath VARCHAR2(512), ComputerSystem_contains NUMBER, FileSystem_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_FileResource (OID NUMBER NOT NULL, Checksum VARCHAR2(64), ChecksumType VARCHAR2(16), ContentType VARCHAR2(64), CreationDate TIMESTAMP, ExternalLocation VARCHAR2(1024), GroupIdentifier VARCHAR2(128), LastAccessed TIMESTAMP, LastAntivirusCheck TIMESTAMP, LastModified TIMESTAMP, OwnerId VARCHAR2(128), FilePath VARCHAR2(1024) NOT NULL, Permissions VARCHAR2(32), Present NUMBER, IsPrimary NUMBER, RealSize NUMBER, FileSize NUMBER, Vendor VARCHAR2(64), FileVersion VARCHAR2(64), realizes_TemplateHandlerInfo NUMBER, realizes_SoftwareResource NUMBER, realizes_SoftwareInstallable NUMBER, realizes_SoftwareMetaDataCont NUMBER, ComputerSystem_contains NUMBER, FileRepository_contains NUMBER, FileSystem_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_FileShare (OID NUMBER NOT NULL, MountPoint VARCHAR2(256) NOT NULL, ReferencePoint VARCHAR2(256) NOT NULL, System_contains NUMBER, exposes_FileSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_FileSystem (OID NUMBER NOT NULL, AvailableSpace NUMBER, BlockSize NUMBER, CasePreserved NUMBER, CaseSensitive NUMBER, ClusterSize NUMBER, FileSystemSize NUMBER NOT NULL, FileSystemType NUMBER NOT NULL, HealthState NUMBER, InlineJournal NUMBER, Label VARCHAR2(256) NOT NULL, LogName VARCHAR2(256), MaxFileNameLength NUMBER, MaxLogSize NUMBER, FileMode VARCHAR2(256), MountOptions VARCHAR2(256), MountSource VARCHAR2(256), NFSExported NUMBER, NumberOfFiles NUMBER, OperatingState NUMBER, ReadOnly NUMBER, RealAvailableSpace NUMBER, RemoteHost VARCHAR2(256), Root VARCHAR2(512 CHAR) NOT NULL, VolumeGroup VARCHAR2(256), ComputerSystem_contains NUMBER, residesOn_LogicalVolume NUMBER, residesOn_PhysicalVolume NUMBER, residesOn_StorageVolume NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_GroupAc_federates_UserAcc (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_GroupApplicationData (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, ApplicationData BLOB, GroupAppDataGroupID NUMBER, DTYPE NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_GroupOfResources (OID NUMBER NOT NULL, DefColsMCTypes BLOB, DefColsPropIDs BLOB, IsDynamic NUMBER, GroupID VARCHAR2(64) NOT NULL, GroupSubType VARCHAR2(64), GroupType VARCHAR2(128), IsDeleteable NUMBER, IsRenameable NUMBER, MemberType VARCHAR2(64), ReadOnly NUMBER, Root NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Group_ImageSet (GROUP_OID NUMBER, ImageSet VARCHAR2(2000));
CREATE TABLE SM_Group_locatedAt_Location (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_HardwareManagementConsole_ (HARDWAREMANAGEMENTCONSOLE_OID NUMBER, ArchitectureManaged VARCHAR2(64));
CREATE TABLE SM_HCP_controls_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_HCP_uses_SoftwareResource (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_HOST_PLAT_POLICY_SETTINGS (OID NUMBER NOT NULL, hyper_platform_type NUMBER, hyper_platform_type_string VARCHAR2(256), hyper_platform_version VARCHAR2(64), PlatformManagerType VARCHAR2(256), SettingProviderID VARCHAR2(256) NOT NULL, SettingSeverity NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_HPPS_EXCLUDES_HPPS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_HPPS_REQUIRES_HPPS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_HPP_CONTAINS_HPPS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_IdentityForUsers (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CredentialType NUMBER NOT NULL, SearchKey VARCHAR2(256) NOT NULL, UserPrincipal VARCHAR2(256) NOT NULL, DTYPE NUMBER, AuthenticationRegistry_contai NUMBER, appliesTo_RemoteServiceAccess NUMBER, AuthenticationPassword VARCHAR2(150), AuthenticationProtocol NUMBER, ContextEngineId VARCHAR2(32), ContextName VARCHAR2(256), PrivacyPassword VARCHAR2(150), PrivacyProtocol NUMBER, ProfileName VARCHAR2(256), SNMPv3Version NUMBER, CertificateAlias VARCHAR2(256), IssuerName VARCHAR2(256), KeyStoreLocation VARCHAR2(1024), KeyStorePassword VARCHAR2(150), SerialNumber VARCHAR2(256), EnablePassword VARCHAR2(150), KeyFingerPrint VARCHAR2(2000), CredentialPassword VARCHAR2(150), Community VARCHAR2(150), SNMPVersion NUMBER, Passphrase VARCHAR2(150), PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_122 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Identity_AccDomain_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Identity_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ImageContainer (OID NUMBER NOT NULL, SourceId VARCHAR2(4000), ImageRepository_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ImageRepository (OID NUMBER NOT NULL, ImageRepositoryType NUMBER, UniqueId VARCHAR2(4000), controlledBy_ComputerSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ImgRepos_accessedVia_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ImgRepos_FileShare_basedOn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ImgRepos_StgPool_basedOn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_DISK_GROUP_USES (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_FILE_SHARE_BASEDON (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_STG_POOL_BASEDON (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_IMG_REPO_SHAREDBY_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, ControlledContainer VARCHAR2(256), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_InstAccRole_basedOn_InstPrm (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_InstanceAccessRole (OID NUMBER NOT NULL, IsDefaultRole NUMBER, IsSystemDefinedRole NUMBER NOT NULL, InstanceAccessRole_federates NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_InstancePermission (OID NUMBER NOT NULL, Category VARCHAR2(256), IsHidden NUMBER, PermissionId VARCHAR2(256) NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_InstancePermission_Categor (INSTANCEPERMISSION_OID NUMBER, Categories VARCHAR2(256));
CREATE TABLE SM_IPProto_memberOf_IPSubnet (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LANEndp_memberOf_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LANEndp_memberOf_Virtual (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LD_accessedVia_SAP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LD_controlledBy_Controller (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, TargetDeviceID VARCHAR2(256), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LD_memberOf_AccessDomain (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Ld_provides_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_LD_uses_SoftwareResource (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Location (OID NUMBER NOT NULL, Address VARCHAR2(1024 CHAR),  Aisle VARCHAR2(32 CHAR), Altitude NUMBER, Building VARCHAR2(64 CHAR), City VARCHAR2(64 CHAR), Country VARCHAR2(32 CHAR), DisplacedHeight NUMBER, Dominant NUMBER, Floor VARCHAR2(32 CHAR), Latitude VARCHAR2(16), LocationType NUMBER, Longitude VARCHAR2(16), OtherInfo VARCHAR2(256 CHAR), PhoneExtension VARCHAR2(30), PhoneNumber VARCHAR2(30), RoomNumber VARCHAR2(32), RoomRow VARCHAR2(32 CHAR), StateOrProvince VARCHAR2(32 CHAR), ZipCode VARCHAR2(16), PRIMARY KEY (OID));
CREATE TABLE SM_LogicalDevice (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, AllocationState NUMBER, AssetTag VARCHAR2(256), DeviceID VARCHAR2(1024) NOT NULL, HealthState NUMBER, ManufactureDate TIMESTAMP, Manufacturer VARCHAR2(256), Model VARCHAR2(256), OperatingState NUMBER, SerialNumber VARCHAR2(256), TimeLastMetered TIMESTAMP, TotalPowerOnHours NUMBER, DeviceVersion VARCHAR2(64), Virtual NUMBER, DTYPE NUMBER, ComputerSystem_contains NUMBER, ResourceAllocationSettings_de NUMBER, ResourcePool_contains NUMBER, allocatedFrom_ResourcePool NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_147 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_LogicalModule (OID NUMBER NOT NULL, LabelPowerInput NUMBER, LogicalModuleType NUMBER, ModuleNumber NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_LogicalNetwork (OID NUMBER NOT NULL, NetworkState NUMBER, NetworkType NUMBER, ProfileName VARCHAR2(100), TemplateName VARCHAR2(100), VLANid NUMBER, SystemPool_contains NUMBER, definedUsing_LogicalNetworkTe NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_LogicalPort (OID NUMBER NOT NULL, MaxSpeed NUMBER, NPIVCapable NUMBER, Speed NUMBER, ActiveMaximumTransmissionUnit NUMBER, AutoSense NUMBER, Enabled NUMBER, FullDuplex NUMBER, LinkTechnology NUMBER, NetworkAddresses BLOB, PermanentAddress VARCHAR2(64), PortNumber NUMBER, SupportedMaximumTransmissionU NUMBER, MaxDataSize NUMBER, ActiveFC4Types NUMBER, AvailableNPIVPorts NUMBER, AvailableNPIVTargetWWN NUMBER, NPIVFabricSupport NUMBER, TotalNPIVPorts NUMBER, TotalNPIVTargetWWN NUMBER, OtherPortType VARCHAR2(16), PCITechnology NUMBER, LogicalPortGroup_contains NUMBER, LogicalModule_contains NUMBER, Fabric_contains NUMBER, EthernetPort_hosts NUMBER, PCIDevice_routedThrough NUMBER, MaxDataWidth NUMBER, MaxTransferRate NUMBER, LIDMask NUMBER, LinkSpeedActive NUMBER, LinkWidthActive NUMBER, RingSpeed NUMBER, RingState NUMBER, SignalStrength NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_LogicalPortGroup (OID NUMBER NOT NULL, NameFormat NUMBER, ComputerSystem_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Logical_appliesTo_SystemP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Logical_locatedAt_Location (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Logical_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MediaAccessDevice (OID NUMBER NOT NULL, Capacity NUMBER, DataTransferRate NUMBER, DefaultBlockSize NUMBER, DeviceType NUMBER, LoadTime NUMBER, MaxAccessTime NUMBER, MaxBlockSize NUMBER, MaxMediaSize NUMBER, MediaIsLocked NUMBER, MediaLoaded NUMBER, MinBlockSize NUMBER, MountCount NUMBER, NeedsCleaning NUMBER, RemovableMedia NUMBER, SpinSpeed NUMBER, TimeOfLastMount TIMESTAMP, TotalMountTime NUMBER, UnloadTime NUMBER, NotBusyCount NUMBER, SampleCount NUMBER, TotalBytesWritten NUMBER, UnitNumber NUMBER, VendorType VARCHAR2(256), basedOn_StorageExtent NUMBER, DiskGroup_contains NUMBER, MaxPartitionCount NUMBER, MaxRewindTime NUMBER, Padding NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_MetricDefinition (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, Calculable NUMBER NOT NULL, CalculatorClassName VARCHAR2(256), DataTypeClassName VARCHAR2(256) NOT NULL, UniqueName VARCHAR2(256) NOT NULL, Units VARCHAR2(32) NOT NULL, DTYPE NUMBER, ownedBy_MetricProvider NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_156 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_MetricProvider (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, UniqueName VARCHAR2(256) NOT NULL, DDB_Version VARCHAR2(32) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_157 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_MetricSetDefinition (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DefaultExpirationHours NUMBER NOT NULL, MetricSetClassName VARCHAR2(256) NOT NULL, UniqueName VARCHAR2(256) NOT NULL, DTYPE NUMBER, ownedBy_MetricProvider NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_158 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_MetricSe_groups_MetricDe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Physica (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Resourc (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_System (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_SystemC (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ME_SourceTokens (SYSTEM_OID NUMBER, SourceTokens VARCHAR2(1024), RELATEDDATA_OID NUMBER, BASETHRESHOLDDEFINITION_OID NUMBER, COLLECTION_OID NUMBER, PHYSICALELEMENT_OID NUMBER, SETTINGS_OID NUMBER, METRICDEFINITION_OID NUMBER, METRICPROVIDER_OID NUMBER, METRICSETDEFINITION_OID NUMBER, COMPLIANCE_OID NUMBER, LOGICALDEVICE_OID NUMBER, TEMPLATE_OID NUMBER, TASKCONTENT_OID NUMBER, SERVICEACCESSPOINT_OID NUMBER, SOFTWAREPACKAGE_OID NUMBER, SOFTWARERESOURCE_OID NUMBER, CLUSTERAPPCONTROLLER_OID NUMBER, CLUSTERAPPMONITOR_OID NUMBER, CLUSTERUSERDEFINEDRESOURCE_OID NUMBER, SYSTEMCONTENT_OID NUMBER, IDENTITY_OID NUMBER, COMPLETIONACTION_OID NUMBER, RESOURCECRITERIA_OID NUMBER, REPORT_OID NUMBER, DISCOVERYPROFILE_OID NUMBER, DISCOVERY_OID NUMBER, GROUPAPPLICATIONDATA_OID NUMBER);
CREATE TABLE SM_MSD_appliesTo_LN (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_NASExportSettings (OID NUMBER NOT NULL, DDB_Permission NUMBER, Secure NUMBER, Squash NUMBER, Sync NUMBER, FileShare_securedWith NUMBER, ComputerSystem_provides NUMBER, FileSystem_securedWith NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_NetworkPort_memberOf_Zone (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_NetworkVLAN (OID NUMBER NOT NULL, DiscoveredSubnets NUMBER, DiscoveredSystems NUMBER, SAIdentifier NUMBER, TransmissionSize NUMBER, VLANId NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_NextHopRoute (OID NUMBER NOT NULL, ActualMTUSize NUMBER, AddressType NUMBER NOT NULL, ConfiguredLifetime NUMBER, ConfiguredMTUSize NUMBER, CreationSource VARCHAR2(64), DestinationAddress VARCHAR2(64) NOT NULL, DestinationMask VARCHAR2(64), ExpirationDate TIMESTAMP, InstanceID VARCHAR2(256) NOT NULL, IsStatic NUMBER, LastUpdatedDate TIMESTAMP, LifetimeRemaining NUMBER, NextHopAddress VARCHAR2(64), PrefixLength NUMBER, ProtocolType NUMBER, RouteDerivation NUMBER, RouteMetric NUMBER, RouteState NUMBER, RouteType NUMBER, TypeofService NUMBER, ComputerSystem_hosts NUMBER, ComputerSystem_manages NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_NextHopRoute_use_PE (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_NumericThresholdDefinition (OID NUMBER NOT NULL, HighCritical NUMBER, HighWarning NUMBER, LowCritical NUMBER, LowWarning NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_OperatingSystem (OID NUMBER NOT NULL, BuildNumber VARCHAR2(128), CodeSet VARCHAR2(64), ControllingNode NUMBER, CountryCode VARCHAR2(64), CurrentTimeZone NUMBER, DefaultPageSize NUMBER, DistroType VARCHAR2(64), FreePhysicalMemory NUMBER, FreeVirtualMemory NUMBER, IsAccessSuppoorted NUMBER, IsRevokeAccessSupported NUMBER, KernelType NUMBER, KernelVersion VARCHAR2(64), LanguageEdition VARCHAR2(64), LastBootUpTime TIMESTAMP, LocalDateTime TIMESTAMP, NumberOfLicensedUsers NUMBER, NumberOfProcesses NUMBER, NumberOfUsers NUMBER, OSType NUMBER, OSTypeString VARCHAR2(256), OSVersion VARCHAR2(64), SimultaneousMultiThreading NUMBER, SystemGuid VARCHAR2(64), TotalSwapSpaceSize NUMBER, TotalVirtualMemorySize NUMBER, TotalVisibleMemorySize NUMBER, bootsFrom_FileSystem NUMBER, installedOn_ComputerSystem NUMBER, runsOn_ComputerSystem NUMBER, StorageSubsystem_employs NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_OperatingSystemSettings (OID NUMBER NOT NULL, OperatingSystem_configuredUsi NUMBER, ClassicMode NUMBER, TerminalIdentifier VARCHAR2(32), ConfiguredControllerIds VARCHAR2(64), ControllerIdentifier VARCHAR2(32), IsMCF NUMBER, IsMaster NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_OS_uses_LD (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PassThroughModule_External (PASSTHROUGHMODULE_OID NUMBER, ExternalLinkTechnologies NUMBER);
CREATE TABLE SM_PassThroughModule_Internal (PASSTHROUGHMODULE_OID NUMBER, InternalLinkTechnologies NUMBER);
CREATE TABLE SM_PEP_bindsTo_PEP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PEP_connectedTo_PEP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PermissionCategory (OID NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_PERSISTENT_STORAGE (KEY_NAME VARCHAR2(128) NOT NULL, STORE_NAME VARCHAR2(128) NOT NULL, value BLOB, PRIMARY KEY (KEY_NAME, STORE_NAME));
CREATE TABLE SM_PE_assignedTo_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PE_locatedAt_Location (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, XCoordinate NUMBER, YCoordinate NUMBER, ZCoordinate NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PE_memberOf_AccessDomain (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PE_realizes_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PE_realizes_LD (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PhyConn_connectedTo_PhyConn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PhysicalComponent (OID NUMBER NOT NULL, RemovalConditions NUMBER, FormFactor NUMBER, BankLabel VARCHAR2(64), Capacity NUMBER, DataWidth NUMBER, InterleavePosition NUMBER, MemoryType NUMBER, PositionInRow NUMBER, Speed NUMBER, TotalWidth NUMBER, CleanerMedia NUMBER, DualSided NUMBER, MaxMounts NUMBER, MediaSize NUMBER, MediaType NUMBER, MountCount NUMBER, TimeOfLastMount TIMESTAMP, TotalMountTime NUMBER, WriteProtectOn NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PhysicalConnector (OID NUMBER NOT NULL, ConnectorGender NUMBER, ConnectorLayout NUMBER, ConnectorPinout NUMBER, NumPhysicalPins NUMBER, AltitudeCapabilities NUMBER, AuxiliaryPower NUMBER, BusNumber NUMBER, ConnectorType VARCHAR2(64), HeightAllowed NUMBER, InputCurrentType NUMBER, LabelPowerInput NUMBER, LengthAllowed NUMBER, MaxDataWidth NUMBER, SlotNumber NUMBER, OpenSwitch NUMBER, Ordinal NUMBER, PurposeDescription VARCHAR2(256), SlotDesignation VARCHAR2(128), SpecialPurpose NUMBER, SupportsHotPlug NUMBER, ThermalRating NUMBER, UnitOfPower NUMBER, PhysicalPackage_plugsInto NUMBER, PortNumber NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PhysicalElement (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CLEICode VARCHAR2(256), FRUNumber VARCHAR2(64), ManufactureDate TIMESTAMP, Manufacturer VARCHAR2(256), Model VARCHAR2(256), PartNumber VARCHAR2(256), ProductName VARCHAR2(256), PurchaseDate TIMESTAMP, SerialNumber VARCHAR2(256), Tag VARCHAR2(256) NOT NULL, UserTracking VARCHAR2(256 CHAR), VendorType VARCHAR2(256), ResourceVersion VARCHAR2(64), DTYPE NUMBER, ResourceAllocationSettings_de NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_191 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_PhysicalLink (OID NUMBER NOT NULL, MediaType NUMBER, Wired NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PhysicalPackage (OID NUMBER NOT NULL, Depth NUMBER, Height NUMBER, LocationTag VARCHAR2(256 CHAR), PackageGUID VARCHAR2(64), PackageType NUMBER, RemovalConditions NUMBER, Width NUMBER, HostingBoard NUMBER, RequiresDaughterBoard NUMBER, SlotLayout VARCHAR2(128 CHAR), SpecialRequirements NUMBER, configuredUsing_Configuration NUMBER, AudibleAlarm NUMBER, CageType NUMBER, InputCurrentType NUMBER, InputVoltage NUMBER, IsLocked NUMBER, LockPresent NUMBER, SecurityBreach NUMBER, ServicePhilosophy NUMBER, VisibleAlarm NUMBER, ChassisPackageType NUMBER, HeatGeneration NUMBER, NumberOfPowerCords NUMBER, RackMountable NUMBER, ElementCount NUMBER, LabelPowerInput NUMBER, PowerFactor NUMBER, SupportHardwareMaxPower NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Physica_contains_Physica (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, BayNumber NUMBER, XCoordinate NUMBER, YCoordinate NUMBER, ZCoordinate NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Physica_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Physic_accessedVia_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Physic_connectedTo_Physic (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Policy (OID NUMBER NOT NULL, PolicyKeywords BLOB, Priority NUMBER, Active NUMBER, CapacitySubType VARCHAR2(64), CapacityType NUMBER, DaysAvailable NUMBER, DaysExpired NUMBER, DaysRemaining NUMBER, DaysRequested NUMBER, Enabled NUMBER, GroupID VARCHAR2(128), HistoryRequestedDays NUMBER, HistoryUnreturnedDays NUMBER, UnitIncrement NUMBER, UnitLimit NUMBER, Minimum NUMBER, PoolID VARCHAR2(128), Reservation NUMBER, ResourceIdentifier VARCHAR2(256), ResourceSubType VARCHAR2(64), ResourceType NUMBER, SequenceNumber VARCHAR2(128), SnapshotPurpose VARCHAR2(64), SnapshotTime TIMESTAMP, Units VARCHAR2(32), VirtualLimit NUMBER, VirtualMinimum NUMBER, VirtualQuantity NUMBER, Weight NUMBER, hyper_platform_type NUMBER, hyper_platform_type_string VARCHAR2(256), hyper_platform_version VARCHAR2(64), PlatformManagerType VARCHAR2(256), PolicyID VARCHAR2(256), PolicyProviderID VARCHAR2(256), ACL VARCHAR2(12), AccessSecurity NUMBER, AffinityNegotiable NUMBER, AffinityWeight NUMBER, Consistency NUMBER, ConsistencyNegotiable NUMBER, ConsistencyWeight NUMBER, DataMigrateCapable NUMBER, DataMigrateCapableNegotiable NUMBER, DataMigrateCapableWeight NUMBER, IOOPS NUMBER, IOOPSNegotiable NUMBER, IOOPSWeight NUMBER, RaidLevel NUMBER, RaidLevelNegotiable NUMBER, RaidLevelWeight NUMBER, ReservationCapable NUMBER, ReservationNegotiable NUMBER, ReservationType NUMBER, ReservationWeight NUMBER, Reserved1 VARCHAR2(8), Reserved2 VARCHAR2(32), SecurityType NUMBER, SecurityNegotiable NUMBER, SecurityWeight NUMBER, ServerMobility NUMBER, ServerMobilityNegotiable NUMBER, ServerMobilityWeight NUMBER, SharedStorage NUMBER, SharedStorageNegotiable NUMBER, SharedStorageWeight NUMBER, StorageMobility NUMBER, StorageMobilityNegotiable NUMBER, StorageMobilityWeight NUMBER, FileSystem_provides NUMBER, ComputerSystem_definedUsing NUMBER, determinedBy_Card NUMBER, StoragePool_provides NUMBER, StorageVolume_basedOn NUMBER, requires_StoragePool NUMBER, requires_SystemPool NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PoolUplinkSettings (OID NUMBER NOT NULL, AllowedVLANList BLOB NOT NULL, PVID NUMBER NOT NULL, Tagged NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_PortCon_controls_Sensor (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_POSLogicalDevice (OID NUMBER NOT NULL, Bus VARCHAR2(32), CommunicationErrorCount NUMBER, DeviceCategory VARCHAR2(32), UnifiedPOSVersion VARCHAR2(32), LockPositionChangeCount NUMBER, PowerCycleCount NUMBER, UnexpectedResetsCount NUMBER, BarcodePrintedCount NUMBER, FailedPaperCutCount NUMBER, FailedPrintSideChangeCount NUMBER, FormInsertionCount NUMBER, HomeErrorCount NUMBER, JournalCharacterPrintedCount NUMBER, JournalLinePrintedCount NUMBER, MaximumTempReachedCount NUMBER, NVRAMWriteCount NUMBER, PaperCutCount NUMBER, PrintSideChangeCount NUMBER, PrinterFaultCount NUMBER, ReceiptCharacterPrintedCount NUMBER, ReceiptCoverOpenCount NUMBER, ReceiptLineFeedCount NUMBER, ReceiptLinePrintedCount NUMBER, SlipCharacterPrintedCount NUMBER, SlipCoverOpenCount NUMBER, SlipLineFeedCount NUMBER, SlipLinePrintedCount NUMBER, StampFiredCount NUMBER, DrawerFailedOpenCount NUMBER, DrawerOpenCloseCycleCount NUMBER, CurrentMICRNoiseValue NUMBER, FailedReadCount NUMBER, GoodReadCount NUMBER, CheckScannedCount NUMBER, CheckScannerBrightnessQuality NUMBER, CheckScannerContrastQuality NUMBER, CheckScannerFocusQuality NUMBER, ChecksFailedQualityCount NUMBER, GoodScanCount NUMBER, CapRecycler NUMBER, CurrencyCode VARCHAR2(16), DepositCashList VARCHAR2(128), DepositCodeList VARCHAR2(128), CurrencyTypeList VARCHAR2(128), ConfigurationVersion NUMBER, KeyPressedCount NUMBER, InvalidPINEntryCount NUMBER, ValidPINEntryCount NUMBER, ChallengeRequestCount NUMBER, FailedCardAuthenticationDataC NUMBER, FailedDeviceAuthenticationCou NUMBER, FailedWriteCount NUMBER, GoodCardAuthenticationDataCou NUMBER, GoodDeviceAuthenticationCount NUMBER, GoodWriteCount NUMBER, MissingStartSentinelTrack1Cou NUMBER, MissingStartSentinelTrack2Cou NUMBER, MissingStartSentinelTrack3Cou NUMBER, MissingStartSentinelTrack4Cou NUMBER, ParityLRCErrorTrack1Count NUMBER, ParityLRCErrorTrack2Count NUMBER, ParityLRCErrorTrack3Count NUMBER, ParityLRCErrorTrack4Count NUMBER, UnreadableCardCount NUMBER, GoodWeightReadCount NUMBER, FlashWriteFailedCount NUMBER, ImpactHeadFailedCount NUMBER, ReceiptPaperJamCount NUMBER, ReceiptPaperRemainingCount NUMBER, SlipFeedErrorCount NUMBER, ThermalPrintHeadFailure NUMBER, UnexpectedRecCoverOpenCount NUMBER, UnexpectedSlipCoverOpenCount NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PowerDomain_CS_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PowerDomain_LD_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PowerDomain_PE_federates (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PowerOutletGroup (OID NUMBER NOT NULL, AmperageCapacity NUMBER, AmperageUsed NUMBER, NumberOfOutlets NUMBER, PowerFactor NUMBER, Voltage NUMBER, PowerUnit_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PowerSource (OID NUMBER NOT NULL, IsACOutput NUMBER, OutputPowerUnits VARCHAR2(256), RatedMaxOutputPower NUMBER, Switchable NUMBER, OutletNumber VARCHAR2(256), Powered NUMBER, PowerOutletGroup_federates NUMBER, ActiveInputVoltage NUMBER, Range1InputFrequencyHigh NUMBER, Range1InputFrequencyLow NUMBER, Range1InputVoltageHigh NUMBER, Range1InputVoltageLow NUMBER, Range2InputFrequencyHigh NUMBER, Range2InputFrequencyLow NUMBER, Range2InputVoltageHigh NUMBER, Range2InputVoltageLow NUMBER, TotalOutputPower NUMBER, TypeOfRangeSwitching NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Powe_suppliesPowerTo_Comp (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Powe_suppliesPowerTo_Logi (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Printer (OID NUMBER NOT NULL, Port VARCHAR2(64), Queue VARCHAR2(64), PRIMARY KEY (OID));
CREATE TABLE SM_Process (OID NUMBER NOT NULL, CreationDate TIMESTAMP, ExecutionState NUMBER, ParentProcessID VARCHAR2(64), Priority NUMBER, ProcessID VARCHAR2(256) NOT NULL, TerminationDate TIMESTAMP, ProcessUser VARCHAR2(128), runsOn_ComputerSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Processor (OID NUMBER NOT NULL, AddressWidth NUMBER, CurrentClockSpeed NUMBER, DataWidth NUMBER, Family NUMBER, MaxClockSpeed NUMBER, NumberOfEnabledCores NUMBER, UniqueID VARCHAR2(256), VirtualAddress VARCHAR2(32), VirtualUniqueID VARCHAR2(128), PRIMARY KEY (OID));
CREATE TABLE SM_Process_performs_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ProtocolEndpoint (OID NUMBER NOT NULL, AutoStart NUMBER, CopyOfGUID VARCHAR2(64), HealthState NUMBER, LastUpdatedDate TIMESTAMP, OperatingState NUMBER, ActualMTUSize NUMBER, Broadcast VARCHAR2(256), ConfiguredMTUSize NUMBER, IsDynamic NUMBER, Gateway VARCHAR2(256), IPv4Address VARCHAR2(16), IPv6Address VARCHAR2(39), IPv6AddressType NUMBER, InterfaceType NUMBER, IsFloating NUMBER, IsManagement NUMBER, IsMulticast NUMBER, NetworkAddress VARCHAR2(64), NetworkName VARCHAR2(64 CHAR), Persistent NUMBER, PreferredLifetime NUMBER, PreferredLifetimeExpiration TIMESTAMP, PrefixLength NUMBER, ServiceIp NUMBER, SubnetMask VARCHAR2(16), TypeofService NUMBER, ValidLifetime NUMBER, ValidLifetimeExpiration TIMESTAMP, AccessExternalNetwork NUMBER, Aggregated NUMBER, AggregationRole NUMBER, DeviceName VARCHAR2(256 CHAR), LANID VARCHAR2(256), MACAddress VARCHAR2(17), MaxDataSize NUMBER, NetBootEnabled NUMBER, Priority NUMBER, ProtocolType NUMBER, System_hosts NUMBER, ClusterResourceGroup_contains NUMBER, Location_hosts NUMBER, LANEndpoint_federates NUMBER, GVRPStatus NUMBER, OperationalEndpointMode NUMBER, OperationalVLANTrunkEncapsula NUMBER, PortNumber NUMBER, ConnectionProtocol NUMBER, ConnectionStatus VARCHAR2(64), ConnectionType NUMBER, JobType NUMBER, MultiLinkEnabled NUMBER, PeerAnswerProfile VARCHAR2(64), ProfileMode NUMBER, AppendParentSuffixes NUMBER, AppendPrimarySuffixes NUMBER, DNSSuffixesToAppend BLOB, DomainName VARCHAR2(256), Hostname VARCHAR2(64), RegisterThisConnectionsAddress NUMBER, UseSuffixWhenRegistering NUMBER, SSID VARCHAR2(32), WEPEnabled NUMBER, WEPKeyMixEnabled NUMBER, InterfaceSpeed NUMBER, PhysicalPortNumber NUMBER, definedUsing_PoolUplinkSettin NUMBER, Role NUMBER, TargetRelativePortNumber NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_PwrSply_LD_suppliesPowerTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PwrSply_PE_suppliesPowerTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_PwrSply_Sys_suppliesPowerTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_RAS_basedOn_RAS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, isMaximum NUMBER NOT NULL, isMinimum NUMBER NOT NULL, isNext NUMBER NOT NULL, isPending NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Redunda_federates_System (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_RelatedData (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_219 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_RELATIONSHIP_INFO (RELATIONSHIP_GUID VARCHAR2(32) NOT NULL, CARDINALITY NUMBER NOT NULL, CHANGED_DATE TIMESTAMP, HIDDEN NUMBER, RELATIONSHIP_DEF_HC NUMBER NOT NULL, RELATIONSHIP_OID NUMBER NOT NULL, RELATIONSHIP_TYPE VARCHAR2(64) NOT NULL, SOURCE_GUID VARCHAR2(32) NOT NULL, SOURCE_NAME VARCHAR2(256), SOURCE_OID NUMBER NOT NULL, SOURCE_OBJECT_TYPE VARCHAR2(64) NOT NULL, TARGET_GUID VARCHAR2(32) NOT NULL, TARGET_NAME VARCHAR2(256), TARGET_OID NUMBER NOT NULL, TARGET_OBJECT_TYPE VARCHAR2(64) NOT NULL, PRIMARY KEY (RELATIONSHIP_GUID), CONSTRAINT UNQ_RELATIONSHSOUR UNIQUE (RELATIONSHIP_TYPE, SOURCE_OID, TARGET_OID) DEFERRABLE);
CREATE TABLE SM_RelData_AccDomain_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_RelData_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_RemotePort (OID NUMBER NOT NULL, AccessInfo VARCHAR2(1024), AccessType VARCHAR2(64), CommunicationState NUMBER, HealthState NUMBER, PortInfo VARCHAR2(128), System_hosts NUMBER, Authentication NUMBER, CommunityString VARCHAR2(50), NotificationMessage NUMBER, Privacy NUMBER, RetryCount NUMBER, SNMPVersion NUMBER, Timeout NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_RemoteServiceAccessPoint (OID NUMBER NOT NULL, AccessClass VARCHAR2(256), AccessInfo VARCHAR2(1024), AccessState VARCHAR2(256), AccessType VARCHAR2(64), CertificateDate TIMESTAMP, CertificateIssuer VARCHAR2(256), CertificatePushed NUMBER, CertificateSerial VARCHAR2(64), CommunicationState NUMBER, CredentialState NUMBER, HealthState NUMBER, Port NUMBER, PortProtocol NUMBER, TrustState NUMBER, UniqueId VARCHAR2(128), Verified NUMBER, RSAPVersion VARCHAR2(64), System_hosts NUMBER, PCIeSwitch_hosts NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_RemoteServiceAccessPoint_N (REMOTESERVICEACCESSPOINT_OID NUMBER, Namespaces VARCHAR2(1024));
CREATE TABLE SM_Remote_accessedVia_IPProt (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, IsManagement NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Report (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, Category VARCHAR2(256) NOT NULL, QueryId NUMBER, ReportDescription VARCHAR2(2000), DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_227 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_ResourceAllocSettings (OID NUMBER NOT NULL, Address VARCHAR2(256), AllocationUnits VARCHAR2(256), AutomaticAllocation NUMBER, AutomaticDeallocation NUMBER, CompatibilityMode VARCHAR2(64), ConsumerVisibility NUMBER, DataAccess VARCHAR2(16), HostResource BLOB, AllocationLimit NUMBER, MappingBehavior NUMBER, Minimum NUMBER, NwsdName VARCHAR2(256), Parent VARCHAR2(256), PoolID VARCHAR2(256), Reservation NUMBER, ResourceSubType VARCHAR2(64), ResourceType NUMBER NOT NULL, StorageSequence VARCHAR2(16), SettingsPurpose VARCHAR2(256), StorageVolumeName VARCHAR2(256), UniqueID VARCHAR2(1024), VirtualLimit NUMBER, VirtualLimitPct NUMBER, VirtualMinimum NUMBER, VirtualMinimumPct NUMBER, VirtualQuantity NUMBER, VirtualQuantityPct NUMBER, Weight NUMBER, PhysicalElement_configuredUsi NUMBER, VirtualSystemSettings_contains NUMBER, allocatedFrom_ResourcePool NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ResourceCriteria (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, QueryString CLOB, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_229 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_ResourcePool (OID NUMBER NOT NULL, AllocationUnits VARCHAR2(32), AvailableCapacity NUMBER, Capacity NUMBER, DefaultAllocation NUMBER, AllocationIncrement NUMBER, AllocationLimit NUMBER, MaximumAllocation NUMBER, MinimumAllocation NUMBER, Primordial NUMBER, RealAvailableCapacity NUMBER, Reserved NUMBER, ResourceSubType VARCHAR2(64), ResourceType NUMBER NOT NULL, AnsiT10Id VARCHAR2(256), LargestSlice NUMBER, LowSpaceWarningThreshPercent NUMBER, LowSpaceWarningThreshold NUMBER, MirrorProtected NUMBER, PoolType NUMBER, RAIDLevel VARCHAR2(16), RemainingManagedSpace NUMBER, RemoteMirrored NUMBER, ShareVolumes NUMBER, TotalManagedSpace NUMBER, ComputerSystem_hosts NUMBER, allocatedFrom_ResourcePool NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_RetailStore (OID NUMBER NOT NULL, StoreIdentifier VARCHAR2(64) NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_SAP_AccessDomain_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SAP_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Sensor (OID NUMBER NOT NULL, CurrentState VARCHAR2(128), PollingInterval NUMBER, SensorType NUMBER, Accuracy NUMBER, BaseUnits NUMBER, CurrentReading NUMBER, Hysteresis NUMBER, InputVoltage NUMBER, IsLinear NUMBER, LastValue NUMBER, LowerThresholdCritical NUMBER, LowerThresholdFatal NUMBER, LowerThresholdNonCritical NUMBER, MaxReadable NUMBER, DDB_MaxValue NUMBER, MinReadable NUMBER, NominalReading NUMBER, NormalMax NUMBER, NormalMin NUMBER, PowerFactor NUMBER, RateUnits NUMBER, Resolution NUMBER, UnitModifier NUMBER, UpperThresholdCritical NUMBER, UpperThresholdFatal NUMBER, UpperThresholdNonCritical NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Sensor_LD_appliesTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Sensor_PE_appliesTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Sensor_SYS_appliesTo (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SEQUENCE (SEQ_NAME VARCHAR2(255) NOT NULL, SEQ_VAL NUMBER, PRIMARY KEY (SEQ_NAME));
CREATE TABLE SM_Server_controls_Server (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Server_HypervisorPlatformT (SERVER_OID NUMBER, HypervisorPlatformTags VARCHAR2(1024));
CREATE TABLE SM_Server_memberOf_Logical (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Service (OID NUMBER NOT NULL, ActiveElapsedTime NUMBER, BackupIPAddress VARCHAR2(64), DeviceNames BLOB, HealthState NUMBER, LimitedMode NUMBER, ManagementPort NUMBER, MemorySize NUMBER, NumberOfCPUCores NUMBER, NumberOfConnections NUMBER, OperatingState NUMBER, PrimaryIPAddress VARCHAR2(64), ServiceActivation VARCHAR2(256), ServiceIPAddresses BLOB, ServiceName VARCHAR2(256 CHAR) NOT NULL, ServiceStatus VARCHAR2(256), ServiceType VARCHAR2(64), StartOrder VARCHAR2(64), Started NUMBER, TransportType VARCHAR2(256), Vendor VARCHAR2(256), ServiceVersion VARCHAR2(64), System_provides NUMBER, PhysicalElement_provides NUMBER, ResourcePool_provides NUMBER, Service_redundantTo NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ServiceAccessPoint (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_243 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Service_accessedVia_SAP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Service_CommandPorts (SERVICE_OID NUMBER, CommandPorts NUMBER(32));
CREATE TABLE SM_Settings (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, ChangeableType NUMBER, SettingID VARCHAR2(512) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_246 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Settings_AccDomain_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Settings_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwFeature_feds_SftwFeatu (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwImage_basedOn_StgExt (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwInstable_represents_SM (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, Priority NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwInstallable_appliesTo_ (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwMod_definedUsing_SMDC (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwMod_installedOn_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwMod_latestFor_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwMod_recommendedFor_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwMod_requires_SftwMod (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwPkg_memberOf_AccDomain (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwRes_memberOf_AccDomain (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwRes_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwRes_provides_Service (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwRes_requires_SftwRes (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SftwRes_supersedes_SftwRes (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Slot_SlotTypes (SLOT_OID NUMBER, SlotTypes NUMBER);
CREATE TABLE SM_SoftwareInstallable (OID NUMBER NOT NULL, BuildNumber VARCHAR2(128), Draft NUMBER, IdentifyingNumber VARCHAR2(256), InstallPath VARCHAR2(256), Status NUMBER, Vendor VARCHAR2(64), SoftwareVersion VARCHAR2(128) NOT NULL, CreateUser VARCHAR2(64), CreationDateTime TIMESTAMP, ImageType NUMBER, Pending NUMBER, FileRepository_contains NUMBER, ImageContainer_contains NUMBER, VirtualAppliance_assimilates NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SoftwareMetaDataContent (OID NUMBER NOT NULL, Checksum VARCHAR2(64), ChecksumType VARCHAR2(16), ContentType VARCHAR2(64), ContentSize NUMBER, Vendor VARCHAR2(64), FileVersion VARCHAR2(64), PRIMARY KEY (OID));
CREATE TABLE SM_SoftwareModule (OID NUMBER NOT NULL, BuildDate TIMESTAMP, BuildNumber VARCHAR2(128), Category NUMBER, ComponentName VARCHAR2(256), Draft NUMBER, IdentifyingNumber VARCHAR2(64 CHAR), PackageType VARCHAR2(64), ReleaseDate TIMESTAMP, SoftwareID VARCHAR2(256 CHAR), Uninstallable NUMBER, Vendor VARCHAR2(64 CHAR), SoftwareVersion VARCHAR2(128) NOT NULL, AcquiredDate TIMESTAMP, ActualSize NUMBER, Coexist NUMBER, Downloaded NUMBER, ExternallyHosted NUMBER, Filenames BLOB, FixType NUMBER, ImpactStatement VARCHAR2(64), LastCheckForDate TIMESTAMP, Platform VARCHAR2(64), ProblemRecordID VARCHAR2(64), ProviderSubType VARCHAR2(64), ProviderType VARCHAR2(64), RecommendedForOSLevel VARCHAR2(32), RepositoryProtocol VARCHAR2(16), RestartRequired NUMBER, RestartType VARCHAR2(32), Severity NUMBER, Status NUMBER, Superseded NUMBER, TargetProductVersion VARCHAR2(8), TargetRuntime NUMBER, TotalSize NUMBER, UpdateID VARCHAR2(256 CHAR), UpdateType NUMBER, XCategory VARCHAR2(64), StackType NUMBER, GroupType NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SoftwarePackage (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_268 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_SoftwareRequirement (OID NUMBER NOT NULL, DDB_Type VARCHAR2(64), DDB_Values BLOB, SoftwareResourceTemplate_requ NUMBER, SoftwareInstallable_requires NUMBER, SoftwareModule_requires NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SoftwareResource (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, BuildDate TIMESTAMP, BuildNumber VARCHAR2(128), DesiredState NUMBER, InstallDate TIMESTAMP, InstallationState NUMBER, LastUpdatedDate TIMESTAMP, ObservedState NUMBER, OfferingClassCode VARCHAR2(128), Pending NUMBER, ProductReleaseID VARCHAR2(128), Vendor VARCHAR2(64), SoftwareVersion VARCHAR2(128), DTYPE NUMBER, SoftwareModule_installedAs NUMBER, definedUsing_SoftwareResource NUMBER, installedOn_ComputerSystem NUMBER, installedOn_OperatingSystem NUMBER, FixType NUMBER, IdentifyingNumber VARCHAR2(64), SoftwareInstalledLocation VARCHAR2(512), SoftwareName VARCHAR2(512), FixedSoftwareVersion VARCHAR2(128), BackupVersion VARCHAR2(128), Category NUMBER, DeviceType VARCHAR2(256), InstalledLocation VARCHAR2(512 CHAR), PackageID VARCHAR2(128 CHAR), SoftwareID VARCHAR2(256), SubCategory VARCHAR2(64), FeatureCode VARCHAR2(64), FeatureID VARCHAR2(64), FeatureType VARCHAR2(64), CreationDate TIMESTAMP, FixGroupType NUMBER, fixes_SoftwareInstallation NUMBER, SoftwareInstallation_configur NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_270 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_Softwar_appliesTo_Compute (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Softwar_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Softwa_supersedes_Softwa (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SrvTemplate_definedUsing_SM (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Status (OID NUMBER NOT NULL, CategoryId VARCHAR2(256) NOT NULL, Severity NUMBER NOT NULL, appliesTo_System NUMBER, appliesTo_RelatedData NUMBER, appliesTo_Collection NUMBER, appliesTo_PhysicalElement NUMBER, appliesTo_Settings NUMBER, appliesTo_Compliance NUMBER, appliesTo_LogicalDevice NUMBER, appliesTo_Template NUMBER, appliesTo_Identity NUMBER, appliesTo_ServiceAccessPoint NUMBER, appliesTo_SoftwarePackage NUMBER, appliesTo_SoftwareResource NUMBER, appliesTo_SystemContent NUMBER, appliesTo_TaskContent NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_StgExt_FileSystem_basedOn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StgExt_File_basedOn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StgExt_StgExt_basedOn (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StgPool_FileShare_uses (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, FilePath VARCHAR2(512), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StgPool_FileSystem_uses (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, FilePath VARCHAR2(512), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StorageExtent (OID NUMBER NOT NULL, AccessType NUMBER, BlockSize NUMBER, Capacity NUMBER, ConsumableBlocks NUMBER, CopyCreationDate TIMESTAMP, DataOrganization NUMBER, DataRedundancy NUMBER, DeltaReservation NUMBER, ExportedLUNIdentifier VARCHAR2(256), ExternalUniqueID VARCHAR2(256), FreeSpace NUMBER, IsCompressed NUMBER, IsMultiPath NUMBER, LUNIdentifier VARCHAR2(256), NumberOfBlocks NUMBER, PackageRedundancy NUMBER, RealSize NUMBER, RedundancyMethod VARCHAR2(32), ReservePolicy NUMBER, SCSIIdentifier VARCHAR2(256), SequentialAccess NUMBER, SubsystemWWN VARCHAR2(256), VolumeType VARCHAR2(32), IEEEVolumeName VARCHAR2(128), IsReservedStorageDevice NUMBER, Mapped VARCHAR2(32), Address VARCHAR2(256), AllocationUnits VARCHAR2(16), HostWWPN VARCHAR2(16), InUseByVirtualAppliance NUMBER, IndexInDiskGroup NUMBER, VirtualQuantity VARCHAR2(32), VirtualSCSI VARCHAR2(256), DiskGroup_contains NUMBER, copyBasedOn_StorageExtent NUMBER, accessedVia_MediaAccessDevice NUMBER, EndingAddress NUMBER, StartingAddress NUMBER, Volatile NUMBER, CacheType NUMBER, CacheLevel NUMBER, LineSize NUMBER, ReadPolicy NUMBER, WritePolicy NUMBER, Bootable NUMBER, OSPartition NUMBER, PartitionSubtype NUMBER, PartitionType NUMBER, PrimaryPartition NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Storage_mappedTo_FCPort (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_StringThresholdDefinition (OID NUMBER NOT NULL, CriticalStrings BLOB, DefaultEventLevel NUMBER, NormalStrings BLOB, WarningStrings BLOB, PRIMARY KEY (OID));
CREATE TABLE SM_SWDS_configuredUsing_SWM (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SWFtrIns_feds_SWIns (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SWIns_feds_SWCptIns (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Switch_memberOf_LN (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SWPDS_configuredUsing_SWP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SWPthCol_feds_SWPth (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SWStack_feds_SWModule (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SysContent_AccDomain_membe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SysContent_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SysPerfSettings_iSeries (OID NUMBER, DatabaseStatisticsCollection NUMBER, LockLibraries NUMBER, PassThruServerJobs NUMBER, ThreadAffinityLevel NUMBER, TimeSliceEndAction NUMBER);
CREATE TABLE SM_SysPool_cfgUsing_SysPoolSet (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SysRegionSettings_iSeries (OID NUMBER, CharacterIDControl VARCHAR2(32), GraphicCharacterSet VARCHAR2(32), LeapYearAdjustment NUMBER, SetJobAttributesFromLocale BLOB, TimeAdjustment VARCHAR2(32));
CREATE TABLE SM_SystemAssetSettings (OID NUMBER NOT NULL, AssetNumber VARCHAR2(32), AssetTag VARCHAR2(256 CHAR), LeaseCost VARCHAR2(20), LeaseEndDate TIMESTAMP, LeaseStartDate TIMESTAMP, LeaseTerm NUMBER, Lessor VARCHAR2(64 CHAR), PurchaseDate TIMESTAMP, WarrantyCost VARCHAR2(20), WarrantyDuration NUMBER, WarrantyEndDate TIMESTAMP, ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemContent (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_297 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_SystemC_contains_Compute (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, SlotNumber NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SystemDeviceSettings (OID NUMBER NOT NULL, AutoCleanupPrinterStorage NUMBER, AutoConfigLocalDevices NUMBER, AutoConfigRemoteDevices NUMBER, AutoConfigVirtualDevices NUMBER, DefaultPrinter VARCHAR2(32), DeviceErrorAction NUMBER, DeviceNamingConvention VARCHAR2(32), MaxStorageAction VARCHAR2(32), MaxStoragePct NUMBER, PowerFailureAction VARCHAR2(16), PrintFormat VARCHAR2(16), PrintPageFooter VARCHAR2(64), UPSMessageQueue VARCHAR2(32), ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemJob (OID NUMBER NOT NULL, ElapsedTime NUMBER, ErrorCode NUMBER, JobIdentifier VARCHAR2(128) NOT NULL, JobState NUMBER, JobStatus VARCHAR2(32), JobNumber VARCHAR2(32), Owner VARCHAR2(32), PercentComplete NUMBER, Priority NUMBER, StartTime TIMESTAMP, TimeSubmitted TIMESTAMP, runsOn_ComputerSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemJobSettings (OID NUMBER NOT NULL, AdditionalActiveJobs NUMBER, AdditionalTotalJobs NUMBER, AllowInterrupts NUMBER, AllowLogWrap NUMBER, AllowNonThreadsafe NUMBER, CreateLog NUMBER, DisconnectTimeout NUMBER, InactiveJobAction NUMBER, InactiveTimeout NUMBER, InitialActiveJobs NUMBER, InitialLogSize NUMBER, InitialPrinterOutputSize NUMBER, InitialTotalJobs NUMBER, KeepPrinterOutput NUMBER, MaxJobEndTime NUMBER, MaxJobNumber NUMBER, MaxLogSize NUMBER, MaxPrinterOutput NUMBER, ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemJob_PEP_affects (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, JobAffect NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SystemJob_Service_affects (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, JobAffect NUMBER, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SystemPasswordPolicy (OID NUMBER NOT NULL, AllowAdjacentDigits NUMBER, AllowRepeatedCharacters NUMBER, AllowReusedCharacters NUMBER, MaxPasswordLength NUMBER, MinPasswordLength NUMBER, PasswordChangeWait NUMBER, PasswordExpirationInterval NUMBER, PasswordExpirationWarning NUMBER, PasswordHistoryDepth NUMBER, PasswordLevel NUMBER, PasswordRulesEnforced BLOB, PasswordValidationProgram VARCHAR2(128), RequiresDigit NUMBER, RestrictedCharacters VARCHAR2(32), appliesTo_ComputerSystem NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemPerformanceSettings (OID NUMBER NOT NULL, CommunicationArbiterSize NUMBER, CommunicationRecoveryLimit NUMBER, DatabaseQueryTimeLimit NUMBER, DynamicPriorityAdjustment NUMBER, DynamicPriorityScheduler NUMBER, MaxActiveThreads NUMBER, MaxPoolThreads NUMBER, MemoryPoolSize NUMBER, MinMemoryPoolSize NUMBER, ParallelProcess NUMBER, PerformanceAdjustment NUMBER, SecondaryThreadAffinity NUMBER, ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemPoolSettings (OID NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_SystemPool_PlatformVersion (SYSTEMPOOL_OID NUMBER, PlatformVersion VARCHAR2(4000));
CREATE TABLE SM_SystemPool_ProxyType (SYSTEMPOOL_OID NUMBER, ProxyType VARCHAR2(4000));
CREATE TABLE SM_SystemRegionalSettings (OID NUMBER NOT NULL, CodeSet VARCHAR2(64), CountryCode VARCHAR2(64), CurrencySymbol VARCHAR2(8), DBCSCapable NUMBER, DateFormat VARCHAR2(128), DateSeparator VARCHAR2(8), DecimalFormat VARCHAR2(8), DefaultLocale VARCHAR2(128), FontName VARCHAR2(64), FontSize NUMBER, KeyboardType VARCHAR2(64), LanguageEdition VARCHAR2(64), SortSequence VARCHAR2(32), TimeSeparator VARCHAR2(8), ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemResource (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256) NOT NULL, Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, AccessState VARCHAR2(256), CommunicationState NUMBER, DetailedState NUMBER, HealthState NUMBER, IsDeleteable NUMBER, IsPingable NUMBER, IsQueryable NUMBER, LastInventoryDate TIMESTAMP, MCType VARCHAR2(128), NodeName VARCHAR2(64), OperatingState NUMBER, PrimaryOwnerContact VARCHAR2(256 CHAR), PrimaryOwnerName VARCHAR2(64 CHAR), SystemId VARCHAR2(1024), DTYPE NUMBER NOT NULL, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_310 UNIQUE (Guid) DEFERRABLE, CONSTRAINT UNQ_GuidOID UNIQUE (Guid, OID) DEFERRABLE, CONSTRAINT UNQ_OIDNameDTYPEOb UNIQUE (OID, Name, DTYPE, ObjectType, Guid) DEFERRABLE);
CREATE TABLE SM_SystemRole (OID NUMBER NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_SystemSecuritySettings (OID NUMBER NOT NULL, AdoptAuthorityUsers BLOB, AllowSharedMemory NUMBER, AuditFileCreation NUMBER, AuditLevels BLOB, AuditingErrorAction NUMBER, DefaultCreateAuthority NUMBER, ExtendedAuditLevels BLOB, MaxAuditEntries NUMBER, NonAuditLocations BLOB, RestoreConversionLevel NUMBER, RestoreSecureFiles BLOB, RestoreSignatureVerfication NUMBER, RetainSecureData NUMBER, SSLCipherControl NUMBER, SSLCipherList BLOB, SSLProtocols BLOB, SaveAccessPaths NUMBER, ScanFSControl BLOB, ScanFSOptions BLOB, SecurityLevel NUMBER, ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemSecuritySettings_Aud (SYSTEMSECURITYSETTINGS_OID NUMBER, AuditControl NUMBER);
CREATE TABLE SM_SystemServiceSettings (OID NUMBER NOT NULL, AccountingLevel BLOB, AllowRemoteService NUMBER, DisplayStatusMessage NUMBER, FilterProblemLog NUMBER, LogSoftwareProblems NUMBER, MaxHistoryLog NUMBER, MessageQueue VARCHAR2(64), MinProblemRetention NUMBER, ServiceDumpControl VARCHAR2(16), ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_SystemUserSettings (OID NUMBER NOT NULL, ConsoleName VARCHAR2(32), DisplayLoginInfo NUMBER, MaximumLoginAction NUMBER, MaximumLoginFailures NUMBER, ProcessorMultitasking NUMBER, RemoteLoginInfo VARCHAR2(32), RestrictPrivilegedUsers NUMBER, ComputerSystem_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_System_advertises_Capabi (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_System_HostName (SYSTEM_OID NUMBER, HostName VARCHAR2(256));
CREATE TABLE SM_System_IPv4Address (SYSTEM_OID NUMBER, IPv4Address VARCHAR2(64));
CREATE TABLE SM_System_MACAddress (SYSTEM_OID NUMBER, MACAddress VARCHAR2(32));
CREATE TABLE SM_System_memberOf_AccessD (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_System_memberOf_Group (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_System_performs_SystemRole (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SysUserSettings_iSeries (OID NUMBER, AssistanceLevel VARCHAR2(16), AttentionProgram VARCHAR2(32), CharacterIdentifierControl VARCHAR2(16), KeyboardBuffering VARCHAR2(16), LimitDeviceSession NUMBER, SpecialEnvironment VARCHAR2(16), SystemLibraryList BLOB, UserLibraryList BLOB);
CREATE TABLE SM_Sys_accessedVia_RSAP (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, IsProxyForState NUMBER, IsPrimary NUMBER, SourcePath VARCHAR2(1024), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_locatedAt_Location (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_CS_FEDS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_CS_RELIESON (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_FS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, FileSystemPath VARCHAR2(512), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_RES_POOL (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_SYS_POOL (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_SUPP_WRKLD_INST (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_SYS_POOL_FEDS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_TaskContent (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, DTYPE NUMBER, PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_333 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_TaskDefinition (OID NUMBER NOT NULL, ConcurrencyLevel NUMBER, CreatedByUser VARCHAR2(256), DmsJobId NUMBER, LastUpdatedByUser VARCHAR2(256), LastUpdatedDate TIMESTAMP, SubscriptionId NUMBER, TaskJobId NUMBER, TaskType NUMBER NOT NULL, TimeOut NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TaskInstance (OID NUMBER NOT NULL, CreatedByUser VARCHAR2(256), DmsJobId NUMBER, EndDate TIMESTAMP, LastUpdatedByUser VARCHAR2(256), LastUpdatedDate TIMESTAMP, NumberOfTargetsInParallel NUMBER, OutputMessage VARCHAR2(4000), RequestId NUMBER, StartDate TIMESTAMP, Status NUMBER, TimeOut NUMBER, derivedFrom_TaskDefinition NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TaskJob (OID NUMBER NOT NULL, CreatedTime TIMESTAMP, TaskJobType VARCHAR2(256), TaskDefinition_configuredUsing NUMBER, TaskInstance_configuredUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TCPSettings (OID NUMBER NOT NULL, ARPCacheTimeout NUMBER, DeadGWDetectEnabled NUMBER, DeadGWDetectInterval NUMBER, ECNEnabled NUMBER, KeepAliveInterval NUMBER, LogProtocolErrors NUMBER, MTUDiscoveryEnabled NUMBER, MTUDiscoveryInterval NUMBER, NFCEnabled NUMBER, NFCSize NUMBER, NFCTimeout NUMBER, PDUForwarding NUMBER, ProcessUDPChecksums NUMBER, QoSEnabled NUMBER, QoSPathOptimization NUMBER, QoSTimerResolution NUMBER, R1RetransmissionCount NUMBER, R2RetransmissionCount NUMBER, ReassemblyTimeout NUMBER, ReceiveBufferSize NUMBER, RetransmissionTimeoutMax NUMBER, RetransmissionTimeoutMin NUMBER, SendBufferSize NUMBER, TimeToLive NUMBER, TimeWaitTimeout NUMBER, UseIPSourceRouting NUMBER, ComputerSystem_configuredUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Template (OID NUMBER NOT NULL, ChangedDate TIMESTAMP, ClassName VARCHAR2(256) NOT NULL, CreatedDate TIMESTAMP, Description VARCHAR2(512 CHAR), DeviceModel VARCHAR2(128), DisplayName VARCHAR2(256), ElementType VARCHAR2(128), Guid char(32) NOT NULL, Hidden NUMBER, Locale VARCHAR2(32), Name VARCHAR2(256), Notifiable NUMBER, ObjectType VARCHAR2(64) NOT NULL, CreationTime TIMESTAMP, CustomData CLOB, DetectApply NUMBER, SubType VARCHAR2(256), DTYPE NUMBER, DefaultDefinition NUMBER, BasedOnDefinition NUMBER, Deployable NUMBER, FixLevel VARCHAR2(64), FixName VARCHAR2(256 CHAR), MultiplicityType NUMBER, OptionGroupName VARCHAR2(256), Selected NUMBER, SoftwareConfigurationType NUMBER, SoftwareName VARCHAR2(256 CHAR), SoftwareResourceType NUMBER, SoftwareType VARCHAR2(64), SoftwareVersion VARCHAR2(128), OperatingSystem_configuredUsi NUMBER, derivedFrom_Template NUMBER, SoftwareModule_definedUsing NUMBER, realizes_VirtualSystemSettings NUMBER, configuredUsing_StorageTempla NUMBER, SoftwareImage_definedUsing NUMBER, Color VARCHAR2(64), MethodNames BLOB, SaveLogs NUMBER, Active NUMBER, TemplateVersion VARCHAR2(64), PRIMARY KEY (OID), CONSTRAINT UNQ_Guid_338 UNIQUE (Guid) DEFERRABLE);
CREATE TABLE SM_TemplateHandlerInfo (OID NUMBER NOT NULL, DeviceInfo VARCHAR2(256), HandlerName VARCHAR2(256), appliesTo_Template NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TemplateMethod (OID NUMBER NOT NULL, DDB_Type VARCHAR2(64), Cluster_hosts NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TemplateParameter (OID NUMBER NOT NULL, Changeable NUMBER, Encrypted NUMBER, MultiplicityType NUMBER, ParameterType NUMBER, ParameterValue VARCHAR2(2048), Template_configuredUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TemplateTarget (OID NUMBER NOT NULL, DeployTime TIMESTAMP, TemplateStatus NUMBER NOT NULL, appliesTo_System NUMBER, appliesTo_Group NUMBER, Template_targets NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_Template_AccDomain_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Template_contains_Templat (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Template_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_TimeZoneSettings (OID NUMBER NOT NULL, DaylightCaption VARCHAR2(16 CHAR), DaylightDay NUMBER, DaylightDayOfWeek NUMBER, DaylightMonth NUMBER, DaylightName VARCHAR2(64 CHAR), DaylightOffset NUMBER, DaylightStartInterval TIMESTAMP, StandardCaption VARCHAR2(16 CHAR), StandardDay NUMBER, StandardDayOfWeek NUMBER, StandardMonth NUMBER, StandardName VARCHAR2(64 CHAR), StandardOffset NUMBER, StandardStartInterval TIMESTAMP, OperatingSystem_configuredUsi NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_TmpFixGrp_feds_TmpFixGrp (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_TskContent_AccDomain_membe (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_TskContent_Group_memberOf (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_UserAccount (OID NUMBER NOT NULL, AccountCode VARCHAR2(64), CodeSet VARCHAR2(16), Country VARCHAR2(16 CHAR), Disabled NUMBER, DisplayLoginMessage NUMBER, FirstName VARCHAR2(64 CHAR), HomeDirectory VARCHAR2(1024), Host BLOB, InactivityTimeout TIMESTAMP, DDB_Language VARCHAR2(16), LastLogin TIMESTAMP, LimitCapabilities NUMBER, LocalPasswordManagement NUMBER, LoginFailures NUMBER, MaximumLoginFailures NUMBER, MaximumStorage NUMBER, MiddleName VARCHAR2(64 CHAR), NoPassword NUMBER, Owner VARCHAR2(128 CHAR), PasswordExpiration TIMESTAMP, PasswordExpirationDate TIMESTAMP, PasswordExpirationInterval NUMBER, PasswordHistoryDepth NUMBER, PasswordLastChanged TIMESTAMP, PreferredLocale VARCHAR2(128), SchedulingPriority NUMBER, SpecialAuthorities BLOB, StorageUsed NUMBER, Surname VARCHAR2(64 CHAR), UserClass BLOB, UserID VARCHAR2(128), GroupID VARCHAR2(128), ComputerSystem_contains NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_UserAccount_iSeries (OID NUMBER, AssistanceLevel VARCHAR2(16), AttentionProgram VARCHAR2(32), AuditLevel BLOB, AuditingValue VARCHAR2(16), BlockPasswordChange VARCHAR2(16), CharacterIdentifierControl VARCHAR2(16), CurrentLibrary VARCHAR2(16), GroupAuthority VARCHAR2(16), GroupAuthorityType VARCHAR2(16), InitialMenu VARCHAR2(32), InitialProgram VARCHAR2(32), JobDescription VARCHAR2(32), KeyboardBuffering VARCHAR2(16), LimitDeviceSession NUMBER, LocaleJobAttributes BLOB, MessageQueue VARCHAR2(32), MessageQueueDelivery VARCHAR2(32), MessageQueueSeverity NUMBER, ObjectOwner VARCHAR2(16), OutputQueue VARCHAR2(32), PrintDevice VARCHAR2(16), SortSequenceTable VARCHAR2(32), SpecialEnvironment VARCHAR2(16), UserOptions BLOB);
CREATE TABLE SM_UserContact (OID NUMBER NOT NULL, Address VARCHAR2(512 CHAR), Address2 VARCHAR2(512 CHAR), Address3 VARCHAR2(512 CHAR), AllowSynchronization NUMBER, AlternateEMail VARCHAR2(512), AlternateFax VARCHAR2(25), Building VARCHAR2(128 CHAR), City VARCHAR2(64 CHAR), Company VARCHAR2(128 CHAR), Country VARCHAR2(32 CHAR), Department VARCHAR2(128 CHAR), DeptNumber VARCHAR2(64), Division VARCHAR2(64 CHAR), EMail VARCHAR2(512), EmployeeID VARCHAR2(128), FaxNumber VARCHAR2(25), FullName VARCHAR2(256 CHAR), HelpDeskPhone VARCHAR2(25), HomePhone VARCHAR2(25), MailServiceLevel VARCHAR2(16), Mobile VARCHAR2(25), Office VARCHAR2(128 CHAR), Pager VARCHAR2(25), PagerType VARCHAR2(32), PostalCode VARCHAR2(20), PreferredAddress VARCHAR2(256 CHAR), PreferredAddressType VARCHAR2(16), StateName VARCHAR2(32 CHAR), TelephoneNumber VARCHAR2(25), Title VARCHAR2(256 CHAR), System_exposes NUMBER, UserAccount_exposes NUMBER, User_exposes NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_UserDevice (OID NUMBER NOT NULL, IsLocked NUMBER, CodePage VARCHAR2(16), Delay NUMBER, KeyboardType VARCHAR2(64), NumberOfFunctionKeys NUMBER, Rate NUMBER, DoubleClickRate NUMBER, Handedness NUMBER, NumberOfButtons NUMBER, PointingType NUMBER, Resolution NUMBER, Sensitivity NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_UserGroup (OID NUMBER NOT NULL, GID VARCHAR2(256), ManagedAsGroup NUMBER NOT NULL, ProxyParam VARCHAR2(2048), ProxyType VARCHAR2(256), PRIMARY KEY (OID));
CREATE TABLE SM_UserGroup_federates_User (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_UserProfile (OID NUMBER NOT NULL, ProxyParam VARCHAR2(2048), ProxyType VARCHAR2(256), Superuser NUMBER, DDB_UID VARCHAR2(256), definedUsing_AccessDomain NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_VideoHead (OID NUMBER NOT NULL, ChipType VARCHAR2(64), CurrentBitsPerPixel NUMBER, CurrentHorizontalResolution NUMBER, CurrentNumberOfColors NUMBER, CurrentNumberOfColumns NUMBER, CurrentNumberOfRows NUMBER, CurrentRefreshRate NUMBER, CurrentScanMode NUMBER, CurrentVerticalResolution NUMBER, MaxRefreshRate NUMBER, MinRefreshRate NUMBER, DisplayController_hosts NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_VirtualAppliance (OID NUMBER NOT NULL, ApplianceId VARCHAR2(64) NOT NULL, Readiness NUMBER, RevisionComment VARCHAR2(512), RevisionVersion VARCHAR2(512), SpecificationId VARCHAR2(64) NOT NULL, SpecificationVersion VARCHAR2(32) NOT NULL, TrunkId VARCHAR2(64), TrunkName VARCHAR2(256), VirtualAppliance_precedes NUMBER, WorkloadInstance_capturedAs NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_VirtualAppliance_Tags (VIRTUALAPPLIANCE_OID NUMBER, Tags VARCHAR2(1024));
CREATE TABLE SM_VirtualConnectivity (OID NUMBER NOT NULL, ConnectionType NUMBER, ConnectivityState NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_VirtualSystemSettings (OID NUMBER NOT NULL, AutomaticStartupAction NUMBER, VirtualSystemIdentifier VARCHAR2(256), VirtualSystemType VARCHAR2(256), Server_definedUsing NUMBER, VirtualSystemSettings_basedOn NUMBER, Application VARCHAR2(512), SecurityPrivileges VARCHAR2(512), TotalPercentMsgQueues NUMBER, TotalPercentPinnedMem NUMBER, TotalPercentSemaphores NUMBER, TotalPrecentShrdMem NUMBER, ContainerType VARCHAR2(256), SystemContainer_definedUsing NUMBER, Checkpointable NUMBER, CopyNameResolutions NUMBER, DeviceExportFile VARCHAR2(256), Directory VARCHAR2(512), PreserveContent NUMBER, ContainerPrivileges VARCHAR2(4000), ResourceControlActive NUMBER, ResourceControlSet VARCHAR2(64), RootVGWPAR NUMBER, RootVolumeGroup VARCHAR2(64), Script VARCHAR2(512), PRIMARY KEY (OID));
CREATE TABLE SM_VLANEndpointSettings (OID NUMBER NOT NULL, AccessVLAN NUMBER, DefaultVLAN NUMBER, NativeVLAN NUMBER, SwitchIdentifier VARCHAR2(256), TrunkedVLANList BLOB, VLANEndpoint_definedUsing NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_VLANEp_memberOf_NetworkVLAN (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_WrkldInst_employs_Server (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, DefinitionId VARCHAR2(256), ImageId VARCHAR2(256), PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_WrkldInst_spans_CS (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_ZoneMember (OID NUMBER NOT NULL, ConnectivityID VARCHAR2(256) NOT NULL, ConnectivityType NUMBER NOT NULL, InstanceID VARCHAR2(256) NOT NULL, PRIMARY KEY (OID));
CREATE TABLE SM_ZoneMember_memberOf_Zone (sourceId NUMBER NOT NULL, targetId NUMBER NOT NULL, PRIMARY KEY (sourceId, targetId));
CREATE TABLE SM_Zones (OID NUMBER NOT NULL, Active NUMBER, AppliedDate TIMESTAMP, ZoneType NUMBER, Fabric_contains NUMBER, memberOf_ZoneSet NUMBER, PRIMARY KEY (OID));
CREATE TABLE SM_ZoneSet (OID NUMBER NOT NULL, Active NUMBER, Fabric_contains NUMBER, PRIMARY KEY (OID));
CREATE INDEX I_SM_CDMN_ACCESSDOMAIN_FEDERAT ON SM_AccessDomain (AccessDomain_federates);
CREATE INDEX I_SM_CNKY_INSTALLEDON_COMPUTER ON SM_ActivationKey (installedOn_ComputerSystem);
CREATE INDEX I_SM_CTWR_TARGETID ON SM_Activat_appliesTo_Softwar (targetId);
CREATE INDEX I_SM_DDMN_COMPUTERSYSTEM_CONTR ON SM_AdminDomain (ComputerSystem_controls);
CREATE INDEX I_SM_DDMN_HARDWAREMANAGEMENTCO ON SM_AdminDomain (HardwareManagementConsole_con);
CREATE INDEX I_SM_DDMN_REQUIRES_POLICY ON SM_AdminDomain (requires_Policy);
CREATE INDEX I_SM_DDMN_SAN_CONTAINS ON SM_AdminDomain (SAN_contains);
CREATE INDEX I_SM_DDMN_SYSTEMCHASSIS_CONTAI ON SM_AdminDomain (SystemChassis_contains);
CREATE INDEX I_SM_DDMN_VIRTUALAPPLIANCE_DEP ON SM_AdminDomain (VirtualAppliance_deployedAs);
CREATE INDEX I_SM_DRVC_TARGETID ON SM_AdminD_accessedVia_Service (targetId);
CREATE INDEX I_SM_L_MP_PRIMARY_GUID ON SM_ALIAS_MAP (PRIMARY_GUID);
CREATE INDEX I_SM_TRSP_TARGETID ON SM_AuthReg_accessedVia_RSAP (targetId);
CREATE INDEX I_SM_BNTN_DTYPE ON SM_BaseThresholdDefinition (DTYPE);
CREATE INDEX I_SM_BNTN_NAME ON SM_BaseThresholdDefinition (Name);
CREATE INDEX I_SM_BNTN_OWNEDBY_METRICPROVID ON SM_BaseThresholdDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_BGCL_TARGETID ON SM_BaseThr_appliesTo_Logical (targetId);
CREATE INDEX I_SM_BRCD_TARGETID ON SM_BaseThr_appliesTo_MetricD (targetId);
CREATE INDEX I_SM_BYSC_TARGETID ON SM_BaseThr_appliesTo_Physica (targetId);
CREATE INDEX I_SM_BSRC_TARGETID ON SM_BaseThr_appliesTo_Resourc (targetId);
CREATE INDEX I_SM_BRVC_TARGETID ON SM_BaseThr_appliesTo_Service (targetId);
CREATE INDEX I_SM_BSTM_TARGETID ON SM_BaseThr_appliesTo_System (targetId);
CREATE INDEX I_SM_BTMC_TARGETID ON SM_BaseThr_appliesTo_SystemC (targetId);
CREATE INDEX I_SM_BNGS_COMPUTERSYSTEM_CONFI ON SM_BootSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_B_LN_TARGETID ON SM_BTD_appliesTo_LN (targetId);
CREATE INDEX I_SM_CLTY_LOGICALDEVICE_ADVERT ON SM_Capability (LogicalDevice_advertises);
CREATE INDEX I_SM_CLTY_PHYSICALELEMENT_ADVE ON SM_Capability (PhysicalElement_advertises);
CREATE INDEX I_SM_CLTY_RESOURCEPOOL_ADVERTI ON SM_Capability (ResourcePool_advertises);
CREATE INDEX I_SM_CLTY_SERVICE_ADVERTISES ON SM_Capability (Service_advertises);
CREATE INDEX I_SM_CLTY_SOFTWAREMODULE_ADVER ON SM_Capability (SoftwareModule_advertises);
CREATE INDEX I_SM_C_CP_TARGETID ON SM_CapGrp_federates_Cap (targetId);
CREATE INDEX I_SM_CLLR_CLUSTER_CONTAINS ON SM_ClusterAppController (Cluster_contains);
CREATE INDEX I_SM_CLLR_DTYPE ON SM_ClusterAppController (DTYPE);
CREATE INDEX I_SM_CLLR_NAME ON SM_ClusterAppController (Name);
CREATE INDEX I_SM_CNTR_CLUSTER_CONTAINS ON SM_ClusterAppMonitor (Cluster_contains);
CREATE INDEX I_SM_CNTR_DTYPE ON SM_ClusterAppMonitor (DTYPE);
CREATE INDEX I_SM_CNTR_NAME ON SM_ClusterAppMonitor (Name);
CREATE INDEX I_SM_CTRP_TARGETID1 ON SM_ClusterAp_hosts_ClusterAp (targetId);
CREATE INDEX I_SM_CGRP_CLUSTER_CONTAINS ON SM_ClusterResourceGroup (Cluster_contains);
CREATE INDEX I_SM_CTRP_TARGETID ON SM_ClusterRe_hosts_ClusterAp (targetId);
CREATE INDEX I_SM_CSRC_BASEDON_CLUSTERUSERD ON SM_ClusterUserDefResource (basedOn_ClusterUserDefinedRes);
CREATE INDEX I_SM_CSRC_DTYPE ON SM_ClusterUserDefResource (DTYPE);
CREATE INDEX I_SM_CSRC_NAME ON SM_ClusterUserDefResource (Name);
CREATE INDEX I_SM_CTYP_DTYPE ON SM_ClusterUserDefRscType (DTYPE);
CREATE INDEX I_SM_CTYP_NAME ON SM_ClusterUserDefRscType (Name);
CREATE INDEX I_SM_CGCL_TARGETID ON SM_Cluster_contains_Logical (targetId);
CREATE INDEX I_SM_CPRT_TARGETID ON SM_Cluster_contains_Operati (targetId);
CREATE INDEX I_SM_CSTR_TARGETID ON SM_Cluster_federates_Cluster (targetId);
CREATE INDEX I_SM_CYPS_CLUSTER_OID ON SM_Cluster_Types (CLUSTER_OID);
CREATE INDEX I_SM_CCTN_CLUSTER_CONTAINS ON SM_Collection (Cluster_contains);
CREATE INDEX I_SM_CCTN_DTYPE ON SM_Collection (DTYPE);
CREATE INDEX I_SM_CCTN_NAME ON SM_Collection (Name);
CREATE INDEX I_SM_CCDM_TARGETID ON SM_Collection_memberOf_AccDom (targetId);
CREATE INDEX I_SM_CGRP_TARGETID ON SM_Collection_memberOf_Group (targetId);
CREATE INDEX I_SM_CCTN_DTYPE1 ON SM_CompletionAction (DTYPE);
CREATE INDEX I_SM_CCTN_NAME1 ON SM_CompletionAction (Name);
CREATE INDEX I_SM_CCTN_SOFTWAREINSTALLABLE_ ON SM_CompletionAction (SoftwareInstallable_requires);
CREATE INDEX I_SM_CLNC_DTYPE ON SM_Compliance (DTYPE);
CREATE INDEX I_SM_CLNC_NAME ON SM_Compliance (Name);
CREATE INDEX I_SM_CCSS_COMPLIANCERESULT_EXP ON SM_ComplianceIssue (ComplianceResult_exposes);
CREATE INDEX I_SM_CDTN_APPLIESTO_SYSTEM ON SM_ComplianceRecommendation (appliesTo_System);
CREATE INDEX I_SM_CDTN_ASSIGNEDTO_SOFTWAREM ON SM_ComplianceRecommendation (assignedTo_SoftwareModule);
CREATE INDEX I_SM_CDTN_BASEDON_TASKDEFINITI ON SM_ComplianceRecommendation (basedOn_TaskDefinition);
CREATE INDEX I_SM_CDTN_COMPLIANCEISSUE_RESO ON SM_ComplianceRecommendation (ComplianceIssue_resolvesFrom);
CREATE INDEX I_SM_CSLT_APPLIESTO_SYSTEM ON SM_ComplianceResult (appliesTo_System);
CREATE INDEX I_SM_CSLT_RESOLVESFROM_DESIRED ON SM_ComplianceResult (resolvesFrom_DesiredStateElem);
CREATE INDEX I_SM_CMRY_APPLIESTO_GROUP ON SM_ComplianceSummary (appliesTo_Group);
CREATE INDEX I_SM_CMRY_APPLIESTO_SYSTEM ON SM_ComplianceSummary (appliesTo_System);
CREATE INDEX I_SM_CMMB_TARGETID ON SM_Compliance_AccDomain_membe (targetId);
CREATE INDEX I_SM_CBRF_TARGETID ON SM_Compliance_Group_memberOf (targetId);
CREATE INDEX I_SM_CTWR_TARGETID1 ON SM_Complian_basedOn_Software (targetId);
CREATE INDEX I_SM_CPLT_TARGETID ON SM_CompTemplate_feds_Template (targetId);
CREATE INDEX I_SM_CSTM_CLUSTER_FEDERATES ON SM_ComputerSystem (Cluster_federates);
CREATE INDEX I_SM_CSTM_FABRIC_CONTAINS ON SM_ComputerSystem (Fabric_contains);
CREATE INDEX I_SM_CSTM_HOSTPLATFORMPOLICY_A ON SM_ComputerSystem (HostPlatformPolicy_appliesTo);
CREATE INDEX I_SM_CSTM_HYBRIDSYSTEM_CONTAIN ON SM_ComputerSystem (HybridSystem_contains);
CREATE INDEX I_SM_CSTM_RETAILSTORE_FEDERATE ON SM_ComputerSystem (RetailStore_federates);
CREATE INDEX I_SM_CSTM_SCALEPOOL_FEDERATES ON SM_ComputerSystem (ScalePool_federates);
CREATE INDEX I_SM_CSTM_SERVER_CONTAINS ON SM_ComputerSystem (Server_contains);
CREATE INDEX I_SM_CSTM_STORAGESUBSYSTEM_CON ON SM_ComputerSystem (StorageSubsystem_contains);
CREATE INDEX I_SM_CSTM_SWITCH_FEDERATES ON SM_ComputerSystem (Switch_federates);
CREATE INDEX I_SM_CSTM_SYSTEM_HOSTS ON SM_ComputerSystem (System_hosts);
CREATE INDEX I_SM_CSTM_VIRTUALAPPLIANCE_DEP ON SM_ComputerSystem (VirtualAppliance_deployedAs);
CREATE INDEX I_SM_CCTD_COMPUTERSYSTEM_OID ON SM_ComputerSystem_Dedicated (COMPUTERSYSTEM_OID);
CREATE INDEX I_SM_C_FL_TARGETID ON SM_ComputerSystem_uses_File (targetId);
CREATE INDEX I_SM_CRTS_TARGETID2 ON SM_CoolDomain_CS_federates (targetId);
CREATE INDEX I_SM_CRTS_TARGETID1 ON SM_CoolDomain_LD_federates (targetId);
CREATE INDEX I_SM_CRTS_TARGETID ON SM_CoolDomain_PE_federates (targetId);
CREATE INDEX I_SM_CTRS_TARGETID ON SM_CoolingDe_cools_ComputerS (targetId);
CREATE INDEX I_SM_CCLD_TARGETID ON SM_CoolingDe_cools_LogicalDe (targetId);
CREATE INDEX I_SM_CTRS_TARGETID1 ON SM_CoolingUn_cools_ComputerS (targetId);
CREATE INDEX I_SM_CCLD_TARGETID1 ON SM_CoolingUn_cools_LogicalDe (targetId);
CREATE INDEX I_SM_CPNG_DEFINEDUSING_REMOTES ON SM_CredentialMapping (definedUsing_RemoteServiceAcc);
CREATE INDEX I_SM_CRDF_TARGETID ON SM_CRG_contains_ClustUsrDef (targetId);
CREATE INDEX I_SM_C_CS_TARGETID ON SM_CS_connectedTo_CS (targetId);
CREATE INDEX I_SM_CS_P_TARGETID ON SM_CS_contains_PE (targetId);
CREATE INDEX I_SM_C_SM_TARGETID ON SM_CS_contains_SM (targetId);
CREATE INDEX I_SM_C_RS_TARGETID ON SM_CS_definedUsing_RAS (targetId);
CREATE INDEX I_SM_C_CS_TARGETID1 ON SM_CS_deploysTo_CS (targetId);
CREATE INDEX I_SM_C_PL_TARGETID1 ON SM_CS_DEPLOYSTO_SYS_POOL (targetId);
CREATE INDEX I_SM_CMDL_TARGETID ON SM_CS_needs_SoftwareModule (targetId);
CREATE INDEX I_SM_C_CS_TARGETID2 ON SM_CS_reliesOn_CS (targetId);
CREATE INDEX I_SM_C_PL_TARGETID ON SM_CS_RELIESON_RES_POOL (targetId);
CREATE INDEX I_SM_C_PL_TARGETID2 ON SM_CS_RELIESON_SYS_POOL (targetId);
CREATE INDEX I_SM_CNST_TARGETID ON SM_CS_supports_WorkloadInst (targetId);
CREATE INDEX I_SM_CDVC_TARGETID ON SM_CS_uses_LogicalDevice (targetId);
CREATE INDEX I_SM_DGRP_TARGETID1 ON SM_Desi_configuredUsing_Group (targetId);
CREATE INDEX I_SM_DVRY_DTYPE ON SM_Discovery (DTYPE);
CREATE INDEX I_SM_DVRY_NAME ON SM_Discovery (Name);
CREATE INDEX I_SM_DRFL_DTYPE ON SM_DiscoveryProfile (DTYPE);
CREATE INDEX I_SM_DRFL_NAME ON SM_DiscoveryProfile (Name);
CREATE INDEX I_SM_DSCV_TARGETID ON SM_Discove_federates_Discove (targetId);
CREATE INDEX I_SM_DNGS_COMPUTERSYSTEM_CONFI ON SM_DNSSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_DNRL_ACCESSDOMAIN_FEDERAT ON SM_DomainRole (AccessDomain_federates);
CREATE INDEX I_SM_DNRL_DEFINEDUSING_INSTANC ON SM_DomainRole (definedUsing_InstanceAccessRo);
CREATE INDEX I_SM_DGRP_TARGETID2 ON SM_DomainRole_assignedTo_Group (targetId);
CREATE INDEX I_SM_DSSC_TARGETID1 ON SM_DR_UserGrp_Assoc (targetId);
CREATE INDEX I_SM_DSSC_TARGETID ON SM_DR_User_Assoc (targetId);
CREATE INDEX I_SM_DGRP_TARGETID ON SM_DSE_assignedTo_Group (targetId);
CREATE INDEX I_SM_DSTM_TARGETID ON SM_DSE_assignedTo_System (targetId);
CREATE INDEX I_SM_DRTY_APPLIESTO_MANAGEDELE ON SM_DYNAMIC_PROPERTY (appliesTo_ManagedElement);
CREATE INDEX I_SM_DVLS_DYNAMICPROPERTY_ID ON SM_DYNAMIC_PROPERTY_VALUES (DYNAMICPROPERTY_ID);
CREATE INDEX I_SM_LTRG_EXTENSION_POINT ON SM_ELEMENT_STORAGE (EXTENSION_POINT);
CREATE INDEX I_SM_LTRG_GUID ON SM_ELEMENT_STORAGE (GUID);
CREATE INDEX I_SM_LTRG_OFTYPE_ES_TYPES ON SM_ELEMENT_STORAGE (ofType_ES_Types);
CREATE INDEX I_SM_NLTY_ENERGYMANAGEMENTCAPA ON SM_EnergyManagementCapability (ENERGYMANAGEMENTCAPABILITY_OID);
CREATE INDEX I_SM_SYPS_ES_TYPES_ELEMENT_TYP ON SM_ES_ElementTypes (ES_TYPES_ELEMENT_TYPE);
CREATE INDEX I_SM_TGCL_TARGETID ON SM_Etherne_memberOf_Logical (targetId);
CREATE INDEX I_SM_TRTL_TARGETID ON SM_Etherne_memberOf_Virtual (targetId);
CREATE INDEX I_SM_FSTM_TARGETID ON SM_Farm_federates_System (targetId);
CREATE INDEX I_SM_FCTN_COMPUTERSYSTEM_CONTA ON SM_FileCollection (ComputerSystem_contains);
CREATE INDEX I_SM_F_FL_TARGETID ON SM_FileCol_contains_File (targetId);
CREATE INDEX I_SM_FTRY_COMPUTERSYSTEM_CONTA ON SM_FileRepository (ComputerSystem_contains);
CREATE INDEX I_SM_FTRY_FILESYSTEM_CONTAINS ON SM_FileRepository (FileSystem_contains);
CREATE INDEX I_SM_FSRC_COMPUTERSYSTEM_CONTA ON SM_FileResource (ComputerSystem_contains);
CREATE INDEX I_SM_FSRC_FILEREPOSITORY_CONTA ON SM_FileResource (FileRepository_contains);
CREATE INDEX I_SM_FSRC_FILESYSTEM_CONTAINS ON SM_FileResource (FileSystem_contains);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWAREINS ON SM_FileResource (realizes_SoftwareInstallable);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWAREMET ON SM_FileResource (realizes_SoftwareMetaDataCont);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWARERES ON SM_FileResource (realizes_SoftwareResource);
CREATE INDEX I_SM_FSRC_REALIZES_TEMPLATEHAN ON SM_FileResource (realizes_TemplateHandlerInfo);
CREATE INDEX I_SM_FSHR_EXPOSES_FILESYSTEM ON SM_FileShare (exposes_FileSystem);
CREATE INDEX I_SM_FSHR_SYSTEM_CONTAINS ON SM_FileShare (System_contains);
CREATE INDEX I_SM_FSTM_COMPUTERSYSTEM_CONTA ON SM_FileSystem (ComputerSystem_contains);
CREATE INDEX I_SM_FSTM_RESIDESON_LOGICALVOL ON SM_FileSystem (residesOn_LogicalVolume);
CREATE INDEX I_SM_FSTM_RESIDESON_PHYSICALVO ON SM_FileSystem (residesOn_PhysicalVolume);
CREATE INDEX I_SM_FSTM_RESIDESON_STORAGEVOL ON SM_FileSystem (residesOn_StorageVolume);
CREATE INDEX I_SM_GRCC_TARGETID ON SM_GroupAc_federates_UserAcc (targetId);
CREATE INDEX I_SM_GNDT_DTYPE ON SM_GroupApplicationData (DTYPE);
CREATE INDEX I_SM_GNDT_NAME ON SM_GroupApplicationData (Name);
CREATE INDEX I_SM_GGST_GROUP_OID ON SM_Group_ImageSet (GROUP_OID);
CREATE INDEX I_SM_GCTN_TARGETID ON SM_Group_locatedAt_Location (targetId);
CREATE INDEX I_SM_HSL__HARDWAREMANAGEMENTCO ON SM_HardwareManagementConsole_ (HARDWAREMANAGEMENTCONSOLE_OID);
CREATE INDEX I_SM_H_CS_TARGETID ON SM_HCP_controls_CS (targetId);
CREATE INDEX I_SM_HSRC_TARGETID ON SM_HCP_uses_SoftwareResource (targetId);
CREATE INDEX I_SM_HPPS_TARGETID1 ON SM_HPPS_EXCLUDES_HPPS (targetId);
CREATE INDEX I_SM_HPPS_TARGETID2 ON SM_HPPS_REQUIRES_HPPS (targetId);
CREATE INDEX I_SM_HPPS_TARGETID ON SM_HPP_CONTAINS_HPPS (targetId);
CREATE INDEX I_SM_DSRS_APPLIESTO_REMOTESERV ON SM_IdentityForUsers (appliesTo_RemoteServiceAccess);
CREATE INDEX I_SM_DSRS_AUTHENTICATIONREGIST ON SM_IdentityForUsers (AuthenticationRegistry_contai);
CREATE INDEX I_SM_DSRS_DTYPE ON SM_IdentityForUsers (DTYPE);
CREATE INDEX I_SM_DSRS_NAME ON SM_IdentityForUsers (Name);
CREATE INDEX I_SM_DBRF_TARGETID1 ON SM_Identity_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_DBRF_TARGETID ON SM_Identity_Group_memberOf (targetId);
CREATE INDEX I_SM_MTNR_IMAGEREPOSITORY_CONT ON SM_ImageContainer (ImageRepository_contains);
CREATE INDEX I_SM_MTRY_CONTROLLEDBY_COMPUTE ON SM_ImageRepository (controlledBy_ComputerSystem);
CREATE INDEX I_SM_M_CS_TARGETID ON SM_ImgRepos_accessedVia_CS (targetId);
CREATE INDEX I_SM_MSDN_TARGETID2 ON SM_ImgRepos_FileShare_basedOn (targetId);
CREATE INDEX I_SM_MSDN_TARGETID3 ON SM_ImgRepos_StgPool_basedOn (targetId);
CREATE INDEX I_SM_M_SS_TARGETID ON SM_IMG_CONT_DISK_GROUP_USES (targetId);
CREATE INDEX I_SM_MSDN_TARGETID ON SM_IMG_CONT_FILE_SHARE_BASEDON (targetId);
CREATE INDEX I_SM_MSDN_TARGETID1 ON SM_IMG_CONT_STG_POOL_BASEDON (targetId);
CREATE INDEX I_SM_M_CS_TARGETID1 ON SM_IMG_REPO_SHAREDBY_CS (targetId);
CREATE INDEX I_SM_NPRM_TARGETID ON SM_InstAccRole_basedOn_InstPrm (targetId);
CREATE INDEX I_SM_NSRL_INSTANCEACCESSROLE_F ON SM_InstanceAccessRole (InstanceAccessRole_federates);
CREATE INDEX I_SM_NTGR_INSTANCEPERMISSION_O ON SM_InstancePermission_Categor (INSTANCEPERMISSION_OID);
CREATE INDEX I_SM_PBNT_TARGETID ON SM_IPProto_memberOf_IPSubnet (targetId);
CREATE INDEX I_SM_LGCL_TARGETID ON SM_LANEndp_memberOf_Logical (targetId);
CREATE INDEX I_SM_LRTL_TARGETID ON SM_LANEndp_memberOf_Virtual (targetId);
CREATE INDEX I_SM_L_SP_TARGETID ON SM_LD_accessedVia_SAP (targetId);
CREATE INDEX I_SM_LLLR_TARGETID ON SM_LD_controlledBy_Controller (targetId);
CREATE INDEX I_SM_LDMN_TARGETID ON SM_LD_memberOf_AccessDomain (targetId);
CREATE INDEX I_SM_LRVC_TARGETID ON SM_Ld_provides_Service (targetId);
CREATE INDEX I_SM_LSRC_TARGETID ON SM_LD_uses_SoftwareResource (targetId);
CREATE INDEX I_SM_LDVC_ALLOCATEDFROM_RESOUR ON SM_LogicalDevice (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_LDVC_COMPUTERSYSTEM_CONTA ON SM_LogicalDevice (ComputerSystem_contains);
CREATE INDEX I_SM_LDVC_DTYPE ON SM_LogicalDevice (DTYPE);
CREATE INDEX I_SM_LDVC_NAME ON SM_LogicalDevice (Name);
CREATE INDEX I_SM_LDVC_RESOURCEALLOCATIONSE ON SM_LogicalDevice (ResourceAllocationSettings_de);
CREATE INDEX I_SM_LDVC_RESOURCEPOOL_CONTAIN ON SM_LogicalDevice (ResourcePool_contains);
CREATE INDEX I_SM_LWRK_DEFINEDUSING_LOGICAL ON SM_LogicalNetwork (definedUsing_LogicalNetworkTe);
CREATE INDEX I_SM_LWRK_SYSTEMPOOL_CONTAINS ON SM_LogicalNetwork (SystemPool_contains);
CREATE INDEX I_SM_LPRT_ETHERNETPORT_HOSTS ON SM_LogicalPort (EthernetPort_hosts);
CREATE INDEX I_SM_LPRT_FABRIC_CONTAINS ON SM_LogicalPort (Fabric_contains);
CREATE INDEX I_SM_LPRT_LOGICALMODULE_CONTAI ON SM_LogicalPort (LogicalModule_contains);
CREATE INDEX I_SM_LPRT_LOGICALPORTGROUP_CON ON SM_LogicalPort (LogicalPortGroup_contains);
CREATE INDEX I_SM_LPRT_PCIDEVICE_ROUTEDTHRO ON SM_LogicalPort (PCIDevice_routedThrough);
CREATE INDEX I_SM_LGRP_COMPUTERSYSTEM_CONTA ON SM_LogicalPortGroup (ComputerSystem_contains);
CREATE INDEX I_SM_LTMP_TARGETID ON SM_Logical_appliesTo_SystemP (targetId);
CREATE INDEX I_SM_LCTN_TARGETID ON SM_Logical_locatedAt_Location (targetId);
CREATE INDEX I_SM_LGRP_TARGETID ON SM_Logical_memberOf_Group (targetId);
CREATE INDEX I_SM_MDVC_BASEDON_STORAGEEXTEN ON SM_MediaAccessDevice (basedOn_StorageExtent);
CREATE INDEX I_SM_MDVC_DISKGROUP_CONTAINS ON SM_MediaAccessDevice (DiskGroup_contains);
CREATE INDEX I_SM_MNTN_DTYPE ON SM_MetricDefinition (DTYPE);
CREATE INDEX I_SM_MNTN_NAME ON SM_MetricDefinition (Name);
CREATE INDEX I_SM_MNTN_OWNEDBY_METRICPROVID ON SM_MetricDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_MVDR_DTYPE ON SM_MetricProvider (DTYPE);
CREATE INDEX I_SM_MVDR_NAME ON SM_MetricProvider (Name);
CREATE INDEX I_SM_MNTN_DTYPE1 ON SM_MetricSetDefinition (DTYPE);
CREATE INDEX I_SM_MNTN_NAME1 ON SM_MetricSetDefinition (Name);
CREATE INDEX I_SM_MNTN_OWNEDBY_METRICPROVI1 ON SM_MetricSetDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_MRCD_TARGETID ON SM_MetricSe_groups_MetricDe (targetId);
CREATE INDEX I_SM_MGCL_TARGETID ON SM_MetricS_appliesTo_Logical (targetId);
CREATE INDEX I_SM_MYSC_TARGETID ON SM_MetricS_appliesTo_Physica (targetId);
CREATE INDEX I_SM_MSRC_TARGETID ON SM_MetricS_appliesTo_Resourc (targetId);
CREATE INDEX I_SM_MRVC_TARGETID ON SM_MetricS_appliesTo_Service (targetId);
CREATE INDEX I_SM_MSTM_TARGETID ON SM_MetricS_appliesTo_System (targetId);
CREATE INDEX I_SM_MTMC_TARGETID ON SM_MetricS_appliesTo_SystemC (targetId);
CREATE INDEX I_SM_MKNS_BASETHRESHOLDDEFINIT ON SM_ME_SourceTokens (BASETHRESHOLDDEFINITION_OID);
CREATE INDEX I_SM_MKNS_CLUSTERAPPCONTROLLER ON SM_ME_SourceTokens (CLUSTERAPPCONTROLLER_OID);
CREATE INDEX I_SM_MKNS_CLUSTERAPPMONITOR_OI ON SM_ME_SourceTokens (CLUSTERAPPMONITOR_OID);
CREATE INDEX I_SM_MKNS_CLUSTERUSERDEFINEDRE ON SM_ME_SourceTokens (CLUSTERUSERDEFINEDRESOURCE_OID);
CREATE INDEX I_SM_MKNS_COLLECTION_OID ON SM_ME_SourceTokens (COLLECTION_OID);
CREATE INDEX I_SM_MKNS_COMPLETIONACTION_OID ON SM_ME_SourceTokens (COMPLETIONACTION_OID);
CREATE INDEX I_SM_MKNS_COMPLIANCE_OID ON SM_ME_SourceTokens (COMPLIANCE_OID);
CREATE INDEX I_SM_MKNS_DISCOVERYPROFILE_OID ON SM_ME_SourceTokens (DISCOVERYPROFILE_OID);
CREATE INDEX I_SM_MKNS_DISCOVERY_OID ON SM_ME_SourceTokens (DISCOVERY_OID);
CREATE INDEX I_SM_MKNS_GROUPAPPLICATIONDATA ON SM_ME_SourceTokens (GROUPAPPLICATIONDATA_OID);
CREATE INDEX I_SM_MKNS_IDENTITY_OID ON SM_ME_SourceTokens (IDENTITY_OID);
CREATE INDEX I_SM_MKNS_LOGICALDEVICE_OID ON SM_ME_SourceTokens (LOGICALDEVICE_OID);
CREATE INDEX I_SM_MKNS_METRICDEFINITION_OID ON SM_ME_SourceTokens (METRICDEFINITION_OID);
CREATE INDEX I_SM_MKNS_METRICPROVIDER_OID ON SM_ME_SourceTokens (METRICPROVIDER_OID);
CREATE INDEX I_SM_MKNS_METRICSETDEFINITION_ ON SM_ME_SourceTokens (METRICSETDEFINITION_OID);
CREATE INDEX I_SM_MKNS_PHYSICALELEMENT_OID ON SM_ME_SourceTokens (PHYSICALELEMENT_OID);
CREATE INDEX I_SM_MKNS_RELATEDDATA_OID ON SM_ME_SourceTokens (RELATEDDATA_OID);
CREATE INDEX I_SM_MKNS_REPORT_OID ON SM_ME_SourceTokens (REPORT_OID);
CREATE INDEX I_SM_MKNS_RESOURCECRITERIA_OID ON SM_ME_SourceTokens (RESOURCECRITERIA_OID);
CREATE INDEX I_SM_MKNS_SERVICEACCESSPOINT_O ON SM_ME_SourceTokens (SERVICEACCESSPOINT_OID);
CREATE INDEX I_SM_MKNS_SETTINGS_OID ON SM_ME_SourceTokens (SETTINGS_OID);
CREATE INDEX I_SM_MKNS_SOFTWAREPACKAGE_OID ON SM_ME_SourceTokens (SOFTWAREPACKAGE_OID);
CREATE INDEX I_SM_MKNS_SOFTWARERESOURCE_OID ON SM_ME_SourceTokens (SOFTWARERESOURCE_OID);
CREATE INDEX I_SM_MKNS_SYSTEMCONTENT_OID ON SM_ME_SourceTokens (SYSTEMCONTENT_OID);
CREATE INDEX I_SM_MKNS_SYSTEM_OID ON SM_ME_SourceTokens (SYSTEM_OID);
CREATE INDEX I_SM_MKNS_TASKCONTENT_OID ON SM_ME_SourceTokens (TASKCONTENT_OID);
CREATE INDEX I_SM_MKNS_TEMPLATE_OID ON SM_ME_SourceTokens (TEMPLATE_OID);
CREATE INDEX I_SM_M_LN_TARGETID ON SM_MSD_appliesTo_LN (targetId);
CREATE INDEX I_SM_NNGS_COMPUTERSYSTEM_PROVI ON SM_NASExportSettings (ComputerSystem_provides);
CREATE INDEX I_SM_NNGS_FILESHARE_SECUREDWIT ON SM_NASExportSettings (FileShare_securedWith);
CREATE INDEX I_SM_NNGS_FILESYSTEM_SECUREDWI ON SM_NASExportSettings (FileSystem_securedWith);
CREATE INDEX I_SM_N_ZN_TARGETID ON SM_NetworkPort_memberOf_Zone (targetId);
CREATE INDEX I_SM_NPRT_COMPUTERSYSTEM_HOSTS ON SM_NextHopRoute (ComputerSystem_hosts);
CREATE INDEX I_SM_NPRT_COMPUTERSYSTEM_MANAG ON SM_NextHopRoute (ComputerSystem_manages);
CREATE INDEX I_SM_NS_P_TARGETID ON SM_NextHopRoute_use_PE (targetId);
CREATE INDEX I_SM_PSTM_BOOTSFROM_FILESYSTEM ON SM_OperatingSystem (bootsFrom_FileSystem);
CREATE INDEX I_SM_PSTM_INSTALLEDON_COMPUTER ON SM_OperatingSystem (installedOn_ComputerSystem);
CREATE INDEX I_SM_PSTM_RUNSON_COMPUTERSYSTE ON SM_OperatingSystem (runsOn_ComputerSystem);
CREATE INDEX I_SM_PSTM_STORAGESUBSYSTEM_EMP ON SM_OperatingSystem (StorageSubsystem_employs);
CREATE INDEX I_SM_PNGS_OPERATINGSYSTEM_CONF ON SM_OperatingSystemSettings (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_S_LD_TARGETID ON SM_OS_uses_LD (targetId);
CREATE INDEX I_SM_PRNL_PASSTHROUGHMODULE_OI ON SM_PassThroughModule_External (PASSTHROUGHMODULE_OID);
CREATE INDEX I_SM_PRNL_PASSTHROUGHMODULE_O1 ON SM_PassThroughModule_Internal (PASSTHROUGHMODULE_OID);
CREATE INDEX I_SM_P_PP_TARGETID ON SM_PEP_bindsTo_PEP (targetId);
CREATE INDEX I_SM_P_PP_TARGETID1 ON SM_PEP_connectedTo_PEP (targetId);
CREATE INDEX I_SM_PTRG_STORE_NAME ON SM_PERSISTENT_STORAGE (STORE_NAME);
CREATE INDEX I_SM_P_CS_TARGETID ON SM_PE_assignedTo_CS (targetId);
CREATE INDEX I_SM_PCTN_TARGETID ON SM_PE_locatedAt_Location (targetId);
CREATE INDEX I_SM_PDMN_TARGETID ON SM_PE_memberOf_AccessDomain (targetId);
CREATE INDEX I_SM_P_CS_TARGETID1 ON SM_PE_realizes_CS (targetId);
CREATE INDEX I_SM_P_LD_TARGETID ON SM_PE_realizes_LD (targetId);
CREATE INDEX I_SM_PCNN_TARGETID ON SM_PhyConn_connectedTo_PhyConn (targetId);
CREATE INDEX I_SM_PCTR_PHYSICALPACKAGE_PLUG ON SM_PhysicalConnector (PhysicalPackage_plugsInto);
CREATE INDEX I_SM_PMNT_DTYPE ON SM_PhysicalElement (DTYPE);
CREATE INDEX I_SM_PMNT_NAME ON SM_PhysicalElement (Name);
CREATE INDEX I_SM_PMNT_RESOURCEALLOCATIONSE ON SM_PhysicalElement (ResourceAllocationSettings_de);
CREATE INDEX I_SM_PCKG_CONFIGUREDUSING_CONF ON SM_PhysicalPackage (configuredUsing_Configuration);
CREATE INDEX I_SM_PYSC_TARGETID ON SM_Physica_contains_Physica (targetId);
CREATE INDEX I_SM_PGRP_TARGETID ON SM_Physica_memberOf_Group (targetId);
CREATE INDEX I_SM_PRVC_TARGETID ON SM_Physic_accessedVia_Service (targetId);
CREATE INDEX I_SM_PYSC_TARGETID1 ON SM_Physic_connectedTo_Physic (targetId);
CREATE INDEX I_SM_PLCY_COMPUTERSYSTEM_DEFIN ON SM_Policy (ComputerSystem_definedUsing);
CREATE INDEX I_SM_PLCY_DETERMINEDBY_CARD ON SM_Policy (determinedBy_Card);
CREATE INDEX I_SM_PLCY_FILESYSTEM_PROVIDES ON SM_Policy (FileSystem_provides);
CREATE INDEX I_SM_PLCY_REQUIRES_STORAGEPOOL ON SM_Policy (requires_StoragePool);
CREATE INDEX I_SM_PLCY_REQUIRES_SYSTEMPOOL ON SM_Policy (requires_SystemPool);
CREATE INDEX I_SM_PLCY_STORAGEPOOL_PROVIDES ON SM_Policy (StoragePool_provides);
CREATE INDEX I_SM_PLCY_STORAGEVOLUME_BASEDO ON SM_Policy (StorageVolume_basedOn);
CREATE INDEX I_SM_PNSR_TARGETID ON SM_PortCon_controls_Sensor (targetId);
CREATE INDEX I_SM_PRTS_TARGETID2 ON SM_PowerDomain_CS_federates (targetId);
CREATE INDEX I_SM_PRTS_TARGETID1 ON SM_PowerDomain_LD_federates (targetId);
CREATE INDEX I_SM_PRTS_TARGETID ON SM_PowerDomain_PE_federates (targetId);
CREATE INDEX I_SM_PGRP_POWERUNIT_CONTAINS ON SM_PowerOutletGroup (PowerUnit_contains);
CREATE INDEX I_SM_PSRC_POWEROUTLETGROUP_FED ON SM_PowerSource (PowerOutletGroup_federates);
CREATE INDEX I_SM_PCMP_TARGETID ON SM_Powe_suppliesPowerTo_Comp (targetId);
CREATE INDEX I_SM_P_LG_TARGETID ON SM_Powe_suppliesPowerTo_Logi (targetId);
CREATE INDEX I_SM_PCSS_RUNSON_COMPUTERSYSTE ON SM_Process (runsOn_ComputerSystem);
CREATE INDEX I_SM_PRVC_TARGETID1 ON SM_Process_performs_Service (targetId);
CREATE INDEX I_SM_PPNT_CLUSTERRESOURCEGROUP ON SM_ProtocolEndpoint (ClusterResourceGroup_contains);
CREATE INDEX I_SM_PPNT_DEFINEDUSING_POOLUPL ON SM_ProtocolEndpoint (definedUsing_PoolUplinkSettin);
CREATE INDEX I_SM_PPNT_LANENDPOINT_FEDERATE ON SM_ProtocolEndpoint (LANEndpoint_federates);
CREATE INDEX I_SM_PPNT_LOCATION_HOSTS ON SM_ProtocolEndpoint (Location_hosts);
CREATE INDEX I_SM_PPNT_SYSTEM_HOSTS ON SM_ProtocolEndpoint (System_hosts);
CREATE INDEX I_SM_PWRT_TARGETID2 ON SM_PwrSply_LD_suppliesPowerTo (targetId);
CREATE INDEX I_SM_PWRT_TARGETID1 ON SM_PwrSply_PE_suppliesPowerTo (targetId);
CREATE INDEX I_SM_PWRT_TARGETID ON SM_PwrSply_Sys_suppliesPowerTo (targetId);
CREATE INDEX I_SM_R_RS_TARGETID ON SM_RAS_basedOn_RAS (targetId);
CREATE INDEX I_SM_RSTM_TARGETID ON SM_Redunda_federates_System (targetId);
CREATE INDEX I_SM_RDDT_NAME ON SM_RelatedData (Name);
CREATE INDEX I_SM_R_NF_RELATIONSHIP_DEF_HC ON SM_RELATIONSHIP_INFO (RELATIONSHIP_DEF_HC);
CREATE INDEX I_SM_RBRF_TARGETID1 ON SM_RelData_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_RBRF_TARGETID ON SM_RelData_Group_memberOf (targetId);
CREATE INDEX I_SM_RPRT_SYSTEM_HOSTS ON SM_RemotePort (System_hosts);
CREATE INDEX I_SM_RPNT_PCIESWITCH_HOSTS ON SM_RemoteServiceAccessPoint (PCIeSwitch_hosts);
CREATE INDEX I_SM_RPNT_SYSTEM_HOSTS ON SM_RemoteServiceAccessPoint (System_hosts);
CREATE INDEX I_SM_RT_N_REMOTESERVICEACCESSP ON SM_RemoteServiceAccessPoint_N (REMOTESERVICEACCESSPOINT_OID);
CREATE INDEX I_SM_RPRT_TARGETID ON SM_Remote_accessedVia_IPProt (targetId);
CREATE INDEX I_SM_RPRT_DTYPE ON SM_Report (DTYPE);
CREATE INDEX I_SM_RPRT_NAME ON SM_Report (Name);
CREATE INDEX I_SM_RNGS_ALLOCATEDFROM_RESOUR ON SM_ResourceAllocSettings (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_RNGS_PHYSICALELEMENT_CONF ON SM_ResourceAllocSettings (PhysicalElement_configuredUsi);
CREATE INDEX I_SM_RNGS_VIRTUALSYSTEMSETTING ON SM_ResourceAllocSettings (VirtualSystemSettings_contains);
CREATE INDEX I_SM_RRTR_DTYPE ON SM_ResourceCriteria (DTYPE);
CREATE INDEX I_SM_RRTR_NAME ON SM_ResourceCriteria (Name);
CREATE INDEX I_SM_RCPL_ALLOCATEDFROM_RESOUR ON SM_ResourcePool (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_RCPL_COMPUTERSYSTEM_HOSTS ON SM_ResourcePool (ComputerSystem_hosts);
CREATE INDEX I_SM_SBRF_TARGETID4 ON SM_SAP_AccessDomain_memberOf (targetId);
CREATE INDEX I_SM_SBRF_TARGETID2 ON SM_SAP_Group_memberOf (targetId);
CREATE INDEX I_SM_SLST_TARGETID2 ON SM_Sensor_LD_appliesTo (targetId);
CREATE INDEX I_SM_SLST_TARGETID1 ON SM_Sensor_PE_appliesTo (targetId);
CREATE INDEX I_SM_SLST_TARGETID ON SM_Sensor_SYS_appliesTo (targetId);
CREATE INDEX I_SM_SRVR_TARGETID ON SM_Server_controls_Server (targetId);
CREATE INDEX I_SM_SRMT_SERVER_OID ON SM_Server_HypervisorPlatformT (SERVER_OID);
CREATE INDEX I_SM_SGCL_TARGETID ON SM_Server_memberOf_Logical (targetId);
CREATE INDEX I_SM_SRVC_PHYSICALELEMENT_PROV ON SM_Service (PhysicalElement_provides);
CREATE INDEX I_SM_SRVC_RESOURCEPOOL_PROVIDE ON SM_Service (ResourcePool_provides);
CREATE INDEX I_SM_SRVC_SERVICE_REDUNDANTTO ON SM_Service (Service_redundantTo);
CREATE INDEX I_SM_SRVC_SYSTEM_PROVIDES ON SM_Service (System_provides);
CREATE INDEX I_SM_SPNT_DTYPE ON SM_ServiceAccessPoint (DTYPE);
CREATE INDEX I_SM_SPNT_NAME ON SM_ServiceAccessPoint (Name);
CREATE INDEX I_SM_S_SP_TARGETID ON SM_Service_accessedVia_SAP (targetId);
CREATE INDEX I_SM_SRTS_SERVICE_OID ON SM_Service_CommandPorts (SERVICE_OID);
CREATE INDEX I_SM_SNGS_DTYPE ON SM_Settings (DTYPE);
CREATE INDEX I_SM_SNGS_NAME ON SM_Settings (Name);
CREATE INDEX I_SM_SBRF_TARGETID1 ON SM_Settings_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_SBRF_TARGETID ON SM_Settings_Group_memberOf (targetId);
CREATE INDEX I_SM_SWFT_TARGETID ON SM_SftwFeature_feds_SftwFeatu (targetId);
CREATE INDEX I_SM_SGXT_TARGETID ON SM_SftwImage_basedOn_StgExt (targetId);
CREATE INDEX I_SM_S_SM_TARGETID ON SM_SftwInstable_represents_SM (targetId);
CREATE INDEX I_SM_SST__TARGETID ON SM_SftwInstallable_appliesTo_ (targetId);
CREATE INDEX I_SM_SMDC_TARGETID ON SM_SftwMod_definedUsing_SMDC (targetId);
CREATE INDEX I_SM_S_CS_TARGETID ON SM_SftwMod_installedOn_CS (targetId);
CREATE INDEX I_SM_S_CS_TARGETID1 ON SM_SftwMod_latestFor_CS (targetId);
CREATE INDEX I_SM_S_CS_TARGETID2 ON SM_SftwMod_recommendedFor_CS (targetId);
CREATE INDEX I_SM_SWMD_TARGETID ON SM_SftwMod_requires_SftwMod (targetId);
CREATE INDEX I_SM_SDMN_TARGETID ON SM_SftwPkg_memberOf_AccDomain (targetId);
CREATE INDEX I_SM_SDMN_TARGETID1 ON SM_SftwRes_memberOf_AccDomain (targetId);
CREATE INDEX I_SM_SGRP_TARGETID2 ON SM_SftwRes_memberOf_Group (targetId);
CREATE INDEX I_SM_SRVC_TARGETID ON SM_SftwRes_provides_Service (targetId);
CREATE INDEX I_SM_SWRS_TARGETID ON SM_SftwRes_requires_SftwRes (targetId);
CREATE INDEX I_SM_SWRS_TARGETID1 ON SM_SftwRes_supersedes_SftwRes (targetId);
CREATE INDEX I_SM_SYPS_SLOT_OID ON SM_Slot_SlotTypes (SLOT_OID);
CREATE INDEX I_SM_SLBL_FILEREPOSITORY_CONTA ON SM_SoftwareInstallable (FileRepository_contains);
CREATE INDEX I_SM_SLBL_IMAGECONTAINER_CONTA ON SM_SoftwareInstallable (ImageContainer_contains);
CREATE INDEX I_SM_SLBL_VIRTUALAPPLIANCE_ASS ON SM_SoftwareInstallable (VirtualAppliance_assimilates);
CREATE INDEX I_SM_SMDL_IDENTIFYINGNUMBER ON SM_SoftwareModule (IdentifyingNumber);
CREATE INDEX I_SM_SMDL_UPDATEID ON SM_SoftwareModule (UpdateID);
CREATE INDEX I_SM_SCKG_DTYPE ON SM_SoftwarePackage (DTYPE);
CREATE INDEX I_SM_SCKG_NAME ON SM_SoftwarePackage (Name);
CREATE INDEX I_SM_SMNT_SOFTWAREINSTALLABLE_ ON SM_SoftwareRequirement (SoftwareInstallable_requires);
CREATE INDEX I_SM_SMNT_SOFTWAREMODULE_REQUI ON SM_SoftwareRequirement (SoftwareModule_requires);
CREATE INDEX I_SM_SMNT_SOFTWARERESOURCETEMP ON SM_SoftwareRequirement (SoftwareResourceTemplate_requ);
CREATE INDEX I_SM_SSRC_DEFINEDUSING_SOFTWAR ON SM_SoftwareResource (definedUsing_SoftwareResource);
CREATE INDEX I_SM_SSRC_DTYPE1 ON SM_SoftwareResource (DTYPE);
CREATE INDEX I_SM_SSRC_FIXES_SOFTWAREINSTAL ON SM_SoftwareResource (fixes_SoftwareInstallation);
CREATE INDEX I_SM_SSRC_INSTALLEDON_COMPUTER ON SM_SoftwareResource (installedOn_ComputerSystem);
CREATE INDEX I_SM_SSRC_INSTALLEDON_OPERATIN ON SM_SoftwareResource (installedOn_OperatingSystem);
CREATE INDEX I_SM_SSRC_NAME1 ON SM_SoftwareResource (Name);
CREATE INDEX I_SM_SSRC_SOFTWAREINSTALLATION ON SM_SoftwareResource (SoftwareInstallation_configur);
CREATE INDEX I_SM_SSRC_SOFTWAREMODULE_INSTA ON SM_SoftwareResource (SoftwareModule_installedAs);
CREATE INDEX I_SM_SMPT_TARGETID ON SM_Softwar_appliesTo_Compute (targetId);
CREATE INDEX I_SM_SGRP_TARGETID1 ON SM_Softwar_memberOf_Group (targetId);
CREATE INDEX I_SM_SFTW_TARGETID ON SM_Softwa_supersedes_Softwa (targetId);
CREATE INDEX I_SM_S_SM_TARGETID1 ON SM_SrvTemplate_definedUsing_SM (targetId);
CREATE INDEX I_SM_STTS_APPLIESTO_COLLECTION ON SM_Status (appliesTo_Collection);
CREATE INDEX I_SM_STTS_APPLIESTO_COMPLIANCE ON SM_Status (appliesTo_Compliance);
CREATE INDEX I_SM_STTS_APPLIESTO_IDENTITY ON SM_Status (appliesTo_Identity);
CREATE INDEX I_SM_STTS_APPLIESTO_LOGICALDEV ON SM_Status (appliesTo_LogicalDevice);
CREATE INDEX I_SM_STTS_APPLIESTO_PHYSICALEL ON SM_Status (appliesTo_PhysicalElement);
CREATE INDEX I_SM_STTS_APPLIESTO_RELATEDDAT ON SM_Status (appliesTo_RelatedData);
CREATE INDEX I_SM_STTS_APPLIESTO_SERVICEACC ON SM_Status (appliesTo_ServiceAccessPoint);
CREATE INDEX I_SM_STTS_APPLIESTO_SETTINGS ON SM_Status (appliesTo_Settings);
CREATE INDEX I_SM_STTS_APPLIESTO_SOFTWAREPA ON SM_Status (appliesTo_SoftwarePackage);
CREATE INDEX I_SM_STTS_APPLIESTO_SOFTWARERE ON SM_Status (appliesTo_SoftwareResource);
CREATE INDEX I_SM_STTS_APPLIESTO_SYSTEM ON SM_Status (appliesTo_System);
CREATE INDEX I_SM_STTS_APPLIESTO_SYSTEMCONT ON SM_Status (appliesTo_SystemContent);
CREATE INDEX I_SM_STTS_APPLIESTO_TASKCONTEN ON SM_Status (appliesTo_TaskContent);
CREATE INDEX I_SM_STTS_APPLIESTO_TEMPLATE ON SM_Status (appliesTo_Template);
CREATE INDEX I_SM_SSDN_TARGETID2 ON SM_StgExt_FileSystem_basedOn (targetId);
CREATE INDEX I_SM_SSDN_TARGETID ON SM_StgExt_File_basedOn (targetId);
CREATE INDEX I_SM_SSDN_TARGETID1 ON SM_StgExt_StgExt_basedOn (targetId);
CREATE INDEX I_SM_S_SS_TARGETID ON SM_StgPool_FileShare_uses (targetId);
CREATE INDEX I_SM_S_SS_TARGETID1 ON SM_StgPool_FileSystem_uses (targetId);
CREATE INDEX I_SM_STNT_ACCESSEDVIA_MEDIAACC ON SM_StorageExtent (accessedVia_MediaAccessDevice);
CREATE INDEX I_SM_STNT_COPYBASEDON_STORAGEE ON SM_StorageExtent (copyBasedOn_StorageExtent);
CREATE INDEX I_SM_STNT_DISKGROUP_CONTAINS ON SM_StorageExtent (DiskGroup_contains);
CREATE INDEX I_SM_SPRT_TARGETID ON SM_Storage_mappedTo_FCPort (targetId);
CREATE INDEX I_SM_SSWM_TARGETID ON SM_SWDS_configuredUsing_SWM (targetId);
CREATE INDEX I_SM_SWNS_TARGETID ON SM_SWFtrIns_feds_SWIns (targetId);
CREATE INDEX I_SM_STNS_TARGETID ON SM_SWIns_feds_SWCptIns (targetId);
CREATE INDEX I_SM_S_LN_TARGETID ON SM_Switch_memberOf_LN (targetId);
CREATE INDEX I_SM_SSWP_TARGETID ON SM_SWPDS_configuredUsing_SWP (targetId);
CREATE INDEX I_SM_SPTH_TARGETID ON SM_SWPthCol_feds_SWPth (targetId);
CREATE INDEX I_SM_SMDL_TARGETID ON SM_SWStack_feds_SWModule (targetId);
CREATE INDEX I_SM_SMMB_TARGETID ON SM_SysContent_AccDomain_membe (targetId);
CREATE INDEX I_SM_SBRF_TARGETID3 ON SM_SysContent_Group_memberOf (targetId);
CREATE INDEX I_SM_SSRS_OID ON SM_SysPerfSettings_iSeries (OID);
CREATE INDEX I_SM_SLST_TARGETID3 ON SM_SysPool_cfgUsing_SysPoolSet (targetId);
CREATE INDEX I_SM_SSRS_OID1 ON SM_SysRegionSettings_iSeries (OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFIN ON SM_SystemAssetSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_STNT_DTYPE ON SM_SystemContent (DTYPE);
CREATE INDEX I_SM_STNT_NAME ON SM_SystemContent (Name);
CREATE INDEX I_SM_SMPT_TARGETID1 ON SM_SystemC_contains_Compute (targetId);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI1 ON SM_SystemDeviceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SMJB_RUNSON_COMPUTERSYSTE ON SM_SystemJob (runsOn_ComputerSystem);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI2 ON SM_SystemJobSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SCTS_TARGETID ON SM_SystemJob_PEP_affects (targetId);
CREATE INDEX I_SM_SCTS_TARGETID1 ON SM_SystemJob_Service_affects (targetId);
CREATE INDEX I_SM_SLCY_APPLIESTO_COMPUTERSY ON SM_SystemPasswordPolicy (appliesTo_ComputerSystem);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI3 ON SM_SystemPerformanceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SRSN_SYSTEMPOOL_OID ON SM_SystemPool_PlatformVersion (SYSTEMPOOL_OID);
CREATE INDEX I_SM_STYP_SYSTEMPOOL_OID ON SM_SystemPool_ProxyType (SYSTEMPOOL_OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI4 ON SM_SystemRegionalSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SSRC_DTYPE ON SM_SystemResource (DTYPE);
CREATE INDEX I_SM_SSRC_NAME ON SM_SystemResource (Name);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI5 ON SM_SystemSecuritySettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SS_D_SYSTEMSECURITYSETTIN ON SM_SystemSecuritySettings_Aud (SYSTEMSECURITYSETTINGS_OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI6 ON SM_SystemServiceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFI7 ON SM_SystemUserSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SCPB_TARGETID ON SM_System_advertises_Capabi (targetId);
CREATE INDEX I_SM_STNM_SYSTEM_OID ON SM_System_HostName (SYSTEM_OID);
CREATE INDEX I_SM_SRSS_SYSTEM_OID ON SM_System_IPv4Address (SYSTEM_OID);
CREATE INDEX I_SM_SRSS_SYSTEM_OID1 ON SM_System_MACAddress (SYSTEM_OID);
CREATE INDEX I_SM_SSSD_TARGETID ON SM_System_memberOf_AccessD (targetId);
CREATE INDEX I_SM_SGRP_TARGETID ON SM_System_memberOf_Group (targetId);
CREATE INDEX I_SM_SMRL_TARGETID ON SM_System_performs_SystemRole (targetId);
CREATE INDEX I_SM_SSRS_OID2 ON SM_SysUserSettings_iSeries (OID);
CREATE INDEX I_SM_SRSP_TARGETID ON SM_Sys_accessedVia_RSAP (targetId);
CREATE INDEX I_SM_SCTN_TARGETID ON SM_SYS_locatedAt_Location (targetId);
CREATE INDEX I_SM_SFDS_TARGETID ON SM_SYS_POOL_CS_FEDS (targetId);
CREATE INDEX I_SM_SLSN_TARGETID ON SM_SYS_POOL_CS_RELIESON (targetId);
CREATE INDEX I_SM_S_FS_TARGETID ON SM_SYS_POOL_RELIESON_FS (targetId);
CREATE INDEX I_SM_S_PL_TARGETID ON SM_SYS_POOL_RELIESON_RES_POOL (targetId);
CREATE INDEX I_SM_S_PL_TARGETID1 ON SM_SYS_POOL_RELIESON_SYS_POOL (targetId);
CREATE INDEX I_SM_SNST_TARGETID ON SM_SYS_POOL_SUPP_WRKLD_INST (targetId);
CREATE INDEX I_SM_SFDS_TARGETID1 ON SM_SYS_POOL_SYS_POOL_FEDS (targetId);
CREATE INDEX I_SM_TTNT_DTYPE ON SM_TaskContent (DTYPE);
CREATE INDEX I_SM_TTNT_NAME ON SM_TaskContent (Name);
CREATE INDEX I_SM_TTNC_DERIVEDFROM_TASKDEFI ON SM_TaskInstance (derivedFrom_TaskDefinition);
CREATE INDEX I_SM_TKJB_TASKDEFINITION_CONFI ON SM_TaskJob (TaskDefinition_configuredUsing);
CREATE INDEX I_SM_TKJB_TASKINSTANCE_CONFIGU ON SM_TaskJob (TaskInstance_configuredUsing);
CREATE INDEX I_SM_TNGS_COMPUTERSYSTEM_CONFI ON SM_TCPSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_TPLT_CONFIGUREDUSING_STOR ON SM_Template (configuredUsing_StorageTempla);
CREATE INDEX I_SM_TPLT_DERIVEDFROM_TEMPLATE ON SM_Template (derivedFrom_Template);
CREATE INDEX I_SM_TPLT_DTYPE ON SM_Template (DTYPE);
CREATE INDEX I_SM_TPLT_NAME ON SM_Template (Name);
CREATE INDEX I_SM_TPLT_OPERATINGSYSTEM_CONF ON SM_Template (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_TPLT_REALIZES_VIRTUALSYST ON SM_Template (realizes_VirtualSystemSettings);
CREATE INDEX I_SM_TPLT_SOFTWAREIMAGE_DEFINE ON SM_Template (SoftwareImage_definedUsing);
CREATE INDEX I_SM_TPLT_SOFTWAREMODULE_DEFIN ON SM_Template (SoftwareModule_definedUsing);
CREATE INDEX I_SM_TRNF_APPLIESTO_TEMPLATE ON SM_TemplateHandlerInfo (appliesTo_Template);
CREATE INDEX I_SM_TTHD_CLUSTER_HOSTS ON SM_TemplateMethod (Cluster_hosts);
CREATE INDEX I_SM_TMTR_TEMPLATE_CONFIGUREDU ON SM_TemplateParameter (Template_configuredUsing);
CREATE INDEX I_SM_TRGT_APPLIESTO_GROUP ON SM_TemplateTarget (appliesTo_Group);
CREATE INDEX I_SM_TRGT_APPLIESTO_SYSTEM ON SM_TemplateTarget (appliesTo_System);
CREATE INDEX I_SM_TRGT_TEMPLATE_TARGETS ON SM_TemplateTarget (Template_targets);
CREATE INDEX I_SM_TBRF_TARGETID2 ON SM_Template_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_TPLT_TARGETID ON SM_Template_contains_Templat (targetId);
CREATE INDEX I_SM_TBRF_TARGETID1 ON SM_Template_Group_memberOf (targetId);
CREATE INDEX I_SM_TNGS_OPERATINGSYSTEM_CONF ON SM_TimeZoneSettings (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_TGRP_TARGETID ON SM_TmpFixGrp_feds_TmpFixGrp (targetId);
CREATE INDEX I_SM_TMMB_TARGETID ON SM_TskContent_AccDomain_membe (targetId);
CREATE INDEX I_SM_TBRF_TARGETID ON SM_TskContent_Group_memberOf (targetId);
CREATE INDEX I_SM_SCNT_COMPUTERSYSTEM_CONTA ON SM_UserAccount (ComputerSystem_contains);
CREATE INDEX I_SM_SSRS_OID3 ON SM_UserAccount_iSeries (OID);
CREATE INDEX I_SM_STCT_SYSTEM_EXPOSES ON SM_UserContact (System_exposes);
CREATE INDEX I_SM_STCT_USERACCOUNT_EXPOSES ON SM_UserContact (UserAccount_exposes);
CREATE INDEX I_SM_STCT_USER_EXPOSES ON SM_UserContact (User_exposes);
CREATE INDEX I_SM_S_SR_TARGETID ON SM_UserGroup_federates_User (targetId);
CREATE INDEX I_SM_SRFL_DEFINEDUSING_ACCESSD ON SM_UserProfile (definedUsing_AccessDomain);
CREATE INDEX I_SM_VDHD_DISPLAYCONTROLLER_HO ON SM_VideoHead (DisplayController_hosts);
CREATE INDEX I_SM_VLNC_VIRTUALAPPLIANCE_PRE ON SM_VirtualAppliance (VirtualAppliance_precedes);
CREATE INDEX I_SM_VLNC_WORKLOADINSTANCE_CAP ON SM_VirtualAppliance (WorkloadInstance_capturedAs);
CREATE INDEX I_SM_VTGS_VIRTUALAPPLIANCE_OID ON SM_VirtualAppliance_Tags (VIRTUALAPPLIANCE_OID);
CREATE INDEX I_SM_VNGS_SERVER_DEFINEDUSING ON SM_VirtualSystemSettings (Server_definedUsing);
CREATE INDEX I_SM_VNGS_SYSTEMCONTAINER_DEFI ON SM_VirtualSystemSettings (SystemContainer_definedUsing);
CREATE INDEX I_SM_VNGS_VIRTUALSYSTEMSETTING ON SM_VirtualSystemSettings (VirtualSystemSettings_basedOn);
CREATE INDEX I_SM_VNGS_VLANENDPOINT_DEFINED ON SM_VLANEndpointSettings (VLANEndpoint_definedUsing);
CREATE INDEX I_SM_VVLN_TARGETID ON SM_VLANEp_memberOf_NetworkVLAN (targetId);
CREATE INDEX I_SM_WRVR_TARGETID ON SM_WrkldInst_employs_Server (targetId);
CREATE INDEX I_SM_W_CS_TARGETID ON SM_WrkldInst_spans_CS (targetId);
CREATE INDEX I_SM_Z_ZN_TARGETID ON SM_ZoneMember_memberOf_Zone (targetId);
CREATE INDEX I_SM_ZONS_FABRIC_CONTAINS ON SM_Zones (Fabric_contains);
CREATE INDEX I_SM_ZONS_MEMBEROF_ZONESET ON SM_Zones (memberOf_ZoneSet);
CREATE INDEX I_SM_ZNST_FABRIC_CONTAINS ON SM_ZoneSet (Fabric_contains);
