-- Licensed Materials - Property of IBM
-- 
-- (C) Copyright IBM Corp. 2007, 2011 All Rights Reserved
-- 
-- US Government Users Restricted Rights - Use, duplicate or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
-- 
CREATE TABLE SM_AcceleratorService (OID BIGINT NOT NULL, ClientAddresses IMAGE, ClientClusters IMAGE, ClientHostnames IMAGE, ClientNodes IMAGE, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_AccessDomain (OID BIGINT NOT NULL, IsAllGroups BIT NOT NULL, IsDerived BIT NOT NULL, AccessDomain_federates BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ActivationKey (OID BIGINT NOT NULL, ExpirationDate DATETIME, FeatureType NVARCHAR(64) COLLATE $(collation) NOT NULL, KeyIdentifier IMAGE NOT NULL, KeyLocation NVARCHAR(256) COLLATE $(collation), KeyStatus SMALLINT NOT NULL, UsageCount BIGINT, UsageLimit BIGINT, installedOn_ComputerSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Activat_appliesTo_Softwar (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_AdminDomain (OID BIGINT NOT NULL, FarmType NVARCHAR(256) COLLATE $(collation), HighAvailabilityCapable BIT, HighAvailabilityEnabled BIT, HighAvailabilityPolicy NVARCHAR(4000) COLLATE $(collation), HostCount NVARCHAR(32) COLLATE $(collation), ProxyPath NVARCHAR(1024) COLLATE $(collation), VSCount NVARCHAR(32) COLLATE $(collation), WorkloadBalancing NVARCHAR(256) COLLATE $(collation), LabelPowerInput BIGINT, LabelPowerOutput BIGINT, DomainNumber INT, OverSubscriptionPolicy SMALLINT, RedundancyStatus SMALLINT, NodeAddresses IMAGE, NodeHostNames IMAGE, PoolID NVARCHAR(1024) COLLATE $(collation), SufficientResources BIT, UnallocatedCPUs BIGINT, UnallocatedMemory BIGINT, DDB_Version NVARCHAR(64) COLLATE $(collation), AutoOptimization SMALLINT, Energy SMALLINT, OptimizationInterval INT, PlacementCapability SMALLINT, Platform SMALLINT, ProxyHostName NVARCHAR(256) COLLATE $(collation), ProxyIPAddress NVARCHAR(39) COLLATE $(collation), ProxySetName NVARCHAR(256) COLLATE $(collation), SystemType SMALLINT, isAccessSupported BIT, isRevokeAccessSupported BIT, AllowSuspended BIT, Automation SMALLINT, CreatedBy NVARCHAR(256) COLLATE $(collation), HARelocation BIT, HARemoteRestart BIT, HighlyAvailable BIT, WorkloadIsolation NVARCHAR(1024) COLLATE $(collation), Priority INT, requires_Policy BIGINT, ComputerSystem_controls BIGINT, VirtualAppliance_deployedAs BIGINT, SystemChassis_contains BIGINT, SAN_contains BIGINT, HardwareManagementConsole_con BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_AdminD_accessedVia_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ALIAS_MAP (ALIAS_GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, PRIMARY_GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (ALIAS_GUID));
CREATE TABLE SM_AuthenticationRegistry (OID BIGINT NOT NULL, RegistryHostname NVARCHAR(256) COLLATE $(collation) NOT NULL, RegistryPassword NVARCHAR(150) COLLATE $(collation), RegistryPort BIGINT, RegistryType NVARCHAR(256) COLLATE $(collation) NOT NULL, RegistryURL NVARCHAR(1024) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_AuthReg_accessedVia_RSAP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, isDefault BIT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThresholdDefinition (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, EnableEventing BIT, ProgramPath NVARCHAR(256) COLLATE $(collation) NOT NULL, QueueDepth BIGINT, ResendDelay BIGINT, SendDelay BIGINT, DTYPE INT, ownedBy_MetricProvider BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_10 UNIQUE (Guid));
CREATE TABLE SM_BaseThr_appliesTo_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_MetricD (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Physica (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Resourc (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_System (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_BaseThr_appliesTo_SystemC (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Battery (OID BIGINT NOT NULL, BatteryLifePercent FLOAT(32), BatteryStatus SMALLINT, BatteryTemperature FLOAT(32), BatteryTimeRemaining BIGINT, Chemistry SMALLINT, DesignCapacity BIGINT, DesignVoltage BIGINT, ExpectedLife BIGINT, FullChargeCapacity BIGINT, RemainingCapacity BIGINT, TimeToFullCharge BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_BootSettings (OID BIGINT NOT NULL, ActionToConsoleProblem SMALLINT, AllowRemotePowerOn BIT, AutoRestartOnRestorePower BIT, BootProgram NVARCHAR(128) COLLATE $(collation), BootSubsystem NVARCHAR(64) COLLATE $(collation), CurrentBootMode NVARCHAR(32) COLLATE $(collation), KeyLockPosition SMALLINT, LastBootMode NVARCHAR(32) COLLATE $(collation), LastBootState SMALLINT, PanelKeyMode SMALLINT, PowerSupplyState SMALLINT, RestartType SMALLINT, RunHardwareDiags BIT, SafeModeStart BIT, ScheduledRestart DATETIME, ShowBootDisplay SMALLINT, ShutdownTimeLimit BIGINT, StartNetworkServices BIT, StartPrintWriters BIT, WaitForDatabaseRecovery BIT, ComputerSystem_configuredUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_BTD_appliesTo_LN (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Activated BIT, SetState SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CacheBattery (OID BIGINT NOT NULL, AdjustedPowerOnDays INT, CacheWritten BIT, DaysToError INT, DaysToWarning INT, Maintainable BIT, PowerOnDays INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Capability (OID BIGINT NOT NULL, CapabilityId NVARCHAR(256) COLLATE $(collation) NOT NULL, CapabilityName NVARCHAR(64) COLLATE $(collation) NOT NULL, CapabilityType NVARCHAR(64) COLLATE $(collation) NOT NULL, Expression NVARCHAR(512) COLLATE $(collation), Vendor NVARCHAR(64) COLLATE $(collation), CapabilityVersion NVARCHAR(32) COLLATE $(collation), PhysicalElement_advertises BIGINT, LogicalDevice_advertises BIGINT, ResourcePool_advertises BIGINT, Service_advertises BIGINT, SoftwareModule_advertises BIGINT, AcousticCapability BIGINT, AllocatedPowerCapable BIT, altitude_caps SMALLINT, CpuUtilizationCapable BIT, IODrawerPowerCapable BIT, OutputPowerCapable BIT, PCapComponentControl BIT, performance_boost_caps BIT, power_capping_caps BIT, PowerCappingReadOnly BIT, power_capping_soft_caps BIT, PowerCycleInfoCapable BIT, power_meaurement_caps BIT, PowerRedundancyCapability BIGINT, SupportLevel SMALLINT, UPSStateChangeCapable BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_CapGrp_federates_Cap (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ChangeBasedThresholdDefini (OID BIGINT NOT NULL, DefaultEventLevel SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ClusterAppController (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CUoDInsufficientResources BIT, DesiredCPUs BIGINT, DesiredMemory BIGINT, DesiredProcessingUnits FLOAT(32), DynamicCoD BIT, MinimumCPUs BIGINT, MinimumMemory BIGINT, MinimumProcessingUnits FLOAT(32), StartScript NVARCHAR(256) COLLATE $(collation), StopScript NVARCHAR(256) COLLATE $(collation), DTYPE INT, Cluster_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ClusterAppMonitor (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CleanupMethod NVARCHAR(1024) COLLATE $(collation), FailureAction NVARCHAR(64) COLLATE $(collation), HungSignal INT, InstanceCount INT, DDB_Mode NVARCHAR(1024) COLLATE $(collation), MonitorInterval INT, MonitorMethod NVARCHAR(1024) COLLATE $(collation), NotifyMethod NVARCHAR(1024) COLLATE $(collation), ProcessOwner NVARCHAR(64) COLLATE $(collation), Processes IMAGE, RestartCount INT, RestartInterval INT, RestartMethod NVARCHAR(1024) COLLATE $(collation), StabilizationInterval INT, DDB_Type NVARCHAR(64) COLLATE $(collation), DTYPE INT, Cluster_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ClusterAp_hosts_ClusterAp (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ClusterResourceGroup (OID BIGINT NOT NULL, CommandTimeout BIGINT, DynamicNodePriorityPolicy NVARCHAR(64) COLLATE $(collation), FailoverPolicy NVARCHAR(64) COLLATE $(collation), FailoverScript NVARCHAR(1024) COLLATE $(collation), FallbackPolicy NVARCHAR(64) COLLATE $(collation), SitePolicy NVARCHAR(64) COLLATE $(collation), StartupPolicy NVARCHAR(64) COLLATE $(collation), DDB_State SMALLINT, WPAREnabled BIT, Cluster_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ClusterRe_hosts_ClusterAp (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ClusterUserDefResource (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, AttributeData NVARCHAR(1024) COLLATE $(collation), DTYPE INT, basedOn_ClusterUserDefinedRes BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ClusterUserDefRscType (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CleanupMethod NVARCHAR(1024) COLLATE $(collation), FailureNotificationMethod NVARCHAR(1024) COLLATE $(collation), MonitorMethod NVARCHAR(1024) COLLATE $(collation), OptionalAttributes NVARCHAR(1024) COLLATE $(collation), ProcessAtAfter NVARCHAR(1024) COLLATE $(collation), RequiredAttributes NVARCHAR(1024) COLLATE $(collation), RestartMethod NVARCHAR(1024) COLLATE $(collation), StartMethod NVARCHAR(1024) COLLATE $(collation), StopMethod NVARCHAR(1024) COLLATE $(collation), VerificationMethod NVARCHAR(1024) COLLATE $(collation), DTYPE INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Cluster_contains_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Cluster_contains_Operati (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Priority BIGINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Cluster_federates_Cluster (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, DependencyType NVARCHAR(64) COLLATE $(collation), Priority BIGINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Cluster_Types (CLUSTER_OID BIGINT, Types SMALLINT);
CREATE TABLE SM_Collection (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CollectionID NVARCHAR(512) COLLATE $(collation), DTYPE INT, AddressType SMALLINT, AvailableAddresses BIGINT, DiscoveredAddresses BIGINT, NetworkType SMALLINT, PrefixLength SMALLINT, DDB_Public BIT, SubnetMask NVARCHAR(16) COLLATE $(collation), SubnetNumber NVARCHAR(40) COLLATE $(collation), UsableAddresses BIGINT, Cluster_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_36 UNIQUE (Guid));
CREATE TABLE SM_Collection_memberOf_AccDom (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Collection_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CompletionAction (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, Operation IMAGE, OrderIndex INT, RestartType NVARCHAR(32) COLLATE $(collation) NOT NULL, DTYPE INT, SoftwareInstallable_requires BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_39 UNIQUE (Guid));
CREATE TABLE SM_Compliance (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_40 UNIQUE (Guid));
CREATE TABLE SM_ComplianceIssue (OID BIGINT NOT NULL, Instructions NVARCHAR(2000) COLLATE $(collation), Severity SMALLINT NOT NULL, ComplianceResult_exposes BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ComplianceRecommendation (OID BIGINT NOT NULL, ApprovalState NVARCHAR(256) COLLATE $(collation), Instructions NVARCHAR(2000) COLLATE $(collation), RecommendationTime DATETIME, RemediateDoneTime DATETIME, RemediationWorkflowName NVARCHAR(256) COLLATE $(collation), SoftwareName NVARCHAR(256) COLLATE $(collation), appliesTo_System BIGINT, ComplianceIssue_resolvesFrom BIGINT, basedOn_TaskDefinition BIGINT, assignedTo_SoftwareModule BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ComplianceResult (OID BIGINT NOT NULL, CheckTime DATETIME, Compliant BIT, DesiredStateElementTypeName NVARCHAR(256) COLLATE $(collation) NOT NULL, DseTypeDisplayName NVARCHAR(256) COLLATE $(collation) NOT NULL, LastScanTime DATETIME, appliesTo_System BIGINT, resolvesFrom_DesiredStateElem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ComplianceSummary (OID BIGINT NOT NULL, ComplianceStatus SMALLINT NOT NULL, LastCheckTime DATETIME, SubCategory SMALLINT NOT NULL, appliesTo_System BIGINT, appliesTo_Group BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Compliance_AccDomain_membe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Compliance_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Complian_basedOn_Software (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CompTemplate_feds_Template (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, TemplatePosition BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ComputerSystem (OID BIGINT NOT NULL, Architecture NVARCHAR(64) COLLATE $(collation), AssetTag NVARCHAR(256) COLLATE $(collation), Employed BIT, Encapsulated BIT, IsAccessSuppoorted INT, IsRevokeAccessSupported INT, LastBootUpTime DATETIME, MachineType NVARCHAR(64) COLLATE $(collation), Manufacturer NVARCHAR(64) COLLATE $(collation), Model NVARCHAR(128) COLLATE $(collation), PartNumber NVARCHAR(256) COLLATE $(collation), PlatformManagerType NVARCHAR(256) COLLATE $(collation), PrimaryHostName NVARCHAR(256) COLLATE $(collation), ProductName NVARCHAR(256) COLLATE $(collation), SerialNumber NVARCHAR(128) COLLATE $(collation), SoftwareType NVARCHAR(256) COLLATE $(collation), SoftwareVersion NVARCHAR(128) COLLATE $(collation), SystemBoardUUID NVARCHAR(64) COLLATE $(collation), ClusterState SMALLINT, MaxNumberOfNodes BIGINT, SitePolicyCommand NVARCHAR(1024) COLLATE $(collation), SitePolicyFailover BIT, Synched BIT, CoolingOutput BIGINT, SetTemperature FLOAT(32), HybridType SMALLINT, HybridVersion NVARCHAR(128) COLLATE $(collation), AmperageCapacity FLOAT(32), AmperageUsed FLOAT(32), BatteryStatus SMALLINT, CurrentLoad FLOAT(32), RemainingPowerPercent FLOAT(32), TotalPowerCapacity FLOAT(32), UPSState SMALLINT, ActiveMobility BIT, Failed BIT, HypervisorPlatformRole NVARCHAR(64) COLLATE $(collation), HypervisorPlatformRoleSet SMALLINT, HypervisorPlatformType SMALLINT, HypervisorPlatformTypeString NVARCHAR(256) COLLATE $(collation), HypervisorPlatformVersion NVARCHAR(64) COLLATE $(collation), InactiveMobility BIT, MaximumRemoteRestartCapableLP INT, MaximumSuspendCapableLPARs INT, MultiNode BIT, PlatformManagerVersion NVARCHAR(256) COLLATE $(collation), PowerMgmtCapabilities BIGINT, RemoteRestartStatus SMALLINT, VMID NVARCHAR(128) COLLATE $(collation), Virtual BIT, VirtualServerRelocation SMALLINT, VirtualServerUniqueId NVARCHAR(128) COLLATE $(collation), VersionMatching NVARCHAR(64) COLLATE $(collation), AnsiT10Id NVARCHAR(256) COLLATE $(collation), DeviceName NVARCHAR(256) COLLATE $(collation), FRUNumber NVARCHAR(64) COLLATE $(collation), InstalledPorts BIGINT, ManagedIPAddress NVARCHAR(46) COLLATE $(collation), StackRole SMALLINT, Stacked BIT, SwitchType NVARCHAR(32) COLLATE $(collation), SystemOID NVARCHAR(256) COLLATE $(collation), TotalPorts BIGINT, ChassisSubType SMALLINT, ChassisType SMALLINT, LabelPowerInput BIGINT, LabelPowerOutput BIGINT, System_hosts BIGINT, Cluster_federates BIGINT, HostPlatformPolicy_appliesTo BIGINT, HybridSystem_contains BIGINT, ScalePool_federates BIGINT, VirtualAppliance_deployedAs BIGINT, Fabric_contains BIGINT, Server_contains BIGINT, StorageSubsystem_contains BIGINT, Switch_federates BIGINT, ControllerType NVARCHAR(64) COLLATE $(collation), BootServerType SMALLINT, RetailStore_federates BIGINT, AdminServerType SMALLINT, ExternalPorts IMAGE, InternalPorts IMAGE, IsProgrammable BIT, NumberOfPorts INT, PassThroughType SMALLINT, ApplianceType NVARCHAR(128) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ComputerSystem_Dedicated (COMPUTERSYSTEM_OID BIGINT, Dedicated SMALLINT);
CREATE TABLE SM_ComputerSystem_uses_File (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ConfigurationCapacity (OID BIGINT NOT NULL, DDB_Increment BIGINT, MaximumCapacity BIGINT, MinimumCapacity BIGINT, PackageType SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Controller (OID BIGINT NOT NULL, MaxNumberControlled BIGINT, ProtocolSupported SMALLINT, TimeOfLastReset DATETIME, CacheLineSize SMALLINT, ClassCode SMALLINT, DeviceSelectTiming SMALLINT, ExpansionROMBaseAddress BIGINT, InterruptPin SMALLINT, LatencyTimer SMALLINT, SelfTestEnabled BIT, ControllerType SMALLINT, BaseAddress NVARCHAR(64) COLLATE $(collation), MaxLatency SMALLINT, MinGrantTime SMALLINT, RevisionID NVARCHAR(16) COLLATE $(collation), SubsystemID INT, SubsystemVendorID INT, VendorID NVARCHAR(16) COLLATE $(collation), MaxMemorySupported BIGINT, NumberOfVideoPages BIGINT, VideoMemoryType SMALLINT, InterfaceType SMALLINT, USBVersion NVARCHAR(32) COLLATE $(collation), MaxBaudRate BIGINT, DMASupport BIT, BridgeType SMALLINT, IOBase SMALLINT, IOLimit SMALLINT, MemoryBase INT, MemoryLimit INT, PrimaryBusNumber SMALLINT, SecondaryBusNumber SMALLINT, SubordinateBusNumber SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_CoolDomain_CS_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolDomain_LD_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolDomain_PE_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolingDevice (OID BIGINT NOT NULL, ActiveCooling BIT, CoolingState NVARCHAR(256) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_CoolingDe_cools_ComputerS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolingDe_cools_LogicalDe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolingUn_cools_ComputerS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CoolingUn_cools_LogicalDe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CredentialMapping (OID BIGINT NOT NULL, Creator NVARCHAR(256) COLLATE $(collation), OperationalContext NVARCHAR(1074) COLLATE $(collation), SourceIdentityId BIGINT NOT NULL, TargetIdentityId BIGINT NOT NULL, definedUsing_RemoteServiceAcc BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_CRG_contains_ClustUsrDef (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_connectedTo_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_contains_PE (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_contains_SM (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_definedUsing_RAS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_deploysTo_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_DEPLOYSTO_SYS_POOL (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_needs_SoftwareModule (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_reliesOn_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_RELIESON_RES_POOL (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_RELIESON_SYS_POOL (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_supports_WorkloadInst (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_CS_uses_LogicalDevice (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DELETED_RELATIONSHIP (GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, DeleteDate DATETIME, OID BIGINT NOT NULL, RelationshipType NVARCHAR(64) COLLATE $(collation) NOT NULL, SourceGuid NVARCHAR(32) COLLATE $(collation) NOT NULL, SourceName NVARCHAR(256) COLLATE $(collation), SourceOID BIGINT NOT NULL, SourceObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, TargetGuid NVARCHAR(32) COLLATE $(collation) NOT NULL, TargetName NVARCHAR(256) COLLATE $(collation), TargetOID BIGINT NOT NULL, TargetObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, RELATIONSHIP_DEF_HC INT NOT NULL, PRIMARY KEY NONCLUSTERED (GUID));
CREATE TABLE SM_DELETED_RESOURCE (GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, DeleteDate DATETIME, Hidden BIT, Name NVARCHAR(256) COLLATE $(collation), OID BIGINT NOT NULL, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (GUID));
CREATE TABLE SM_DesiredStateElement (OID BIGINT NOT NULL, AppliedTime DATETIME, Priority BIGINT, SoftwareInstallationState SMALLINT, SoftwareRunningState SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Desi_configuredUsing_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Discovery (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_80 UNIQUE (Guid));
CREATE TABLE SM_DiscoveryProfile (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, ProfileId NVARCHAR(64) COLLATE $(collation) NOT NULL, ProfileType NVARCHAR(64) COLLATE $(collation) NOT NULL, RelationshipTypes IMAGE, ResourceTypes IMAGE, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_81 UNIQUE (Guid));
CREATE TABLE SM_Discove_federates_Discove (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DiskGroup (OID BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Display (OID BIGINT NOT NULL, Brightness BIGINT, ColorModePreset SMALLINT, Contrast BIGINT, DisplayCharacteristics SMALLINT, DisplayTechnologyType SMALLINT, HorizontalFrequency BIGINT, HorizontalResolution INT, InputSource NVARCHAR(32) COLLATE $(collation), InputSourceCapabilities IMAGE, ScreenHeight BIGINT, ScreenWidth BIGINT, VerticalFrequency BIGINT, VerticalResolution INT, BuiltIn BIT, DisplayType SMALLINT, LightSource SMALLINT, ScanMode SMALLINT, SupportsColor BIT, Bandwidth BIGINT, BacklightPowerOnHours BIGINT, BeepDuration BIGINT, BeepFrequency BIGINT, BeepMode NVARCHAR(32) COLLATE $(collation), Bus NVARCHAR(32) COLLATE $(collation), LightSourceCount INT, LightSourceType SMALLINT, UnintendedTouch NVARCHAR(32) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_DNSSettings (OID BIGINT NOT NULL, DNSDomainSuffixes IMAGE, DNSListeningPort BIGINT, DNSProtocol SMALLINT, DNSServerAddresses IMAGE, DomainName NVARCHAR(256) COLLATE $(collation), NameLookupPolicy SMALLINT, RegisterThisConnectionsAddress BIT, RequestedHostname NVARCHAR(64) COLLATE $(collation), RetryAttempts INT, RetryInterval INT, SearchLocalFirst BIT, UseSuffixWhenRegistering BIT, ComputerSystem_configuredUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_DomainRole (OID BIGINT NOT NULL, AllResources BIT, AccessDomain_federates BIGINT, definedUsing_InstanceAccessRo BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_DomainRole_assignedTo_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DR_UserGrp_Assoc (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DR_User_Assoc (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DSE_assignedTo_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DSE_assignedTo_System (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_DummyManagedElement (OID BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_DYNAMIC_PROPERTY (id BIGINT NOT NULL, isArray BIT, name NVARCHAR(255) COLLATE $(collation) NOT NULL, type SMALLINT NOT NULL, value NVARCHAR(4000) COLLATE $(collation), appliesTo_ManagedElement BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (id), CONSTRAINT UNQ_idname UNIQUE (id, name), CONSTRAINT UNQ_appliesTo_Mana UNIQUE (appliesTo_ManagedElement, name));
CREATE TABLE SM_DYNAMIC_PROPERTY_VALUES (DYNAMICPROPERTY_ID BIGINT, element NVARCHAR(4000) COLLATE $(collation), ordr INT);
CREATE TABLE SM_ELEMENT_STORAGE (OID BIGINT NOT NULL, GUID NVARCHAR(32) COLLATE $(collation), EXTENSION_POINT NVARCHAR(256) COLLATE $(collation), FACTORY_OID BIGINT, RESOURCE_TYPE NVARCHAR(64) COLLATE $(collation), ofType_ES_Types INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_EnergyManagementCapability (ENERGYMANAGEMENTCAPABILITY_OID BIGINT, power_utilization_mode_caps SMALLINT);
CREATE TABLE SM_ENERGY_MGMT_SERVICE (OID BIGINT NOT NULL, AcousticMode SMALLINT, AcousticState INT, AmeConfigData IMAGE, AmeHandle INT, AmeMajorVersion INT, AmeMinorVersion INT, AuxiliaryPower BIGINT, CoolingMultiplier FLOAT(32), IPLTime DATETIME, InputStandbyPower BIGINT, LabelPowerInput BIGINT, MeteringActive BIT, MeteringInterval BIGINT, NodeCount INT, NominalCPUSpeed BIGINT, NotifyOnUPSStateChange SMALLINT, ObjectCount INT, OutputStandbyPower BIGINT, PowerCap BIGINT, PowerCapHotPlugMax BIGINT, PowerCapMax BIGINT, PowerCapMin BIGINT, PowerCapSoftMin BIGINT, PowerCapType SMALLINT, PowerCapUnit SMALLINT, PowerCappingEnabled BIT, PowerCappingState BIGINT, PowerFactor FLOAT(32), PowerRedundancy SMALLINT, PowerSaver TINYINT, PriceCurrencyType NVARCHAR(3) COLLATE $(collation), PriceKWh FLOAT(32), ProcessorPowerCycleCount BIGINT, ProcessorPowerCycleLimit BIGINT, RelatedPowerValues IMAGE, TimeLastMetered DATETIME, Voltage FLOAT(32), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ES_ElementTypes (ES_TYPES_ELEMENT_TYPE INT, ELEMENT_TYPES NVARCHAR(128) COLLATE $(collation));
CREATE TABLE SM_ES_TYPES (ELEMENT_TYPE INT NOT NULL, PRIMARY KEY NONCLUSTERED (ELEMENT_TYPE));
CREATE TABLE SM_Etherne_memberOf_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Etherne_memberOf_Virtual (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Fan (OID BIGINT NOT NULL, ControlMode SMALLINT, DesiredSpeed BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Farm_federates_System (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_FileCollection (OID BIGINT NOT NULL, PropagateOnChange BIT, PropagateOnSync BIT, ComputerSystem_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_FileCol_contains_File (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_FileRepository (OID BIGINT NOT NULL, RootPath NVARCHAR(512) COLLATE $(collation), ComputerSystem_contains BIGINT, FileSystem_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_FileResource (OID BIGINT NOT NULL, Checksum NVARCHAR(64) COLLATE $(collation), ChecksumType NVARCHAR(16) COLLATE $(collation), ContentType NVARCHAR(64) COLLATE $(collation), CreationDate DATETIME, ExternalLocation NVARCHAR(1024) COLLATE $(collation), GroupIdentifier NVARCHAR(128) COLLATE $(collation), LastAccessed DATETIME, LastAntivirusCheck DATETIME, LastModified DATETIME, OwnerId NVARCHAR(128) COLLATE $(collation), FilePath NVARCHAR(1024) COLLATE $(collation) NOT NULL, Permissions NVARCHAR(32) COLLATE $(collation), Present BIT, IsPrimary BIT, RealSize BIGINT, FileSize BIGINT, Vendor NVARCHAR(64) COLLATE $(collation), FileVersion NVARCHAR(64) COLLATE $(collation), realizes_TemplateHandlerInfo BIGINT, realizes_SoftwareResource BIGINT, realizes_SoftwareInstallable BIGINT, realizes_SoftwareMetaDataCont BIGINT, ComputerSystem_contains BIGINT, FileRepository_contains BIGINT, FileSystem_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_FileShare (OID BIGINT NOT NULL, MountPoint NVARCHAR(256) COLLATE $(collation) NOT NULL, ReferencePoint NVARCHAR(256) COLLATE $(collation) NOT NULL, System_contains BIGINT, exposes_FileSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_FileSystem (OID BIGINT NOT NULL, AvailableSpace BIGINT, BlockSize BIGINT, CasePreserved BIT, CaseSensitive BIT, ClusterSize BIGINT, FileSystemSize BIGINT NOT NULL, FileSystemType SMALLINT NOT NULL, HealthState SMALLINT, InlineJournal BIT, Label NVARCHAR(256) COLLATE $(collation) NOT NULL, LogName NVARCHAR(256) COLLATE $(collation), MaxFileNameLength BIGINT, MaxLogSize BIGINT, FileMode NVARCHAR(256) COLLATE $(collation), MountOptions NVARCHAR(256) COLLATE $(collation), MountSource NVARCHAR(256) COLLATE $(collation), NFSExported BIT, NumberOfFiles BIGINT, OperatingState SMALLINT, ReadOnly BIT, RealAvailableSpace BIGINT, RemoteHost NVARCHAR(256) COLLATE $(collation), Root NVARCHAR(512) COLLATE $(collation) NOT NULL, VolumeGroup NVARCHAR(256) COLLATE $(collation), ComputerSystem_contains BIGINT, residesOn_LogicalVolume BIGINT, residesOn_PhysicalVolume BIGINT, residesOn_StorageVolume BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_GroupAc_federates_UserAcc (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_GroupApplicationData (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, ApplicationData IMAGE, GroupAppDataGroupID BIGINT, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_GroupOfResources (OID BIGINT NOT NULL, DefColsMCTypes IMAGE, DefColsPropIDs IMAGE, IsDynamic BIT, GroupID NVARCHAR(64) COLLATE $(collation) NOT NULL, GroupSubType NVARCHAR(64) COLLATE $(collation), GroupType NVARCHAR(128) COLLATE $(collation), IsDeleteable BIT, IsRenameable BIT, MemberType NVARCHAR(64) COLLATE $(collation), ReadOnly BIT, Root BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Group_ImageSet (GROUP_OID BIGINT, ImageSet NVARCHAR(2000) COLLATE $(collation));
CREATE TABLE SM_Group_locatedAt_Location (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_HardwareManagementConsole_ (HARDWAREMANAGEMENTCONSOLE_OID BIGINT, ArchitectureManaged NVARCHAR(64) COLLATE $(collation));
CREATE TABLE SM_HCP_controls_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_HCP_uses_SoftwareResource (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_HOST_PLAT_POLICY_SETTINGS (OID BIGINT NOT NULL, hyper_platform_type SMALLINT, hyper_platform_type_string NVARCHAR(256) COLLATE $(collation), hyper_platform_version NVARCHAR(64) COLLATE $(collation), PlatformManagerType NVARCHAR(256) COLLATE $(collation), SettingProviderID NVARCHAR(256) COLLATE $(collation) NOT NULL, SettingSeverity BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_HPPS_EXCLUDES_HPPS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_HPPS_REQUIRES_HPPS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_HPP_CONTAINS_HPPS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_IdentityForUsers (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CredentialType SMALLINT NOT NULL, SearchKey NVARCHAR(256) COLLATE $(collation) NOT NULL, UserPrincipal NVARCHAR(256) COLLATE $(collation) NOT NULL, DTYPE INT, AuthenticationRegistry_contai BIGINT, appliesTo_RemoteServiceAccess BIGINT, AuthenticationPassword NVARCHAR(150) COLLATE $(collation), AuthenticationProtocol SMALLINT, ContextEngineId NVARCHAR(32) COLLATE $(collation), ContextName NVARCHAR(256) COLLATE $(collation), PrivacyPassword NVARCHAR(150) COLLATE $(collation), PrivacyProtocol SMALLINT, ProfileName NVARCHAR(256) COLLATE $(collation), SNMPv3Version BIGINT, CertificateAlias NVARCHAR(256) COLLATE $(collation), IssuerName NVARCHAR(256) COLLATE $(collation), KeyStoreLocation NVARCHAR(1024) COLLATE $(collation), KeyStorePassword NVARCHAR(150) COLLATE $(collation), SerialNumber NVARCHAR(256) COLLATE $(collation), EnablePassword NVARCHAR(150) COLLATE $(collation), KeyFingerPrint NVARCHAR(2000) COLLATE $(collation), CredentialPassword NVARCHAR(150) COLLATE $(collation), Community NVARCHAR(150) COLLATE $(collation), SNMPVersion BIGINT, Passphrase NVARCHAR(150) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_122 UNIQUE (Guid));
CREATE TABLE SM_Identity_AccDomain_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Identity_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ImageContainer (OID BIGINT NOT NULL, SourceId NVARCHAR(4000) COLLATE $(collation), ImageRepository_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ImageRepository (OID BIGINT NOT NULL, ImageRepositoryType SMALLINT, UniqueId NVARCHAR(4000) COLLATE $(collation), controlledBy_ComputerSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ImgRepos_accessedVia_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ImgRepos_FileShare_basedOn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ImgRepos_StgPool_basedOn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_DISK_GROUP_USES (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_FILE_SHARE_BASEDON (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_IMG_CONT_STG_POOL_BASEDON (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_IMG_REPO_SHAREDBY_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, ControlledContainer NVARCHAR(256) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_InstAccRole_basedOn_InstPrm (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_InstanceAccessRole (OID BIGINT NOT NULL, IsDefaultRole BIT, IsSystemDefinedRole BIT NOT NULL, InstanceAccessRole_federates BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_InstancePermission (OID BIGINT NOT NULL, Category NVARCHAR(256) COLLATE $(collation), IsHidden BIT, PermissionId NVARCHAR(256) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_InstancePermission_Categor (INSTANCEPERMISSION_OID BIGINT, Categories NVARCHAR(256) COLLATE $(collation));
CREATE TABLE SM_IPProto_memberOf_IPSubnet (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LANEndp_memberOf_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LANEndp_memberOf_Virtual (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LD_accessedVia_SAP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LD_controlledBy_Controller (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, TargetDeviceID NVARCHAR(256) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LD_memberOf_AccessDomain (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Ld_provides_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_LD_uses_SoftwareResource (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Location (OID BIGINT NOT NULL, Address NVARCHAR(1024) COLLATE $(collation), Aisle NVARCHAR(32) COLLATE $(collation), Altitude FLOAT(32), Building NVARCHAR(64) COLLATE $(collation), City NVARCHAR(64) COLLATE $(collation), Country NVARCHAR(32) COLLATE $(collation), DisplacedHeight FLOAT(32), Dominant BIT, Floor NVARCHAR(32) COLLATE $(collation), Latitude NVARCHAR(16) COLLATE $(collation), LocationType SMALLINT, Longitude NVARCHAR(16) COLLATE $(collation), OtherInfo NVARCHAR(256) COLLATE $(collation), PhoneExtension NVARCHAR(30) COLLATE $(collation), PhoneNumber NVARCHAR(30) COLLATE $(collation), RoomNumber NVARCHAR(32) COLLATE $(collation), RoomRow NVARCHAR(32) COLLATE $(collation), StateOrProvince NVARCHAR(32) COLLATE $(collation), ZipCode NVARCHAR(16) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_LogicalDevice (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, AllocationState SMALLINT, AssetTag NVARCHAR(256) COLLATE $(collation), DeviceID NVARCHAR(1024) COLLATE $(collation) NOT NULL, HealthState SMALLINT, ManufactureDate DATETIME, Manufacturer NVARCHAR(256) COLLATE $(collation), Model NVARCHAR(256) COLLATE $(collation), OperatingState SMALLINT, SerialNumber NVARCHAR(256) COLLATE $(collation), TimeLastMetered DATETIME, TotalPowerOnHours BIGINT, DeviceVersion NVARCHAR(64) COLLATE $(collation), Virtual BIT, DTYPE INT, ComputerSystem_contains BIGINT, ResourceAllocationSettings_de BIGINT, ResourcePool_contains BIGINT, allocatedFrom_ResourcePool BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_147 UNIQUE (Guid));
CREATE TABLE SM_LogicalModule (OID BIGINT NOT NULL, LabelPowerInput BIGINT, LogicalModuleType SMALLINT, ModuleNumber INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_LogicalNetwork (OID BIGINT NOT NULL, NetworkState SMALLINT, NetworkType SMALLINT, ProfileName NVARCHAR(100) COLLATE $(collation), TemplateName NVARCHAR(100) COLLATE $(collation), VLANid INT, SystemPool_contains BIGINT, definedUsing_LogicalNetworkTe BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_LogicalPort (OID BIGINT NOT NULL, MaxSpeed BIGINT, NPIVCapable BIT, Speed BIGINT, ActiveMaximumTransmissionUnit BIGINT, AutoSense BIT, Enabled BIT, FullDuplex BIT, LinkTechnology SMALLINT, NetworkAddresses IMAGE, PermanentAddress NVARCHAR(64) COLLATE $(collation), PortNumber BIGINT, SupportedMaximumTransmissionU BIGINT, MaxDataSize BIGINT, ActiveFC4Types SMALLINT, AvailableNPIVPorts INT, AvailableNPIVTargetWWN INT, NPIVFabricSupport BIT, TotalNPIVPorts INT, TotalNPIVTargetWWN INT, OtherPortType NVARCHAR(16) COLLATE $(collation), PCITechnology SMALLINT, LogicalPortGroup_contains BIGINT, LogicalModule_contains BIGINT, Fabric_contains BIGINT, EthernetPort_hosts BIGINT, PCIDevice_routedThrough BIGINT, MaxDataWidth BIGINT, MaxTransferRate BIGINT, LIDMask SMALLINT, LinkSpeedActive SMALLINT, LinkWidthActive INT, RingSpeed SMALLINT, RingState SMALLINT, SignalStrength SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_LogicalPortGroup (OID BIGINT NOT NULL, NameFormat SMALLINT, ComputerSystem_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Logical_appliesTo_SystemP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Logical_locatedAt_Location (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Logical_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MediaAccessDevice (OID BIGINT NOT NULL, Capacity BIGINT, DataTransferRate BIGINT, DefaultBlockSize BIGINT, DeviceType SMALLINT, LoadTime BIGINT, MaxAccessTime BIGINT, MaxBlockSize BIGINT, MaxMediaSize BIGINT, MediaIsLocked BIT, MediaLoaded BIT, MinBlockSize BIGINT, MountCount BIGINT, NeedsCleaning BIT, RemovableMedia BIT, SpinSpeed BIGINT, TimeOfLastMount DATETIME, TotalMountTime BIGINT, UnloadTime BIGINT, NotBusyCount BIGINT, SampleCount BIGINT, TotalBytesWritten BIGINT, UnitNumber BIGINT, VendorType NVARCHAR(256) COLLATE $(collation), basedOn_StorageExtent BIGINT, DiskGroup_contains BIGINT, MaxPartitionCount BIGINT, MaxRewindTime BIGINT, Padding BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_MetricDefinition (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, Calculable SMALLINT NOT NULL, CalculatorClassName NVARCHAR(256) COLLATE $(collation), DataTypeClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, UniqueName NVARCHAR(256) COLLATE $(collation) NOT NULL, Units NVARCHAR(32) COLLATE $(collation) NOT NULL, DTYPE INT, ownedBy_MetricProvider BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_156 UNIQUE (Guid));
CREATE TABLE SM_MetricProvider (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, UniqueName NVARCHAR(256) COLLATE $(collation) NOT NULL, DDB_Version NVARCHAR(32) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_157 UNIQUE (Guid));
CREATE TABLE SM_MetricSetDefinition (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DefaultExpirationHours INT NOT NULL, MetricSetClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, UniqueName NVARCHAR(256) COLLATE $(collation) NOT NULL, DTYPE INT, ownedBy_MetricProvider BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_158 UNIQUE (Guid));
CREATE TABLE SM_MetricSe_groups_MetricDe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Physica (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Resourc (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_System (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_MetricS_appliesTo_SystemC (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ME_SourceTokens (SYSTEM_OID BIGINT, SourceTokens NVARCHAR(1024) COLLATE $(collation), RELATEDDATA_OID BIGINT, BASETHRESHOLDDEFINITION_OID BIGINT, COLLECTION_OID BIGINT, PHYSICALELEMENT_OID BIGINT, SETTINGS_OID BIGINT, METRICDEFINITION_OID BIGINT, METRICPROVIDER_OID BIGINT, METRICSETDEFINITION_OID BIGINT, COMPLIANCE_OID BIGINT, LOGICALDEVICE_OID BIGINT, TEMPLATE_OID BIGINT, TASKCONTENT_OID BIGINT, SERVICEACCESSPOINT_OID BIGINT, SOFTWAREPACKAGE_OID BIGINT, SOFTWARERESOURCE_OID BIGINT, CLUSTERAPPCONTROLLER_OID BIGINT, CLUSTERAPPMONITOR_OID BIGINT, CLUSTERUSERDEFINEDRESOURCETYPE_OID BIGINT, CLUSTERUSERDEFINEDRESOURCE_OID BIGINT, SYSTEMCONTENT_OID BIGINT, IDENTITY_OID BIGINT, COMPLETIONACTION_OID BIGINT, RESOURCECRITERIA_OID BIGINT, REPORT_OID BIGINT, DISCOVERYPROFILE_OID BIGINT, DISCOVERY_OID BIGINT, GROUPAPPLICATIONDATA_OID BIGINT);
CREATE TABLE SM_MSD_appliesTo_LN (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_NASExportSettings (OID BIGINT NOT NULL, DDB_Permission SMALLINT, Secure BIT, Squash SMALLINT, Sync BIT, FileShare_securedWith BIGINT, ComputerSystem_provides BIGINT, FileSystem_securedWith BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_NetworkPort_memberOf_Zone (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_NetworkVLAN (OID BIGINT NOT NULL, DiscoveredSubnets BIGINT, DiscoveredSystems BIGINT, SAIdentifier BIGINT, TransmissionSize INT, VLANId INT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_NextHopRoute (OID BIGINT NOT NULL, ActualMTUSize BIGINT, AddressType SMALLINT NOT NULL, ConfiguredLifetime BIGINT, ConfiguredMTUSize BIGINT, CreationSource NVARCHAR(64) COLLATE $(collation), DestinationAddress NVARCHAR(64) COLLATE $(collation) NOT NULL, DestinationMask NVARCHAR(64) COLLATE $(collation), ExpirationDate DATETIME, InstanceID NVARCHAR(256) COLLATE $(collation) NOT NULL, IsStatic BIT, LastUpdatedDate DATETIME, LifetimeRemaining BIGINT, NextHopAddress NVARCHAR(64) COLLATE $(collation), PrefixLength SMALLINT, ProtocolType SMALLINT, RouteDerivation SMALLINT, RouteMetric INT, RouteState SMALLINT, RouteType SMALLINT, TypeofService SMALLINT, ComputerSystem_hosts BIGINT, ComputerSystem_manages BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_NextHopRoute_use_PE (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_NumericThresholdDefinition (OID BIGINT NOT NULL, HighCritical FLOAT(32), HighWarning FLOAT(32), LowCritical FLOAT(32), LowWarning FLOAT(32), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_OperatingSystem (OID BIGINT NOT NULL, BuildNumber NVARCHAR(128) COLLATE $(collation), CodeSet NVARCHAR(64) COLLATE $(collation), ControllingNode BIT, CountryCode NVARCHAR(64) COLLATE $(collation), CurrentTimeZone SMALLINT, DefaultPageSize BIGINT, DistroType NVARCHAR(64) COLLATE $(collation), FreePhysicalMemory BIGINT, FreeVirtualMemory BIGINT, IsAccessSuppoorted INT, IsRevokeAccessSupported INT, KernelType SMALLINT, KernelVersion NVARCHAR(64) COLLATE $(collation), LanguageEdition NVARCHAR(64) COLLATE $(collation), LastBootUpTime DATETIME, LocalDateTime DATETIME, NumberOfLicensedUsers BIGINT, NumberOfProcesses BIGINT, NumberOfUsers BIGINT, OSType SMALLINT, OSTypeString NVARCHAR(256) COLLATE $(collation), OSVersion NVARCHAR(64) COLLATE $(collation), SimultaneousMultiThreading BIT, SystemGuid NVARCHAR(64) COLLATE $(collation), TotalSwapSpaceSize BIGINT, TotalVirtualMemorySize BIGINT, TotalVisibleMemorySize BIGINT, bootsFrom_FileSystem BIGINT, installedOn_ComputerSystem BIGINT, runsOn_ComputerSystem BIGINT, StorageSubsystem_employs BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_OperatingSystemSettings (OID BIGINT NOT NULL, OperatingSystem_configuredUsi BIGINT, ClassicMode BIT, TerminalIdentifier NVARCHAR(32) COLLATE $(collation), ConfiguredControllerIds NVARCHAR(64) COLLATE $(collation), ControllerIdentifier NVARCHAR(32) COLLATE $(collation), IsMCF BIT, IsMaster BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_OS_uses_LD (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PassThroughModule_External (PASSTHROUGHMODULE_OID BIGINT, ExternalLinkTechnologies SMALLINT);
CREATE TABLE SM_PassThroughModule_Internal (PASSTHROUGHMODULE_OID BIGINT, InternalLinkTechnologies SMALLINT);
CREATE TABLE SM_PEP_bindsTo_PEP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PEP_connectedTo_PEP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PermissionCategory (OID BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PERSISTENT_STORAGE (KEY_NAME NVARCHAR(128) COLLATE $(collation) NOT NULL, STORE_NAME NVARCHAR(128) COLLATE $(collation) NOT NULL, value IMAGE, PRIMARY KEY NONCLUSTERED (KEY_NAME, STORE_NAME));
CREATE TABLE SM_PE_assignedTo_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PE_locatedAt_Location (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, XCoordinate FLOAT(32), YCoordinate FLOAT(32), ZCoordinate FLOAT(32), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PE_memberOf_AccessDomain (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PE_realizes_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PE_realizes_LD (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PhyConn_connectedTo_PhyConn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PhysicalComponent (OID BIGINT NOT NULL, RemovalConditions SMALLINT, FormFactor SMALLINT, BankLabel NVARCHAR(64) COLLATE $(collation), Capacity BIGINT, DataWidth INT, InterleavePosition BIGINT, MemoryType SMALLINT, PositionInRow BIGINT, Speed BIGINT, TotalWidth INT, CleanerMedia BIT, DualSided BIT, MaxMounts BIGINT, MediaSize FLOAT(32), MediaType SMALLINT, MountCount BIGINT, TimeOfLastMount DATETIME, TotalMountTime BIGINT, WriteProtectOn BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PhysicalConnector (OID BIGINT NOT NULL, ConnectorGender SMALLINT, ConnectorLayout SMALLINT, ConnectorPinout INT, NumPhysicalPins BIGINT, AltitudeCapabilities SMALLINT, AuxiliaryPower BIGINT, BusNumber SMALLINT, ConnectorType NVARCHAR(64) COLLATE $(collation), HeightAllowed FLOAT(32), InputCurrentType SMALLINT, LabelPowerInput BIGINT, LengthAllowed FLOAT(32), MaxDataWidth SMALLINT, SlotNumber INT, OpenSwitch BIT, Ordinal SMALLINT, PurposeDescription NVARCHAR(256) COLLATE $(collation), SlotDesignation NVARCHAR(128) COLLATE $(collation), SpecialPurpose BIT, SupportsHotPlug BIT, ThermalRating BIGINT, UnitOfPower SMALLINT, PhysicalPackage_plugsInto BIGINT, PortNumber INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PhysicalElement (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CLEICode NVARCHAR(256) COLLATE $(collation), FRUNumber NVARCHAR(64) COLLATE $(collation), ManufactureDate DATETIME, Manufacturer NVARCHAR(256) COLLATE $(collation), Model NVARCHAR(256) COLLATE $(collation), PartNumber NVARCHAR(256) COLLATE $(collation), ProductName NVARCHAR(256) COLLATE $(collation), PurchaseDate DATETIME, SerialNumber NVARCHAR(256) COLLATE $(collation), Tag NVARCHAR(256) COLLATE $(collation) NOT NULL, UserTracking NVARCHAR(256) COLLATE $(collation), VendorType NVARCHAR(256) COLLATE $(collation), ResourceVersion NVARCHAR(64) COLLATE $(collation), DTYPE INT, ResourceAllocationSettings_de BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_191 UNIQUE (Guid));
CREATE TABLE SM_PhysicalLink (OID BIGINT NOT NULL, MediaType SMALLINT, Wired BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PhysicalPackage (OID BIGINT NOT NULL, Depth FLOAT(32), Height FLOAT(32), LocationTag NVARCHAR(256) COLLATE $(collation), PackageGUID NVARCHAR(64) COLLATE $(collation), PackageType SMALLINT, RemovalConditions SMALLINT, Width FLOAT(32), HostingBoard BIT, RequiresDaughterBoard BIT, SlotLayout NVARCHAR(128) COLLATE $(collation), SpecialRequirements BIT, configuredUsing_Configuration BIGINT, AudibleAlarm BIT, CageType SMALLINT, InputCurrentType SMALLINT, InputVoltage FLOAT(32), IsLocked BIT, LockPresent BIT, SecurityBreach SMALLINT, ServicePhilosophy SMALLINT, VisibleAlarm BIT, ChassisPackageType SMALLINT, HeatGeneration INT, NumberOfPowerCords INT, RackMountable BIT, ElementCount BIGINT, LabelPowerInput BIGINT, PowerFactor FLOAT(32), SupportHardwareMaxPower BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Physica_contains_Physica (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, BayNumber BIGINT, XCoordinate FLOAT(32), YCoordinate FLOAT(32), ZCoordinate FLOAT(32), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Physica_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Physic_accessedVia_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Physic_connectedTo_Physic (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Policy (OID BIGINT NOT NULL, PolicyKeywords IMAGE, Priority INT, Active BIT, CapacitySubType NVARCHAR(64) COLLATE $(collation), CapacityType SMALLINT, DaysAvailable BIGINT, DaysExpired BIGINT, DaysRemaining BIGINT, DaysRequested BIGINT, Enabled BIT, GroupID NVARCHAR(128) COLLATE $(collation), HistoryRequestedDays BIGINT, HistoryUnreturnedDays BIGINT, UnitIncrement BIGINT, UnitLimit BIGINT, Minimum BIGINT, PoolID NVARCHAR(128) COLLATE $(collation), Reservation BIGINT, ResourceIdentifier NVARCHAR(256) COLLATE $(collation), ResourceSubType NVARCHAR(64) COLLATE $(collation), ResourceType SMALLINT, SequenceNumber NVARCHAR(128) COLLATE $(collation), SnapshotPurpose NVARCHAR(64) COLLATE $(collation), SnapshotTime DATETIME, Units NVARCHAR(32) COLLATE $(collation), VirtualLimit BIGINT, VirtualMinimum BIGINT, VirtualQuantity BIGINT, Weight BIGINT, hyper_platform_type SMALLINT, hyper_platform_type_string NVARCHAR(256) COLLATE $(collation), hyper_platform_version NVARCHAR(64) COLLATE $(collation), PlatformManagerType NVARCHAR(256) COLLATE $(collation), PolicyID NVARCHAR(256) COLLATE $(collation), PolicyProviderID NVARCHAR(256) COLLATE $(collation), ACL NVARCHAR(12) COLLATE $(collation), AccessSecurity SMALLINT, AffinityNegotiable BIT, AffinityWeight INT, Consistency SMALLINT, ConsistencyNegotiable BIT, ConsistencyWeight INT, DataMigrateCapable BIT, DataMigrateCapableNegotiable BIT, DataMigrateCapableWeight INT, IOOPS INT, IOOPSNegotiable BIT, IOOPSWeight INT, RaidLevel SMALLINT, RaidLevelNegotiable BIT, RaidLevelWeight INT, ReservationCapable BIT, ReservationNegotiable BIT, ReservationType INT, ReservationWeight INT, Reserved1 NVARCHAR(8) COLLATE $(collation), Reserved2 NVARCHAR(32) COLLATE $(collation), SecurityType SMALLINT, SecurityNegotiable BIT, SecurityWeight INT, ServerMobility BIT, ServerMobilityNegotiable BIT, ServerMobilityWeight INT, SharedStorage BIT, SharedStorageNegotiable BIT, SharedStorageWeight INT, StorageMobility BIT, StorageMobilityNegotiable BIT, StorageMobilityWeight INT, FileSystem_provides BIGINT, ComputerSystem_definedUsing BIGINT, determinedBy_Card BIGINT, StoragePool_provides BIGINT, StorageVolume_basedOn BIGINT, requires_StoragePool BIGINT, requires_SystemPool BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PoolUplinkSettings (OID BIGINT NOT NULL, AllowedVLANList IMAGE NOT NULL, PVID INT NOT NULL, Tagged BIT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PortCon_controls_Sensor (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_POSLogicalDevice (OID BIGINT NOT NULL, Bus NVARCHAR(32) COLLATE $(collation), CommunicationErrorCount BIGINT, DeviceCategory NVARCHAR(32) COLLATE $(collation), UnifiedPOSVersion NVARCHAR(32) COLLATE $(collation), LockPositionChangeCount BIGINT, PowerCycleCount BIGINT, UnexpectedResetsCount BIGINT, BarcodePrintedCount BIGINT, FailedPaperCutCount BIGINT, FailedPrintSideChangeCount BIGINT, FormInsertionCount BIGINT, HomeErrorCount BIGINT, JournalCharacterPrintedCount BIGINT, JournalLinePrintedCount BIGINT, MaximumTempReachedCount BIGINT, NVRAMWriteCount BIGINT, PaperCutCount BIGINT, PrintSideChangeCount BIGINT, PrinterFaultCount BIGINT, ReceiptCharacterPrintedCount BIGINT, ReceiptCoverOpenCount BIGINT, ReceiptLineFeedCount BIGINT, ReceiptLinePrintedCount BIGINT, SlipCharacterPrintedCount BIGINT, SlipCoverOpenCount BIGINT, SlipLineFeedCount BIGINT, SlipLinePrintedCount BIGINT, StampFiredCount BIGINT, DrawerFailedOpenCount BIGINT, DrawerOpenCloseCycleCount BIGINT, CurrentMICRNoiseValue BIGINT, FailedReadCount BIGINT, GoodReadCount BIGINT, CheckScannedCount BIGINT, CheckScannerBrightnessQuality BIGINT, CheckScannerContrastQuality BIGINT, CheckScannerFocusQuality BIGINT, ChecksFailedQualityCount BIGINT, GoodScanCount BIGINT, CapRecycler BIT, CurrencyCode NVARCHAR(16) COLLATE $(collation), DepositCashList NVARCHAR(128) COLLATE $(collation), DepositCodeList NVARCHAR(128) COLLATE $(collation), CurrencyTypeList NVARCHAR(128) COLLATE $(collation), ConfigurationVersion BIGINT, KeyPressedCount BIGINT, InvalidPINEntryCount BIGINT, ValidPINEntryCount BIGINT, ChallengeRequestCount BIGINT, FailedCardAuthenticationDataC BIGINT, FailedDeviceAuthenticationCou BIGINT, FailedWriteCount BIGINT, GoodCardAuthenticationDataCou BIGINT, GoodDeviceAuthenticationCount BIGINT, GoodWriteCount BIGINT, MissingStartSentinelTrack1Cou BIGINT, MissingStartSentinelTrack2Cou BIGINT, MissingStartSentinelTrack3Cou BIGINT, MissingStartSentinelTrack4Cou BIGINT, ParityLRCErrorTrack1Count BIGINT, ParityLRCErrorTrack2Count BIGINT, ParityLRCErrorTrack3Count BIGINT, ParityLRCErrorTrack4Count BIGINT, UnreadableCardCount BIGINT, GoodWeightReadCount BIGINT, FlashWriteFailedCount BIGINT, ImpactHeadFailedCount BIGINT, ReceiptPaperJamCount BIGINT, ReceiptPaperRemainingCount BIGINT, SlipFeedErrorCount BIGINT, ThermalPrintHeadFailure BIGINT, UnexpectedRecCoverOpenCount BIGINT, UnexpectedSlipCoverOpenCount BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PowerDomain_CS_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PowerDomain_LD_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PowerDomain_PE_federates (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PowerOutletGroup (OID BIGINT NOT NULL, AmperageCapacity BIGINT, AmperageUsed BIGINT, NumberOfOutlets BIGINT, PowerFactor FLOAT(32), Voltage FLOAT(32), PowerUnit_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PowerSource (OID BIGINT NOT NULL, IsACOutput BIT, OutputPowerUnits NVARCHAR(256) COLLATE $(collation), RatedMaxOutputPower BIGINT, Switchable BIT, OutletNumber NVARCHAR(256) COLLATE $(collation), Powered BIT, PowerOutletGroup_federates BIGINT, ActiveInputVoltage INT, Range1InputFrequencyHigh BIGINT, Range1InputFrequencyLow BIGINT, Range1InputVoltageHigh BIGINT, Range1InputVoltageLow BIGINT, Range2InputFrequencyHigh BIGINT, Range2InputFrequencyLow BIGINT, Range2InputVoltageHigh BIGINT, Range2InputVoltageLow BIGINT, TotalOutputPower BIGINT, TypeOfRangeSwitching SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Powe_suppliesPowerTo_Comp (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Powe_suppliesPowerTo_Logi (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Printer (OID BIGINT NOT NULL, Port NVARCHAR(64) COLLATE $(collation), Queue NVARCHAR(64) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Process (OID BIGINT NOT NULL, CreationDate DATETIME, ExecutionState SMALLINT, ParentProcessID NVARCHAR(64) COLLATE $(collation), Priority BIGINT, ProcessID NVARCHAR(256) COLLATE $(collation) NOT NULL, TerminationDate DATETIME, ProcessUser NVARCHAR(128) COLLATE $(collation), runsOn_ComputerSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Processor (OID BIGINT NOT NULL, AddressWidth INT, CurrentClockSpeed BIGINT, DataWidth INT, Family SMALLINT, MaxClockSpeed BIGINT, NumberOfEnabledCores INT, UniqueID NVARCHAR(256) COLLATE $(collation), VirtualAddress NVARCHAR(32) COLLATE $(collation), VirtualUniqueID NVARCHAR(128) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Process_performs_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ProtocolEndpoint (OID BIGINT NOT NULL, AutoStart BIT, CopyOfGUID NVARCHAR(64) COLLATE $(collation), HealthState SMALLINT, LastUpdatedDate DATETIME, OperatingState SMALLINT, ActualMTUSize BIGINT, Broadcast NVARCHAR(256) COLLATE $(collation), ConfiguredMTUSize BIGINT, IsDynamic BIT, Gateway NVARCHAR(256) COLLATE $(collation), IPv4Address NVARCHAR(16) COLLATE $(collation), IPv6Address NVARCHAR(39) COLLATE $(collation), IPv6AddressType SMALLINT, InterfaceType SMALLINT, IsFloating BIT, IsManagement BIT, IsMulticast BIT, NetworkAddress NVARCHAR(64) COLLATE $(collation), NetworkName NVARCHAR(64) COLLATE $(collation), Persistent BIT, PreferredLifetime BIGINT, PreferredLifetimeExpiration DATETIME, PrefixLength SMALLINT, ServiceIp BIT, SubnetMask NVARCHAR(16) COLLATE $(collation), TypeofService SMALLINT, ValidLifetime BIGINT, ValidLifetimeExpiration DATETIME, AccessExternalNetwork BIT, Aggregated BIT, AggregationRole SMALLINT, DeviceName NVARCHAR(256) COLLATE $(collation), LANID NVARCHAR(256) COLLATE $(collation), MACAddress NVARCHAR(17) COLLATE $(collation), MaxDataSize BIGINT, NetBootEnabled BIT, Priority BIGINT, ProtocolType SMALLINT, System_hosts BIGINT, ClusterResourceGroup_contains BIGINT, Location_hosts BIGINT, LANEndpoint_federates BIGINT, GVRPStatus SMALLINT, OperationalEndpointMode SMALLINT, OperationalVLANTrunkEncapsula SMALLINT, PortNumber BIGINT, ConnectionProtocol SMALLINT, ConnectionStatus NVARCHAR(64) COLLATE $(collation), ConnectionType SMALLINT, JobType SMALLINT, MultiLinkEnabled BIT, PeerAnswerProfile NVARCHAR(64) COLLATE $(collation), ProfileMode SMALLINT, AppendParentSuffixes BIT, AppendPrimarySuffixes BIT, DNSSuffixesToAppend IMAGE, DomainName NVARCHAR(256) COLLATE $(collation), Hostname NVARCHAR(64) COLLATE $(collation), RegisterThisConnectionsAddress BIT, UseSuffixWhenRegistering BIT, SSID NVARCHAR(32) COLLATE $(collation), WEPEnabled BIT, WEPKeyMixEnabled BIT, InterfaceSpeed BIGINT, PhysicalPortNumber BIGINT, definedUsing_PoolUplinkSettin BIGINT, Role SMALLINT, TargetRelativePortNumber BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_PwrSply_LD_suppliesPowerTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PwrSply_PE_suppliesPowerTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_PwrSply_Sys_suppliesPowerTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_RAS_basedOn_RAS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, isMaximum BIGINT NOT NULL, isMinimum BIGINT NOT NULL, isNext BIGINT NOT NULL, isPending BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Redunda_federates_System (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_RelatedData (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_219 UNIQUE (Guid));
CREATE TABLE SM_RELATIONSHIP_INFO (RELATIONSHIP_GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, CARDINALITY SMALLINT NOT NULL, CHANGED_DATE DATETIME, HIDDEN BIT, RELATIONSHIP_DEF_HC INT NOT NULL, RELATIONSHIP_OID BIGINT NOT NULL, RELATIONSHIP_TYPE NVARCHAR(64) COLLATE $(collation) NOT NULL, SOURCE_GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, SOURCE_NAME NVARCHAR(256) COLLATE $(collation), SOURCE_OID BIGINT NOT NULL, SOURCE_OBJECT_TYPE NVARCHAR(64) COLLATE $(collation) NOT NULL, TARGET_GUID NVARCHAR(32) COLLATE $(collation) NOT NULL, TARGET_NAME NVARCHAR(256) COLLATE $(collation), TARGET_OID BIGINT NOT NULL, TARGET_OBJECT_TYPE NVARCHAR(64) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (RELATIONSHIP_GUID), CONSTRAINT UNQ_RELATIONSHSOUR UNIQUE (RELATIONSHIP_TYPE, SOURCE_OID, TARGET_OID));
CREATE TABLE SM_RelData_AccDomain_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_RelData_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_RemotePort (OID BIGINT NOT NULL, AccessInfo NVARCHAR(1024) COLLATE $(collation), AccessType NVARCHAR(64) COLLATE $(collation), CommunicationState SMALLINT, HealthState SMALLINT, PortInfo NVARCHAR(128) COLLATE $(collation), System_hosts BIGINT, Authentication BIT, CommunityString NVARCHAR(50) COLLATE $(collation), NotificationMessage SMALLINT, Privacy BIT, RetryCount SMALLINT, SNMPVersion SMALLINT, Timeout INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_RemoteServiceAccessPoint (OID BIGINT NOT NULL, AccessClass NVARCHAR(256) COLLATE $(collation), AccessInfo NVARCHAR(1024) COLLATE $(collation), AccessState NVARCHAR(256) COLLATE $(collation), AccessType NVARCHAR(64) COLLATE $(collation), CertificateDate DATETIME, CertificateIssuer NVARCHAR(256) COLLATE $(collation), CertificatePushed BIT, CertificateSerial NVARCHAR(64) COLLATE $(collation), CommunicationState SMALLINT, CredentialState SMALLINT, HealthState SMALLINT, Port INT, PortProtocol SMALLINT, TrustState SMALLINT, UniqueId NVARCHAR(128) COLLATE $(collation), Verified BIT, RSAPVersion NVARCHAR(64) COLLATE $(collation), System_hosts BIGINT, PCIeSwitch_hosts BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_RemoteServiceAccessPoint_N (REMOTESERVICEACCESSPOINT_OID BIGINT, Namespaces NVARCHAR(1024) COLLATE $(collation));
CREATE TABLE SM_Remote_accessedVia_IPProt (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, IsManagement BIT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Report (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, Category NVARCHAR(256) COLLATE $(collation) NOT NULL, QueryId BIGINT, ReportDescription NVARCHAR(2000) COLLATE $(collation), DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_227 UNIQUE (Guid));
CREATE TABLE SM_ResourceAllocSettings (OID BIGINT NOT NULL, Address NVARCHAR(256) COLLATE $(collation), AllocationUnits NVARCHAR(256) COLLATE $(collation), AutomaticAllocation BIT, AutomaticDeallocation BIT, CompatibilityMode NVARCHAR(64) COLLATE $(collation), ConsumerVisibility SMALLINT, DataAccess NVARCHAR(16) COLLATE $(collation), HostResource IMAGE, AllocationLimit BIGINT, MappingBehavior SMALLINT, Minimum BIGINT, NwsdName NVARCHAR(256) COLLATE $(collation), Parent NVARCHAR(256) COLLATE $(collation), PoolID NVARCHAR(256) COLLATE $(collation), Reservation BIGINT, ResourceSubType NVARCHAR(64) COLLATE $(collation), ResourceType SMALLINT NOT NULL, StorageSequence NVARCHAR(16) COLLATE $(collation), SettingsPurpose NVARCHAR(256) COLLATE $(collation), StorageVolumeName NVARCHAR(256) COLLATE $(collation), UniqueID NVARCHAR(1024) COLLATE $(collation), VirtualLimit BIGINT, VirtualLimitPct FLOAT(32), VirtualMinimum BIGINT, VirtualMinimumPct FLOAT(32), VirtualQuantity BIGINT, VirtualQuantityPct FLOAT(32), Weight BIGINT, PhysicalElement_configuredUsi BIGINT, VirtualSystemSettings_contains BIGINT, allocatedFrom_ResourcePool BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ResourceCriteria (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, QueryString TEXT, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_229 UNIQUE (Guid));
CREATE TABLE SM_ResourcePool (OID BIGINT NOT NULL, AllocationUnits NVARCHAR(32) COLLATE $(collation), AvailableCapacity BIGINT, Capacity BIGINT, DefaultAllocation BIGINT, AllocationIncrement BIGINT, AllocationLimit BIGINT, MaximumAllocation BIGINT, MinimumAllocation BIGINT, Primordial BIT, RealAvailableCapacity BIGINT, Reserved BIGINT, ResourceSubType NVARCHAR(64) COLLATE $(collation), ResourceType SMALLINT NOT NULL, AnsiT10Id NVARCHAR(256) COLLATE $(collation), LargestSlice BIGINT, LowSpaceWarningThreshPercent INT, LowSpaceWarningThreshold BIGINT, MirrorProtected BIT, PoolType SMALLINT, RAIDLevel NVARCHAR(16) COLLATE $(collation), RemainingManagedSpace BIGINT, RemoteMirrored BIT, ShareVolumes BIT, TotalManagedSpace BIGINT, ComputerSystem_hosts BIGINT, allocatedFrom_ResourcePool BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_RetailStore (OID BIGINT NOT NULL, StoreIdentifier NVARCHAR(64) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SAP_AccessDomain_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SAP_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Sensor (OID BIGINT NOT NULL, CurrentState NVARCHAR(128) COLLATE $(collation), PollingInterval BIGINT, SensorType SMALLINT, Accuracy INT, BaseUnits SMALLINT, CurrentReading INT, Hysteresis BIGINT, InputVoltage FLOAT(32), IsLinear BIT, LastValue FLOAT(32), LowerThresholdCritical INT, LowerThresholdFatal INT, LowerThresholdNonCritical INT, MaxReadable INT, DDB_MaxValue FLOAT(32), MinReadable INT, NominalReading INT, NormalMax INT, NormalMin INT, PowerFactor FLOAT(32), RateUnits SMALLINT, Resolution BIGINT, UnitModifier BIGINT, UpperThresholdCritical INT, UpperThresholdFatal INT, UpperThresholdNonCritical INT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Sensor_LD_appliesTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Sensor_PE_appliesTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Sensor_SYS_appliesTo (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SEQUENCE (SEQ_NAME NVARCHAR(255) COLLATE $(collation) NOT NULL, SEQ_VAL BIGINT, PRIMARY KEY NONCLUSTERED (SEQ_NAME));
CREATE TABLE SM_Server_controls_Server (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Server_HypervisorPlatformT (SERVER_OID BIGINT, HypervisorPlatformTags NVARCHAR(1024) COLLATE $(collation));
CREATE TABLE SM_Server_memberOf_Logical (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Service (OID BIGINT NOT NULL, ActiveElapsedTime BIGINT, BackupIPAddress NVARCHAR(64) COLLATE $(collation), DeviceNames IMAGE, HealthState SMALLINT, LimitedMode BIT, ManagementPort BIGINT, MemorySize BIGINT, NumberOfCPUCores BIGINT, NumberOfConnections BIGINT, OperatingState SMALLINT, PrimaryIPAddress NVARCHAR(64) COLLATE $(collation), ServiceActivation NVARCHAR(256) COLLATE $(collation), ServiceIPAddresses IMAGE, ServiceName NVARCHAR(256) COLLATE $(collation) NOT NULL, ServiceStatus NVARCHAR(256) COLLATE $(collation), ServiceType NVARCHAR(64) COLLATE $(collation), StartOrder NVARCHAR(64) COLLATE $(collation), Started BIT, TransportType NVARCHAR(256) COLLATE $(collation), Vendor NVARCHAR(256) COLLATE $(collation), ServiceVersion NVARCHAR(64) COLLATE $(collation), System_provides BIGINT, PhysicalElement_provides BIGINT, ResourcePool_provides BIGINT, Service_redundantTo BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ServiceAccessPoint (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_243 UNIQUE (Guid));
CREATE TABLE SM_Service_accessedVia_SAP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Service_CommandPorts (SERVICE_OID BIGINT, CommandPorts BIGINT);
CREATE TABLE SM_Settings (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, ChangeableType SMALLINT, SettingID NVARCHAR(512) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_246 UNIQUE (Guid));
CREATE TABLE SM_Settings_AccDomain_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Settings_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwFeature_feds_SftwFeatu (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwImage_basedOn_StgExt (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwInstable_represents_SM (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, Priority BIGINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwInstallable_appliesTo_ (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwMod_definedUsing_SMDC (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwMod_installedOn_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwMod_latestFor_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwMod_recommendedFor_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwMod_requires_SftwMod (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwPkg_memberOf_AccDomain (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwRes_memberOf_AccDomain (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwRes_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwRes_provides_Service (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwRes_requires_SftwRes (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SftwRes_supersedes_SftwRes (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Slot_SlotTypes (SLOT_OID BIGINT, SlotTypes SMALLINT);
CREATE TABLE SM_SoftwareInstallable (OID BIGINT NOT NULL, BuildNumber NVARCHAR(128) COLLATE $(collation), Draft BIT, IdentifyingNumber NVARCHAR(256) COLLATE $(collation), InstallPath NVARCHAR(256) COLLATE $(collation), Status SMALLINT, Vendor NVARCHAR(64) COLLATE $(collation), SoftwareVersion NVARCHAR(128) COLLATE $(collation) NOT NULL, CreateUser NVARCHAR(64) COLLATE $(collation), CreationDateTime DATETIME, ImageType SMALLINT, Pending BIT, FileRepository_contains BIGINT, ImageContainer_contains BIGINT, VirtualAppliance_assimilates BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SoftwareMetaDataContent (OID BIGINT NOT NULL, Checksum NVARCHAR(64) COLLATE $(collation), ChecksumType NVARCHAR(16) COLLATE $(collation), ContentType NVARCHAR(64) COLLATE $(collation), ContentSize BIGINT, Vendor NVARCHAR(64) COLLATE $(collation), FileVersion NVARCHAR(64) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SoftwareModule (OID BIGINT NOT NULL, BuildDate DATETIME, BuildNumber NVARCHAR(128) COLLATE $(collation), Category SMALLINT, ComponentName NVARCHAR(256) COLLATE $(collation), Draft BIT, IdentifyingNumber NVARCHAR(64) COLLATE $(collation), PackageType NVARCHAR(64) COLLATE $(collation), ReleaseDate DATETIME, SoftwareID NVARCHAR(256) COLLATE $(collation), Uninstallable BIT, Vendor NVARCHAR(64) COLLATE $(collation), SoftwareVersion NVARCHAR(128) COLLATE $(collation) NOT NULL, AcquiredDate DATETIME, ActualSize BIGINT, Coexist BIT, Downloaded SMALLINT, ExternallyHosted BIT, Filenames IMAGE, FixType SMALLINT, ImpactStatement NVARCHAR(64) COLLATE $(collation), LastCheckForDate DATETIME, Platform NVARCHAR(64) COLLATE $(collation), ProblemRecordID NVARCHAR(64) COLLATE $(collation), ProviderSubType NVARCHAR(64) COLLATE $(collation), ProviderType NVARCHAR(64) COLLATE $(collation), RecommendedForOSLevel NVARCHAR(32) COLLATE $(collation), RepositoryProtocol NVARCHAR(16) COLLATE $(collation), RestartRequired BIT, RestartType NVARCHAR(32) COLLATE $(collation), Severity SMALLINT, Status SMALLINT, Superseded BIT, TargetProductVersion NVARCHAR(8) COLLATE $(collation), TargetRuntime SMALLINT, TotalSize BIGINT, UpdateID NVARCHAR(256) COLLATE $(collation), UpdateType SMALLINT, XCategory NVARCHAR(64) COLLATE $(collation), StackType SMALLINT, GroupType SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SoftwarePackage (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_268 UNIQUE (Guid));
CREATE TABLE SM_SoftwareRequirement (OID BIGINT NOT NULL, DDB_Type NVARCHAR(64) COLLATE $(collation), DDB_Values IMAGE, SoftwareResourceTemplate_requ BIGINT, SoftwareInstallable_requires BIGINT, SoftwareModule_requires BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SoftwareResource (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, BuildDate DATETIME, BuildNumber NVARCHAR(128) COLLATE $(collation), DesiredState SMALLINT, InstallDate DATETIME, InstallationState SMALLINT, LastUpdatedDate DATETIME, ObservedState SMALLINT, OfferingClassCode NVARCHAR(128) COLLATE $(collation), Pending BIT, ProductReleaseID NVARCHAR(128) COLLATE $(collation), Vendor NVARCHAR(64) COLLATE $(collation), SoftwareVersion NVARCHAR(128) COLLATE $(collation), DTYPE INT, SoftwareModule_installedAs BIGINT, definedUsing_SoftwareResource BIGINT, installedOn_ComputerSystem BIGINT, installedOn_OperatingSystem BIGINT, FixType SMALLINT, IdentifyingNumber NVARCHAR(64) COLLATE $(collation), SoftwareInstalledLocation NVARCHAR(512) COLLATE $(collation), SoftwareName NVARCHAR(512) COLLATE $(collation), FixedSoftwareVersion NVARCHAR(128) COLLATE $(collation), BackupVersion NVARCHAR(128) COLLATE $(collation), Category SMALLINT, DeviceType NVARCHAR(256) COLLATE $(collation), InstalledLocation NVARCHAR(512) COLLATE $(collation), PackageID NVARCHAR(128) COLLATE $(collation), SoftwareID NVARCHAR(256) COLLATE $(collation), SubCategory NVARCHAR(64) COLLATE $(collation), FeatureCode NVARCHAR(64) COLLATE $(collation), FeatureID NVARCHAR(64) COLLATE $(collation), FeatureType NVARCHAR(64) COLLATE $(collation), CreationDate DATETIME, FixGroupType SMALLINT, fixes_SoftwareInstallation BIGINT, SoftwareInstallation_configur BIGINT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_270 UNIQUE (Guid));
CREATE TABLE SM_Softwar_appliesTo_Compute (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Softwar_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Softwa_supersedes_Softwa (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SrvTemplate_definedUsing_SM (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Status (OID BIGINT NOT NULL, CategoryId NVARCHAR(256) COLLATE $(collation) NOT NULL, Severity SMALLINT NOT NULL, appliesTo_System BIGINT, appliesTo_RelatedData BIGINT, appliesTo_Collection BIGINT, appliesTo_PhysicalElement BIGINT, appliesTo_Settings BIGINT, appliesTo_Compliance BIGINT, appliesTo_LogicalDevice BIGINT, appliesTo_Template BIGINT, appliesTo_Identity BIGINT, appliesTo_ServiceAccessPoint BIGINT, appliesTo_SoftwarePackage BIGINT, appliesTo_SoftwareResource BIGINT, appliesTo_SystemContent BIGINT, appliesTo_TaskContent BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_StgExt_FileSystem_basedOn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StgExt_File_basedOn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StgExt_StgExt_basedOn (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StgPool_FileShare_uses (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, FilePath NVARCHAR(512) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StgPool_FileSystem_uses (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, FilePath NVARCHAR(512) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StorageExtent (OID BIGINT NOT NULL, AccessType SMALLINT, BlockSize BIGINT, Capacity BIGINT, ConsumableBlocks BIGINT, CopyCreationDate DATETIME, DataOrganization SMALLINT, DataRedundancy INT, DeltaReservation SMALLINT, ExportedLUNIdentifier NVARCHAR(256) COLLATE $(collation), ExternalUniqueID NVARCHAR(256) COLLATE $(collation), FreeSpace BIGINT, IsCompressed BIT, IsMultiPath BIT, LUNIdentifier NVARCHAR(256) COLLATE $(collation), NumberOfBlocks BIGINT, PackageRedundancy INT, RealSize BIGINT, RedundancyMethod NVARCHAR(32) COLLATE $(collation), ReservePolicy SMALLINT, SCSIIdentifier NVARCHAR(256) COLLATE $(collation), SequentialAccess BIT, SubsystemWWN NVARCHAR(256) COLLATE $(collation), VolumeType NVARCHAR(32) COLLATE $(collation), IEEEVolumeName NVARCHAR(128) COLLATE $(collation), IsReservedStorageDevice BIT, Mapped NVARCHAR(32) COLLATE $(collation), Address NVARCHAR(256) COLLATE $(collation), AllocationUnits NVARCHAR(16) COLLATE $(collation), HostWWPN NVARCHAR(16) COLLATE $(collation), InUseByVirtualAppliance BIT, IndexInDiskGroup INT, VirtualQuantity NVARCHAR(32) COLLATE $(collation), VirtualSCSI NVARCHAR(256) COLLATE $(collation), DiskGroup_contains BIGINT, copyBasedOn_StorageExtent BIGINT, accessedVia_MediaAccessDevice BIGINT, EndingAddress BIGINT, StartingAddress BIGINT, Volatile BIT, CacheType SMALLINT, CacheLevel SMALLINT, LineSize BIGINT, ReadPolicy SMALLINT, WritePolicy SMALLINT, Bootable BIT, OSPartition BIT, PartitionSubtype SMALLINT, PartitionType SMALLINT, PrimaryPartition BIT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Storage_mappedTo_FCPort (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_StringThresholdDefinition (OID BIGINT NOT NULL, CriticalStrings IMAGE, DefaultEventLevel SMALLINT, NormalStrings IMAGE, WarningStrings IMAGE, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SWDS_configuredUsing_SWM (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SWFtrIns_feds_SWIns (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SWIns_feds_SWCptIns (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Switch_memberOf_LN (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SWPDS_configuredUsing_SWP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SWPthCol_feds_SWPth (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SWStack_feds_SWModule (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SysContent_AccDomain_membe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SysContent_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SysPerfSettings_iSeries (OID BIGINT, DatabaseStatisticsCollection SMALLINT, LockLibraries BIT, PassThruServerJobs INT, ThreadAffinityLevel SMALLINT, TimeSliceEndAction SMALLINT);
CREATE TABLE SM_SysPool_cfgUsing_SysPoolSet (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SysRegionSettings_iSeries (OID BIGINT, CharacterIDControl NVARCHAR(32) COLLATE $(collation), GraphicCharacterSet NVARCHAR(32) COLLATE $(collation), LeapYearAdjustment INT, SetJobAttributesFromLocale IMAGE, TimeAdjustment NVARCHAR(32) COLLATE $(collation));
CREATE TABLE SM_SystemAssetSettings (OID BIGINT NOT NULL, AssetNumber NVARCHAR(32) COLLATE $(collation), AssetTag NVARCHAR(256) COLLATE $(collation), LeaseCost NVARCHAR(20) COLLATE $(collation), LeaseEndDate DATETIME, LeaseStartDate DATETIME, LeaseTerm BIGINT, Lessor NVARCHAR(64) COLLATE $(collation), PurchaseDate DATETIME, WarrantyCost NVARCHAR(20) COLLATE $(collation), WarrantyDuration BIGINT, WarrantyEndDate DATETIME, ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemContent (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_297 UNIQUE (Guid));
CREATE TABLE SM_SystemC_contains_Compute (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, SlotNumber BIGINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SystemDeviceSettings (OID BIGINT NOT NULL, AutoCleanupPrinterStorage INT, AutoConfigLocalDevices BIT, AutoConfigRemoteDevices BIT, AutoConfigVirtualDevices BIGINT, DefaultPrinter NVARCHAR(32) COLLATE $(collation), DeviceErrorAction SMALLINT, DeviceNamingConvention NVARCHAR(32) COLLATE $(collation), MaxStorageAction NVARCHAR(32) COLLATE $(collation), MaxStoragePct FLOAT(32), PowerFailureAction NVARCHAR(16) COLLATE $(collation), PrintFormat NVARCHAR(16) COLLATE $(collation), PrintPageFooter NVARCHAR(64) COLLATE $(collation), UPSMessageQueue NVARCHAR(32) COLLATE $(collation), ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemJob (OID BIGINT NOT NULL, ElapsedTime BIGINT, ErrorCode INT, JobIdentifier NVARCHAR(128) COLLATE $(collation) NOT NULL, JobState SMALLINT, JobStatus NVARCHAR(32) COLLATE $(collation), JobNumber NVARCHAR(32) COLLATE $(collation), Owner NVARCHAR(32) COLLATE $(collation), PercentComplete INT, Priority BIGINT, StartTime DATETIME, TimeSubmitted DATETIME, runsOn_ComputerSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemJobSettings (OID BIGINT NOT NULL, AdditionalActiveJobs BIGINT, AdditionalTotalJobs BIGINT, AllowInterrupts SMALLINT, AllowLogWrap SMALLINT, AllowNonThreadsafe SMALLINT, CreateLog SMALLINT, DisconnectTimeout BIGINT, InactiveJobAction SMALLINT, InactiveTimeout BIGINT, InitialActiveJobs BIGINT, InitialLogSize BIGINT, InitialPrinterOutputSize BIGINT, InitialTotalJobs BIGINT, KeepPrinterOutput BIT, MaxJobEndTime BIGINT, MaxJobNumber BIGINT, MaxLogSize BIGINT, MaxPrinterOutput BIGINT, ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemJob_PEP_affects (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, JobAffect SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SystemJob_Service_affects (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, JobAffect SMALLINT, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SystemPasswordPolicy (OID BIGINT NOT NULL, AllowAdjacentDigits BIT, AllowRepeatedCharacters SMALLINT, AllowReusedCharacters BIT, MaxPasswordLength INT, MinPasswordLength INT, PasswordChangeWait INT, PasswordExpirationInterval INT, PasswordExpirationWarning INT, PasswordHistoryDepth INT, PasswordLevel SMALLINT, PasswordRulesEnforced IMAGE, PasswordValidationProgram NVARCHAR(128) COLLATE $(collation), RequiresDigit BIT, RestrictedCharacters NVARCHAR(32) COLLATE $(collation), appliesTo_ComputerSystem BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemPerformanceSettings (OID BIGINT NOT NULL, CommunicationArbiterSize INT, CommunicationRecoveryLimit INT, DatabaseQueryTimeLimit BIGINT, DynamicPriorityAdjustment BIT, DynamicPriorityScheduler BIT, MaxActiveThreads BIGINT, MaxPoolThreads BIGINT, MemoryPoolSize BIGINT, MinMemoryPoolSize BIGINT, ParallelProcess SMALLINT, PerformanceAdjustment SMALLINT, SecondaryThreadAffinity BIT, ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemPoolSettings (OID BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemPool_PlatformVersion (SYSTEMPOOL_OID BIGINT, PlatformVersion NVARCHAR(4000) COLLATE $(collation));
CREATE TABLE SM_SystemPool_ProxyType (SYSTEMPOOL_OID BIGINT, ProxyType NVARCHAR(4000) COLLATE $(collation));
CREATE TABLE SM_SystemRegionalSettings (OID BIGINT NOT NULL, CodeSet NVARCHAR(64) COLLATE $(collation), CountryCode NVARCHAR(64) COLLATE $(collation), CurrencySymbol NVARCHAR(8) COLLATE $(collation), DBCSCapable BIT, DateFormat NVARCHAR(128) COLLATE $(collation), DateSeparator NVARCHAR(8) COLLATE $(collation), DecimalFormat NVARCHAR(8) COLLATE $(collation), DefaultLocale NVARCHAR(128) COLLATE $(collation), FontName NVARCHAR(64) COLLATE $(collation), FontSize FLOAT(32), KeyboardType NVARCHAR(64) COLLATE $(collation), LanguageEdition NVARCHAR(64) COLLATE $(collation), SortSequence NVARCHAR(32) COLLATE $(collation), TimeSeparator NVARCHAR(8) COLLATE $(collation), ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemResource (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation) NOT NULL, Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, AccessState NVARCHAR(256) COLLATE $(collation), CommunicationState SMALLINT, DetailedState SMALLINT, HealthState SMALLINT, IsDeleteable BIT, IsPingable BIT, IsQueryable BIT, LastInventoryDate DATETIME, MCType NVARCHAR(128) COLLATE $(collation), NodeName NVARCHAR(64) COLLATE $(collation), OperatingState SMALLINT, PrimaryOwnerContact NVARCHAR(256) COLLATE $(collation), PrimaryOwnerName NVARCHAR(64) COLLATE $(collation), SystemId NVARCHAR(1024) COLLATE $(collation), DTYPE INT NOT NULL, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_310 UNIQUE (Guid), CONSTRAINT UNQ_GuidOID UNIQUE (Guid, OID), CONSTRAINT UNQ_OIDNameDTYPEOb UNIQUE (OID, Name, DTYPE, ObjectType, Guid));
CREATE TABLE SM_SystemRole (OID BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemSecuritySettings (OID BIGINT NOT NULL, AdoptAuthorityUsers IMAGE, AllowSharedMemory BIT, AuditFileCreation SMALLINT, AuditLevels IMAGE, AuditingErrorAction SMALLINT, DefaultCreateAuthority SMALLINT, ExtendedAuditLevels IMAGE, MaxAuditEntries BIGINT, NonAuditLocations IMAGE, RestoreConversionLevel SMALLINT, RestoreSecureFiles IMAGE, RestoreSignatureVerfication SMALLINT, RetainSecureData BIT, SSLCipherControl BIT, SSLCipherList IMAGE, SSLProtocols IMAGE, SaveAccessPaths BIT, ScanFSControl IMAGE, ScanFSOptions IMAGE, SecurityLevel INT, ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemSecuritySettings_Aud (SYSTEMSECURITYSETTINGS_OID BIGINT, AuditControl SMALLINT);
CREATE TABLE SM_SystemServiceSettings (OID BIGINT NOT NULL, AccountingLevel IMAGE, AllowRemoteService BIT, DisplayStatusMessage BIT, FilterProblemLog BIT, LogSoftwareProblems BIT, MaxHistoryLog BIGINT, MessageQueue NVARCHAR(64) COLLATE $(collation), MinProblemRetention INT, ServiceDumpControl NVARCHAR(16) COLLATE $(collation), ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_SystemUserSettings (OID BIGINT NOT NULL, ConsoleName NVARCHAR(32) COLLATE $(collation), DisplayLoginInfo BIT, MaximumLoginAction SMALLINT, MaximumLoginFailures INT, ProcessorMultitasking SMALLINT, RemoteLoginInfo NVARCHAR(32) COLLATE $(collation), RestrictPrivilegedUsers BIT, ComputerSystem_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_System_advertises_Capabi (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_System_HostName (SYSTEM_OID BIGINT, HostName NVARCHAR(256) COLLATE $(collation));
CREATE TABLE SM_System_IPv4Address (SYSTEM_OID BIGINT, IPv4Address NVARCHAR(64) COLLATE $(collation));
CREATE TABLE SM_System_MACAddress (SYSTEM_OID BIGINT, MACAddress NVARCHAR(32) COLLATE $(collation));
CREATE TABLE SM_System_memberOf_AccessD (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_System_memberOf_Group (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_System_performs_SystemRole (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SysUserSettings_iSeries (OID BIGINT, AssistanceLevel NVARCHAR(16) COLLATE $(collation), AttentionProgram NVARCHAR(32) COLLATE $(collation), CharacterIdentifierControl NVARCHAR(16) COLLATE $(collation), KeyboardBuffering NVARCHAR(16) COLLATE $(collation), LimitDeviceSession INT, SpecialEnvironment NVARCHAR(16) COLLATE $(collation), SystemLibraryList IMAGE, UserLibraryList IMAGE);
CREATE TABLE SM_Sys_accessedVia_RSAP (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, IsProxyForState BIT, IsPrimary BIT, SourcePath NVARCHAR(1024) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_locatedAt_Location (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_CS_FEDS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_CS_RELIESON (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_FS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, FileSystemPath NVARCHAR(512) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_RES_POOL (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_RELIESON_SYS_POOL (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_SUPP_WRKLD_INST (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_SYS_POOL_SYS_POOL_FEDS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_TaskContent (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, DTYPE INT, PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_333 UNIQUE (Guid));
CREATE TABLE SM_TaskDefinition (OID BIGINT NOT NULL, ConcurrencyLevel BIGINT, CreatedByUser NVARCHAR(256) COLLATE $(collation), DmsJobId BIGINT, LastUpdatedByUser NVARCHAR(256) COLLATE $(collation), LastUpdatedDate DATETIME, SubscriptionId BIGINT, TaskJobId BIGINT, TaskType SMALLINT NOT NULL, TimeOut BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TaskInstance (OID BIGINT NOT NULL, CreatedByUser NVARCHAR(256) COLLATE $(collation), DmsJobId BIGINT, EndDate DATETIME, LastUpdatedByUser NVARCHAR(256) COLLATE $(collation), LastUpdatedDate DATETIME, NumberOfTargetsInParallel BIGINT, OutputMessage NVARCHAR(4000) COLLATE $(collation), RequestId BIGINT, StartDate DATETIME, Status SMALLINT, TimeOut BIGINT, derivedFrom_TaskDefinition BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TaskJob (OID BIGINT NOT NULL, CreatedTime DATETIME, TaskJobType NVARCHAR(256) COLLATE $(collation), TaskDefinition_configuredUsing BIGINT, TaskInstance_configuredUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TCPSettings (OID BIGINT NOT NULL, ARPCacheTimeout INT, DeadGWDetectEnabled BIT, DeadGWDetectInterval INT, ECNEnabled BIT, KeepAliveInterval BIGINT, LogProtocolErrors BIT, MTUDiscoveryEnabled BIT, MTUDiscoveryInterval BIGINT, NFCEnabled BIT, NFCSize BIGINT, NFCTimeout BIGINT, PDUForwarding BIT, ProcessUDPChecksums BIT, QoSEnabled BIT, QoSPathOptimization SMALLINT, QoSTimerResolution INT, R1RetransmissionCount INT, R2RetransmissionCount INT, ReassemblyTimeout BIGINT, ReceiveBufferSize BIGINT, RetransmissionTimeoutMax INT, RetransmissionTimeoutMin INT, SendBufferSize BIGINT, TimeToLive BIGINT, TimeWaitTimeout BIGINT, UseIPSourceRouting BIT, ComputerSystem_configuredUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Template (OID BIGINT NOT NULL, ChangedDate DATETIME, ClassName NVARCHAR(256) COLLATE $(collation) NOT NULL, CreatedDate DATETIME, Description NVARCHAR(512) COLLATE $(collation), DeviceModel NVARCHAR(128) COLLATE $(collation), DisplayName NVARCHAR(256) COLLATE $(collation), ElementType NVARCHAR(128) COLLATE $(collation), Guid char(32) COLLATE $(collation) NOT NULL, Hidden BIT, Locale NVARCHAR(32) COLLATE $(collation), Name NVARCHAR(256) COLLATE $(collation), Notifiable BIT, ObjectType NVARCHAR(64) COLLATE $(collation) NOT NULL, CreationTime DATETIME, CustomData TEXT, DetectApply BIT, SubType NVARCHAR(256) COLLATE $(collation), DTYPE INT, DefaultDefinition BIT, BasedOnDefinition BIT, Deployable BIT, FixLevel NVARCHAR(64) COLLATE $(collation), FixName NVARCHAR(256) COLLATE $(collation), MultiplicityType SMALLINT, OptionGroupName NVARCHAR(256) COLLATE $(collation), Selected BIT, SoftwareConfigurationType SMALLINT, SoftwareName NVARCHAR(256) COLLATE $(collation), SoftwareResourceType SMALLINT, SoftwareType NVARCHAR(64) COLLATE $(collation), SoftwareVersion NVARCHAR(128) COLLATE $(collation), OperatingSystem_configuredUsi BIGINT, derivedFrom_Template BIGINT, SoftwareModule_definedUsing BIGINT, realizes_VirtualSystemSettings BIGINT, configuredUsing_StorageTempla BIGINT, SoftwareImage_definedUsing BIGINT, Color NVARCHAR(64) COLLATE $(collation), MethodNames IMAGE, SaveLogs BIT, Active BIT, TemplateVersion NVARCHAR(64) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID), CONSTRAINT UNQ_Guid_338 UNIQUE (Guid));
CREATE TABLE SM_TemplateHandlerInfo (OID BIGINT NOT NULL, DeviceInfo NVARCHAR(256) COLLATE $(collation), HandlerName NVARCHAR(256) COLLATE $(collation), appliesTo_Template BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TemplateMethod (OID BIGINT NOT NULL, DDB_Type NVARCHAR(64) COLLATE $(collation), Cluster_hosts BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TemplateParameter (OID BIGINT NOT NULL, Changeable BIT, Encrypted BIT, MultiplicityType SMALLINT, ParameterType SMALLINT, ParameterValue NVARCHAR(2048) COLLATE $(collation), Template_configuredUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TemplateTarget (OID BIGINT NOT NULL, DeployTime DATETIME, TemplateStatus SMALLINT NOT NULL, appliesTo_System BIGINT, appliesTo_Group BIGINT, Template_targets BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_Template_AccDomain_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Template_contains_Templat (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Template_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_TimeZoneSettings (OID BIGINT NOT NULL, DaylightCaption NVARCHAR(16) COLLATE $(collation), DaylightDay TINYINT, DaylightDayOfWeek SMALLINT, DaylightMonth SMALLINT, DaylightName NVARCHAR(64) COLLATE $(collation), DaylightOffset INT, DaylightStartInterval DATETIME, StandardCaption NVARCHAR(16) COLLATE $(collation), StandardDay TINYINT, StandardDayOfWeek SMALLINT, StandardMonth SMALLINT, StandardName NVARCHAR(64) COLLATE $(collation), StandardOffset INT, StandardStartInterval DATETIME, OperatingSystem_configuredUsi BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_TmpFixGrp_feds_TmpFixGrp (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_TskContent_AccDomain_membe (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_TskContent_Group_memberOf (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_UserAccount (OID BIGINT NOT NULL, AccountCode NVARCHAR(64) COLLATE $(collation), CodeSet NVARCHAR(16) COLLATE $(collation), Country NVARCHAR(16) COLLATE $(collation), Disabled BIT, DisplayLoginMessage BIT, FirstName NVARCHAR(64) COLLATE $(collation), HomeDirectory NVARCHAR(1024) COLLATE $(collation), Host IMAGE, InactivityTimeout DATETIME, DDB_Language NVARCHAR(16) COLLATE $(collation), LastLogin DATETIME, LimitCapabilities SMALLINT, LocalPasswordManagement BIT, LoginFailures INT, MaximumLoginFailures INT, MaximumStorage BIGINT, MiddleName NVARCHAR(64) COLLATE $(collation), NoPassword BIT, Owner NVARCHAR(128) COLLATE $(collation), PasswordExpiration DATETIME, PasswordExpirationDate DATETIME, PasswordExpirationInterval INT, PasswordHistoryDepth INT, PasswordLastChanged DATETIME, PreferredLocale NVARCHAR(128) COLLATE $(collation), SchedulingPriority BIGINT, SpecialAuthorities IMAGE, StorageUsed BIGINT, Surname NVARCHAR(64) COLLATE $(collation), UserClass IMAGE, UserID NVARCHAR(128) COLLATE $(collation), GroupID NVARCHAR(128) COLLATE $(collation), ComputerSystem_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_UserAccount_iSeries (OID BIGINT, AssistanceLevel NVARCHAR(16) COLLATE $(collation), AttentionProgram NVARCHAR(32) COLLATE $(collation), AuditLevel IMAGE, AuditingValue NVARCHAR(16) COLLATE $(collation), BlockPasswordChange NVARCHAR(16) COLLATE $(collation), CharacterIdentifierControl NVARCHAR(16) COLLATE $(collation), CurrentLibrary NVARCHAR(16) COLLATE $(collation), GroupAuthority NVARCHAR(16) COLLATE $(collation), GroupAuthorityType NVARCHAR(16) COLLATE $(collation), InitialMenu NVARCHAR(32) COLLATE $(collation), InitialProgram NVARCHAR(32) COLLATE $(collation), JobDescription NVARCHAR(32) COLLATE $(collation), KeyboardBuffering NVARCHAR(16) COLLATE $(collation), LimitDeviceSession BIT, LocaleJobAttributes IMAGE, MessageQueue NVARCHAR(32) COLLATE $(collation), MessageQueueDelivery NVARCHAR(32) COLLATE $(collation), MessageQueueSeverity BIGINT, ObjectOwner NVARCHAR(16) COLLATE $(collation), OutputQueue NVARCHAR(32) COLLATE $(collation), PrintDevice NVARCHAR(16) COLLATE $(collation), SortSequenceTable NVARCHAR(32) COLLATE $(collation), SpecialEnvironment NVARCHAR(16) COLLATE $(collation), UserOptions IMAGE);
CREATE TABLE SM_UserContact (OID BIGINT NOT NULL, Address NVARCHAR(512) COLLATE $(collation), Address2 NVARCHAR(512) COLLATE $(collation), Address3 NVARCHAR(512) COLLATE $(collation), AllowSynchronization BIT, AlternateEMail NVARCHAR(512) COLLATE $(collation), AlternateFax NVARCHAR(25) COLLATE $(collation), Building NVARCHAR(128) COLLATE $(collation), City NVARCHAR(64) COLLATE $(collation), Company NVARCHAR(128) COLLATE $(collation), Country NVARCHAR(32) COLLATE $(collation), Department NVARCHAR(128) COLLATE $(collation), DeptNumber NVARCHAR(64) COLLATE $(collation), Division NVARCHAR(64) COLLATE $(collation), EMail NVARCHAR(512) COLLATE $(collation), EmployeeID NVARCHAR(128) COLLATE $(collation), FaxNumber NVARCHAR(25) COLLATE $(collation), FullName NVARCHAR(256) COLLATE $(collation), HelpDeskPhone NVARCHAR(25) COLLATE $(collation), HomePhone NVARCHAR(25) COLLATE $(collation), MailServiceLevel NVARCHAR(16) COLLATE $(collation), Mobile NVARCHAR(25) COLLATE $(collation), Office NVARCHAR(128) COLLATE $(collation), Pager NVARCHAR(25) COLLATE $(collation), PagerType NVARCHAR(32) COLLATE $(collation), PostalCode NVARCHAR(20) COLLATE $(collation), PreferredAddress NVARCHAR(256) COLLATE $(collation), PreferredAddressType NVARCHAR(16) COLLATE $(collation), StateName NVARCHAR(32) COLLATE $(collation), TelephoneNumber NVARCHAR(25) COLLATE $(collation), Title NVARCHAR(256) COLLATE $(collation), System_exposes BIGINT, UserAccount_exposes BIGINT, User_exposes BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_UserDevice (OID BIGINT NOT NULL, IsLocked BIT, CodePage NVARCHAR(16) COLLATE $(collation), Delay BIGINT, KeyboardType NVARCHAR(64) COLLATE $(collation), NumberOfFunctionKeys INT, Rate BIGINT, DoubleClickRate BIGINT, Handedness SMALLINT, NumberOfButtons SMALLINT, PointingType SMALLINT, Resolution BIGINT, Sensitivity BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_UserGroup (OID BIGINT NOT NULL, GID NVARCHAR(256) COLLATE $(collation), ManagedAsGroup BIT NOT NULL, ProxyParam NVARCHAR(2048) COLLATE $(collation), ProxyType NVARCHAR(256) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_UserGroup_federates_User (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_UserProfile (OID BIGINT NOT NULL, ProxyParam NVARCHAR(2048) COLLATE $(collation), ProxyType NVARCHAR(256) COLLATE $(collation), Superuser BIT, DDB_UID NVARCHAR(256) COLLATE $(collation), definedUsing_AccessDomain BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VideoHead (OID BIGINT NOT NULL, ChipType NVARCHAR(64) COLLATE $(collation), CurrentBitsPerPixel BIGINT, CurrentHorizontalResolution BIGINT, CurrentNumberOfColors BIGINT, CurrentNumberOfColumns BIGINT, CurrentNumberOfRows BIGINT, CurrentRefreshRate BIGINT, CurrentScanMode SMALLINT, CurrentVerticalResolution BIGINT, MaxRefreshRate BIGINT, MinRefreshRate BIGINT, DisplayController_hosts BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VirtualAppliance (OID BIGINT NOT NULL, ApplianceId NVARCHAR(64) COLLATE $(collation) NOT NULL, Readiness INT, RevisionComment NVARCHAR(512) COLLATE $(collation), RevisionVersion NVARCHAR(512) COLLATE $(collation), SpecificationId NVARCHAR(64) COLLATE $(collation) NOT NULL, SpecificationVersion NVARCHAR(32) COLLATE $(collation) NOT NULL, TrunkId NVARCHAR(64) COLLATE $(collation), TrunkName NVARCHAR(256) COLLATE $(collation), VirtualAppliance_precedes BIGINT, WorkloadInstance_capturedAs BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VirtualAppliance_Tags (VIRTUALAPPLIANCE_OID BIGINT, Tags NVARCHAR(1024) COLLATE $(collation));
CREATE TABLE SM_VirtualConnectivity (OID BIGINT NOT NULL, ConnectionType SMALLINT, ConnectivityState SMALLINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VirtualSystemSettings (OID BIGINT NOT NULL, AutomaticStartupAction SMALLINT, VirtualSystemIdentifier NVARCHAR(256) COLLATE $(collation), VirtualSystemType NVARCHAR(256) COLLATE $(collation), Server_definedUsing BIGINT, VirtualSystemSettings_basedOn BIGINT, Application NVARCHAR(512) COLLATE $(collation), SecurityPrivileges NVARCHAR(512) COLLATE $(collation), TotalPercentMsgQueues FLOAT(32), TotalPercentPinnedMem FLOAT(32), TotalPercentSemaphores FLOAT(32), TotalPrecentShrdMem FLOAT(32), ContainerType NVARCHAR(256) COLLATE $(collation), SystemContainer_definedUsing BIGINT, Checkpointable BIT, CopyNameResolutions BIT, DeviceExportFile NVARCHAR(256) COLLATE $(collation), Directory NVARCHAR(512) COLLATE $(collation), PreserveContent BIT, ContainerPrivileges NVARCHAR(4000) COLLATE $(collation), ResourceControlActive BIT, ResourceControlSet NVARCHAR(64) COLLATE $(collation), RootVGWPAR BIT, RootVolumeGroup NVARCHAR(64) COLLATE $(collation), Script NVARCHAR(512) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VLANEndpointSettings (OID BIGINT NOT NULL, AccessVLAN INT, DefaultVLAN INT, NativeVLAN INT, SwitchIdentifier NVARCHAR(256) COLLATE $(collation), TrunkedVLANList IMAGE, VLANEndpoint_definedUsing BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_VLANEp_memberOf_NetworkVLAN (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_WrkldInst_employs_Server (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, DefinitionId NVARCHAR(256) COLLATE $(collation), ImageId NVARCHAR(256) COLLATE $(collation), PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_WrkldInst_spans_CS (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_ZoneMember (OID BIGINT NOT NULL, ConnectivityID NVARCHAR(256) COLLATE $(collation) NOT NULL, ConnectivityType SMALLINT NOT NULL, InstanceID NVARCHAR(256) COLLATE $(collation) NOT NULL, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ZoneMember_memberOf_Zone (sourceId BIGINT NOT NULL, targetId BIGINT NOT NULL, PRIMARY KEY NONCLUSTERED (sourceId, targetId));
CREATE TABLE SM_Zones (OID BIGINT NOT NULL, Active BIT, AppliedDate DATETIME, ZoneType SMALLINT, Fabric_contains BIGINT, memberOf_ZoneSet BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE TABLE SM_ZoneSet (OID BIGINT NOT NULL, Active BIT, Fabric_contains BIGINT, PRIMARY KEY NONCLUSTERED (OID));
CREATE INDEX I_SM_CDMN_ACCESSDOMAIN_FEDERATES ON SM_AccessDomain (AccessDomain_federates);
CREATE INDEX I_SM_CNKY_INSTALLEDON_COMPUTERSYSTEM ON SM_ActivationKey (installedOn_ComputerSystem);
CREATE INDEX I_SM_CTWR_TARGETID ON SM_Activat_appliesTo_Softwar (targetId);
CREATE INDEX I_SM_DDMN_COMPUTERSYSTEM_CONTROLS ON SM_AdminDomain (ComputerSystem_controls);
CREATE INDEX I_SM_DDMN_HARDWAREMANAGEMENTCONSOLE_CONTROLS ON SM_AdminDomain (HardwareManagementConsole_con);
CREATE INDEX I_SM_DDMN_REQUIRES_POLICY ON SM_AdminDomain (requires_Policy);
CREATE INDEX I_SM_DDMN_SAN_CONTAINS ON SM_AdminDomain (SAN_contains);
CREATE INDEX I_SM_DDMN_SYSTEMCHASSIS_CONTAINS ON SM_AdminDomain (SystemChassis_contains);
CREATE INDEX I_SM_DDMN_VIRTUALAPPLIANCE_DEPLOYEDAS ON SM_AdminDomain (VirtualAppliance_deployedAs);
CREATE INDEX I_SM_DRVC_TARGETID ON SM_AdminD_accessedVia_Service (targetId);
CREATE INDEX I_SM_L_MP_PRIMARY_GUID ON SM_ALIAS_MAP (PRIMARY_GUID);
CREATE INDEX I_SM_TRSP_TARGETID ON SM_AuthReg_accessedVia_RSAP (targetId);
CREATE INDEX I_SM_BNTN_DTYPE ON SM_BaseThresholdDefinition (DTYPE);
CREATE INDEX I_SM_BNTN_NAME ON SM_BaseThresholdDefinition (Name);
CREATE INDEX I_SM_BNTN_OWNEDBY_METRICPROVIDER ON SM_BaseThresholdDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_BGCL_TARGETID ON SM_BaseThr_appliesTo_Logical (targetId);
CREATE INDEX I_SM_BRCD_TARGETID ON SM_BaseThr_appliesTo_MetricD (targetId);
CREATE INDEX I_SM_BYSC_TARGETID ON SM_BaseThr_appliesTo_Physica (targetId);
CREATE INDEX I_SM_BSRC_TARGETID ON SM_BaseThr_appliesTo_Resourc (targetId);
CREATE INDEX I_SM_BRVC_TARGETID ON SM_BaseThr_appliesTo_Service (targetId);
CREATE INDEX I_SM_BSTM_TARGETID ON SM_BaseThr_appliesTo_System (targetId);
CREATE INDEX I_SM_BTMC_TARGETID ON SM_BaseThr_appliesTo_SystemC (targetId);
CREATE INDEX I_SM_BNGS_COMPUTERSYSTEM_CONFIGUREDUSING ON SM_BootSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_B_LN_TARGETID ON SM_BTD_appliesTo_LN (targetId);
CREATE INDEX I_SM_CLTY_LOGICALDEVICE_ADVERTISES ON SM_Capability (LogicalDevice_advertises);
CREATE INDEX I_SM_CLTY_PHYSICALELEMENT_ADVERTISES ON SM_Capability (PhysicalElement_advertises);
CREATE INDEX I_SM_CLTY_RESOURCEPOOL_ADVERTISES ON SM_Capability (ResourcePool_advertises);
CREATE INDEX I_SM_CLTY_SERVICE_ADVERTISES ON SM_Capability (Service_advertises);
CREATE INDEX I_SM_CLTY_SOFTWAREMODULE_ADVERTISES ON SM_Capability (SoftwareModule_advertises);
CREATE INDEX I_SM_C_CP_TARGETID ON SM_CapGrp_federates_Cap (targetId);
CREATE INDEX I_SM_CLLR_CLUSTER_CONTAINS ON SM_ClusterAppController (Cluster_contains);
CREATE INDEX I_SM_CLLR_DTYPE ON SM_ClusterAppController (DTYPE);
CREATE INDEX I_SM_CLLR_NAME ON SM_ClusterAppController (Name);
CREATE INDEX I_SM_CNTR_CLUSTER_CONTAINS ON SM_ClusterAppMonitor (Cluster_contains);
CREATE INDEX I_SM_CNTR_DTYPE ON SM_ClusterAppMonitor (DTYPE);
CREATE INDEX I_SM_CNTR_NAME ON SM_ClusterAppMonitor (Name);
CREATE INDEX I_SM_CTRP_TARGETID1 ON SM_ClusterAp_hosts_ClusterAp (targetId);
CREATE INDEX I_SM_CGRP_CLUSTER_CONTAINS ON SM_ClusterResourceGroup (Cluster_contains);
CREATE INDEX I_SM_CTRP_TARGETID ON SM_ClusterRe_hosts_ClusterAp (targetId);
CREATE INDEX I_SM_CSRC_BASEDON_CLUSTERUSERDEFINEDRESOURCETYPE ON SM_ClusterUserDefResource (basedOn_ClusterUserDefinedRes);
CREATE INDEX I_SM_CSRC_DTYPE ON SM_ClusterUserDefResource (DTYPE);
CREATE INDEX I_SM_CSRC_NAME ON SM_ClusterUserDefResource (Name);
CREATE INDEX I_SM_CTYP_DTYPE ON SM_ClusterUserDefRscType (DTYPE);
CREATE INDEX I_SM_CTYP_NAME ON SM_ClusterUserDefRscType (Name);
CREATE INDEX I_SM_CGCL_TARGETID ON SM_Cluster_contains_Logical (targetId);
CREATE INDEX I_SM_CPRT_TARGETID ON SM_Cluster_contains_Operati (targetId);
CREATE INDEX I_SM_CSTR_TARGETID ON SM_Cluster_federates_Cluster (targetId);
CREATE INDEX I_SM_CYPS_CLUSTER_OID ON SM_Cluster_Types (CLUSTER_OID);
CREATE INDEX I_SM_CCTN_CLUSTER_CONTAINS ON SM_Collection (Cluster_contains);
CREATE INDEX I_SM_CCTN_DTYPE ON SM_Collection (DTYPE);
CREATE INDEX I_SM_CCTN_NAME ON SM_Collection (Name);
CREATE INDEX I_SM_CCDM_TARGETID ON SM_Collection_memberOf_AccDom (targetId);
CREATE INDEX I_SM_CGRP_TARGETID ON SM_Collection_memberOf_Group (targetId);
CREATE INDEX I_SM_CCTN_DTYPE1 ON SM_CompletionAction (DTYPE);
CREATE INDEX I_SM_CCTN_NAME1 ON SM_CompletionAction (Name);
CREATE INDEX I_SM_CCTN_SOFTWAREINSTALLABLE_REQUIRES ON SM_CompletionAction (SoftwareInstallable_requires);
CREATE INDEX I_SM_CLNC_DTYPE ON SM_Compliance (DTYPE);
CREATE INDEX I_SM_CLNC_NAME ON SM_Compliance (Name);
CREATE INDEX I_SM_CCSS_COMPLIANCERESULT_EXPOSES ON SM_ComplianceIssue (ComplianceResult_exposes);
CREATE INDEX I_SM_CDTN_APPLIESTO_SYSTEM ON SM_ComplianceRecommendation (appliesTo_System);
CREATE INDEX I_SM_CDTN_ASSIGNEDTO_SOFTWAREMODULE ON SM_ComplianceRecommendation (assignedTo_SoftwareModule);
CREATE INDEX I_SM_CDTN_BASEDON_TASKDEFINITION ON SM_ComplianceRecommendation (basedOn_TaskDefinition);
CREATE INDEX I_SM_CDTN_COMPLIANCEISSUE_RESOLVESFROM ON SM_ComplianceRecommendation (ComplianceIssue_resolvesFrom);
CREATE INDEX I_SM_CSLT_APPLIESTO_SYSTEM ON SM_ComplianceResult (appliesTo_System);
CREATE INDEX I_SM_CSLT_RESOLVESFROM_DESIREDSTATEELEMENT ON SM_ComplianceResult (resolvesFrom_DesiredStateElem);
CREATE INDEX I_SM_CMRY_APPLIESTO_GROUP ON SM_ComplianceSummary (appliesTo_Group);
CREATE INDEX I_SM_CMRY_APPLIESTO_SYSTEM ON SM_ComplianceSummary (appliesTo_System);
CREATE INDEX I_SM_CMMB_TARGETID ON SM_Compliance_AccDomain_membe (targetId);
CREATE INDEX I_SM_CBRF_TARGETID ON SM_Compliance_Group_memberOf (targetId);
CREATE INDEX I_SM_CTWR_TARGETID1 ON SM_Complian_basedOn_Software (targetId);
CREATE INDEX I_SM_CPLT_TARGETID ON SM_CompTemplate_feds_Template (targetId);
CREATE INDEX I_SM_CSTM_CLUSTER_FEDERATES ON SM_ComputerSystem (Cluster_federates);
CREATE INDEX I_SM_CSTM_FABRIC_CONTAINS ON SM_ComputerSystem (Fabric_contains);
CREATE INDEX I_SM_CSTM_HOSTPLATFORMPOLICY_APPLIESTO ON SM_ComputerSystem (HostPlatformPolicy_appliesTo);
CREATE INDEX I_SM_CSTM_HYBRIDSYSTEM_CONTAINS ON SM_ComputerSystem (HybridSystem_contains);
CREATE INDEX I_SM_CSTM_RETAILSTORE_FEDERATES ON SM_ComputerSystem (RetailStore_federates);
CREATE INDEX I_SM_CSTM_SCALEPOOL_FEDERATES ON SM_ComputerSystem (ScalePool_federates);
CREATE INDEX I_SM_CSTM_SERVER_CONTAINS ON SM_ComputerSystem (Server_contains);
CREATE INDEX I_SM_CSTM_STORAGESUBSYSTEM_CONTAINS ON SM_ComputerSystem (StorageSubsystem_contains);
CREATE INDEX I_SM_CSTM_SWITCH_FEDERATES ON SM_ComputerSystem (Switch_federates);
CREATE INDEX I_SM_CSTM_SYSTEM_HOSTS ON SM_ComputerSystem (System_hosts);
CREATE INDEX I_SM_CSTM_VIRTUALAPPLIANCE_DEPLOYEDAS ON SM_ComputerSystem (VirtualAppliance_deployedAs);
CREATE INDEX I_SM_CCTD_COMPUTERSYSTEM_OID ON SM_ComputerSystem_Dedicated (COMPUTERSYSTEM_OID);
CREATE INDEX I_SM_C_FL_TARGETID ON SM_ComputerSystem_uses_File (targetId);
CREATE INDEX I_SM_CRTS_TARGETID2 ON SM_CoolDomain_CS_federates (targetId);
CREATE INDEX I_SM_CRTS_TARGETID1 ON SM_CoolDomain_LD_federates (targetId);
CREATE INDEX I_SM_CRTS_TARGETID ON SM_CoolDomain_PE_federates (targetId);
CREATE INDEX I_SM_CTRS_TARGETID ON SM_CoolingDe_cools_ComputerS (targetId);
CREATE INDEX I_SM_CCLD_TARGETID ON SM_CoolingDe_cools_LogicalDe (targetId);
CREATE INDEX I_SM_CTRS_TARGETID1 ON SM_CoolingUn_cools_ComputerS (targetId);
CREATE INDEX I_SM_CCLD_TARGETID1 ON SM_CoolingUn_cools_LogicalDe (targetId);
CREATE INDEX I_SM_CPNG_DEFINEDUSING_REMOTESERVICEACCESSPOINT ON SM_CredentialMapping (definedUsing_RemoteServiceAcc);
CREATE INDEX I_SM_CRDF_TARGETID ON SM_CRG_contains_ClustUsrDef (targetId);
CREATE INDEX I_SM_C_CS_TARGETID ON SM_CS_connectedTo_CS (targetId);
CREATE INDEX I_SM_CS_P_TARGETID ON SM_CS_contains_PE (targetId);
CREATE INDEX I_SM_C_SM_TARGETID ON SM_CS_contains_SM (targetId);
CREATE INDEX I_SM_C_RS_TARGETID ON SM_CS_definedUsing_RAS (targetId);
CREATE INDEX I_SM_C_CS_TARGETID1 ON SM_CS_deploysTo_CS (targetId);
CREATE INDEX I_SM_C_PL_TARGETID1 ON SM_CS_DEPLOYSTO_SYS_POOL (targetId);
CREATE INDEX I_SM_CMDL_TARGETID ON SM_CS_needs_SoftwareModule (targetId);
CREATE INDEX I_SM_C_CS_TARGETID2 ON SM_CS_reliesOn_CS (targetId);
CREATE INDEX I_SM_C_PL_TARGETID ON SM_CS_RELIESON_RES_POOL (targetId);
CREATE INDEX I_SM_C_PL_TARGETID2 ON SM_CS_RELIESON_SYS_POOL (targetId);
CREATE INDEX I_SM_CNST_TARGETID ON SM_CS_supports_WorkloadInst (targetId);
CREATE INDEX I_SM_CDVC_TARGETID ON SM_CS_uses_LogicalDevice (targetId);
CREATE INDEX I_SM_DGRP_TARGETID1 ON SM_Desi_configuredUsing_Group (targetId);
CREATE INDEX I_SM_DVRY_DTYPE ON SM_Discovery (DTYPE);
CREATE INDEX I_SM_DVRY_NAME ON SM_Discovery (Name);
CREATE INDEX I_SM_DRFL_DTYPE ON SM_DiscoveryProfile (DTYPE);
CREATE INDEX I_SM_DRFL_NAME ON SM_DiscoveryProfile (Name);
CREATE INDEX I_SM_DSCV_TARGETID ON SM_Discove_federates_Discove (targetId);
CREATE INDEX I_SM_DNGS_COMPUTERSYSTEM_CONFIGUREDUSING ON SM_DNSSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_DNRL_ACCESSDOMAIN_FEDERATES ON SM_DomainRole (AccessDomain_federates);
CREATE INDEX I_SM_DNRL_DEFINEDUSING_INSTANCEACCESSROLE ON SM_DomainRole (definedUsing_InstanceAccessRo);
CREATE INDEX I_SM_DGRP_TARGETID2 ON SM_DomainRole_assignedTo_Group (targetId);
CREATE INDEX I_SM_DSSC_TARGETID1 ON SM_DR_UserGrp_Assoc (targetId);
CREATE INDEX I_SM_DSSC_TARGETID ON SM_DR_User_Assoc (targetId);
CREATE INDEX I_SM_DGRP_TARGETID ON SM_DSE_assignedTo_Group (targetId);
CREATE INDEX I_SM_DSTM_TARGETID ON SM_DSE_assignedTo_System (targetId);
CREATE INDEX I_SM_DRTY_APPLIESTO_MANAGEDELEMENT ON SM_DYNAMIC_PROPERTY (appliesTo_ManagedElement);
CREATE INDEX I_SM_DVLS_DYNAMICPROPERTY_ID ON SM_DYNAMIC_PROPERTY_VALUES (DYNAMICPROPERTY_ID);
CREATE INDEX I_SM_LTRG_EXTENSION_POINT ON SM_ELEMENT_STORAGE (EXTENSION_POINT);
CREATE INDEX I_SM_LTRG_GUID ON SM_ELEMENT_STORAGE (GUID);
CREATE INDEX I_SM_LTRG_OFTYPE_ES_TYPES ON SM_ELEMENT_STORAGE (ofType_ES_Types);
CREATE INDEX I_SM_NLTY_ENERGYMANAGEMENTCAPABILITY_OID ON SM_EnergyManagementCapability (ENERGYMANAGEMENTCAPABILITY_OID);
CREATE INDEX I_SM_SYPS_ES_TYPES_ELEMENT_TYPE ON SM_ES_ElementTypes (ES_TYPES_ELEMENT_TYPE);
CREATE INDEX I_SM_TGCL_TARGETID ON SM_Etherne_memberOf_Logical (targetId);
CREATE INDEX I_SM_TRTL_TARGETID ON SM_Etherne_memberOf_Virtual (targetId);
CREATE INDEX I_SM_FSTM_TARGETID ON SM_Farm_federates_System (targetId);
CREATE INDEX I_SM_FCTN_COMPUTERSYSTEM_CONTAINS ON SM_FileCollection (ComputerSystem_contains);
CREATE INDEX I_SM_F_FL_TARGETID ON SM_FileCol_contains_File (targetId);
CREATE INDEX I_SM_FTRY_COMPUTERSYSTEM_CONTAINS ON SM_FileRepository (ComputerSystem_contains);
CREATE INDEX I_SM_FTRY_FILESYSTEM_CONTAINS ON SM_FileRepository (FileSystem_contains);
CREATE INDEX I_SM_FSRC_COMPUTERSYSTEM_CONTAINS ON SM_FileResource (ComputerSystem_contains);
CREATE INDEX I_SM_FSRC_FILEREPOSITORY_CONTAINS ON SM_FileResource (FileRepository_contains);
CREATE INDEX I_SM_FSRC_FILESYSTEM_CONTAINS ON SM_FileResource (FileSystem_contains);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWAREINSTALLABLE ON SM_FileResource (realizes_SoftwareInstallable);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWAREMETADATACONTENT ON SM_FileResource (realizes_SoftwareMetaDataCont);
CREATE INDEX I_SM_FSRC_REALIZES_SOFTWARERESOURCE ON SM_FileResource (realizes_SoftwareResource);
CREATE INDEX I_SM_FSRC_REALIZES_TEMPLATEHANDLERINFO ON SM_FileResource (realizes_TemplateHandlerInfo);
CREATE INDEX I_SM_FSHR_EXPOSES_FILESYSTEM ON SM_FileShare (exposes_FileSystem);
CREATE INDEX I_SM_FSHR_SYSTEM_CONTAINS ON SM_FileShare (System_contains);
CREATE INDEX I_SM_FSTM_COMPUTERSYSTEM_CONTAINS ON SM_FileSystem (ComputerSystem_contains);
CREATE INDEX I_SM_FSTM_RESIDESON_LOGICALVOLUME ON SM_FileSystem (residesOn_LogicalVolume);
CREATE INDEX I_SM_FSTM_RESIDESON_PHYSICALVOLUME ON SM_FileSystem (residesOn_PhysicalVolume);
CREATE INDEX I_SM_FSTM_RESIDESON_STORAGEVOLUME ON SM_FileSystem (residesOn_StorageVolume);
CREATE INDEX I_SM_GRCC_TARGETID ON SM_GroupAc_federates_UserAcc (targetId);
CREATE INDEX I_SM_GNDT_DTYPE ON SM_GroupApplicationData (DTYPE);
CREATE INDEX I_SM_GNDT_NAME ON SM_GroupApplicationData (Name);
CREATE INDEX I_SM_GGST_GROUP_OID ON SM_Group_ImageSet (GROUP_OID);
CREATE INDEX I_SM_GCTN_TARGETID ON SM_Group_locatedAt_Location (targetId);
CREATE INDEX I_SM_HSL__HARDWAREMANAGEMENTCONSOLE_OID ON SM_HardwareManagementConsole_ (HARDWAREMANAGEMENTCONSOLE_OID);
CREATE INDEX I_SM_H_CS_TARGETID ON SM_HCP_controls_CS (targetId);
CREATE INDEX I_SM_HSRC_TARGETID ON SM_HCP_uses_SoftwareResource (targetId);
CREATE INDEX I_SM_HPPS_TARGETID1 ON SM_HPPS_EXCLUDES_HPPS (targetId);
CREATE INDEX I_SM_HPPS_TARGETID2 ON SM_HPPS_REQUIRES_HPPS (targetId);
CREATE INDEX I_SM_HPPS_TARGETID ON SM_HPP_CONTAINS_HPPS (targetId);
CREATE INDEX I_SM_DSRS_APPLIESTO_REMOTESERVICEACCESSPOINT ON SM_IdentityForUsers (appliesTo_RemoteServiceAccess);
CREATE INDEX I_SM_DSRS_AUTHENTICATIONREGISTRY_CONTAINS ON SM_IdentityForUsers (AuthenticationRegistry_contai);
CREATE INDEX I_SM_DSRS_DTYPE ON SM_IdentityForUsers (DTYPE);
CREATE INDEX I_SM_DSRS_NAME ON SM_IdentityForUsers (Name);
CREATE INDEX I_SM_DBRF_TARGETID1 ON SM_Identity_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_DBRF_TARGETID ON SM_Identity_Group_memberOf (targetId);
CREATE INDEX I_SM_MTNR_IMAGEREPOSITORY_CONTAINS ON SM_ImageContainer (ImageRepository_contains);
CREATE INDEX I_SM_MTRY_CONTROLLEDBY_COMPUTERSYSTEM ON SM_ImageRepository (controlledBy_ComputerSystem);
CREATE INDEX I_SM_M_CS_TARGETID ON SM_ImgRepos_accessedVia_CS (targetId);
CREATE INDEX I_SM_MSDN_TARGETID2 ON SM_ImgRepos_FileShare_basedOn (targetId);
CREATE INDEX I_SM_MSDN_TARGETID3 ON SM_ImgRepos_StgPool_basedOn (targetId);
CREATE INDEX I_SM_M_SS_TARGETID ON SM_IMG_CONT_DISK_GROUP_USES (targetId);
CREATE INDEX I_SM_MSDN_TARGETID ON SM_IMG_CONT_FILE_SHARE_BASEDON (targetId);
CREATE INDEX I_SM_MSDN_TARGETID1 ON SM_IMG_CONT_STG_POOL_BASEDON (targetId);
CREATE INDEX I_SM_M_CS_TARGETID1 ON SM_IMG_REPO_SHAREDBY_CS (targetId);
CREATE INDEX I_SM_NPRM_TARGETID ON SM_InstAccRole_basedOn_InstPrm (targetId);
CREATE INDEX I_SM_NSRL_INSTANCEACCESSROLE_FEDERATES ON SM_InstanceAccessRole (InstanceAccessRole_federates);
CREATE INDEX I_SM_NTGR_INSTANCEPERMISSION_OID ON SM_InstancePermission_Categor (INSTANCEPERMISSION_OID);
CREATE INDEX I_SM_PBNT_TARGETID ON SM_IPProto_memberOf_IPSubnet (targetId);
CREATE INDEX I_SM_LGCL_TARGETID ON SM_LANEndp_memberOf_Logical (targetId);
CREATE INDEX I_SM_LRTL_TARGETID ON SM_LANEndp_memberOf_Virtual (targetId);
CREATE INDEX I_SM_L_SP_TARGETID ON SM_LD_accessedVia_SAP (targetId);
CREATE INDEX I_SM_LLLR_TARGETID ON SM_LD_controlledBy_Controller (targetId);
CREATE INDEX I_SM_LDMN_TARGETID ON SM_LD_memberOf_AccessDomain (targetId);
CREATE INDEX I_SM_LRVC_TARGETID ON SM_Ld_provides_Service (targetId);
CREATE INDEX I_SM_LSRC_TARGETID ON SM_LD_uses_SoftwareResource (targetId);
CREATE INDEX I_SM_LDVC_ALLOCATEDFROM_RESOURCEPOOL ON SM_LogicalDevice (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_LDVC_COMPUTERSYSTEM_CONTAINS ON SM_LogicalDevice (ComputerSystem_contains);
CREATE INDEX I_SM_LDVC_DTYPE ON SM_LogicalDevice (DTYPE);
CREATE INDEX I_SM_LDVC_NAME ON SM_LogicalDevice (Name);
CREATE INDEX I_SM_LDVC_RESOURCEALLOCATIONSETTINGS_DEFINEDUSING ON SM_LogicalDevice (ResourceAllocationSettings_de);
CREATE INDEX I_SM_LDVC_RESOURCEPOOL_CONTAINS ON SM_LogicalDevice (ResourcePool_contains);
CREATE INDEX I_SM_LWRK_DEFINEDUSING_LOGICALNETWORKTEMPLATE ON SM_LogicalNetwork (definedUsing_LogicalNetworkTe);
CREATE INDEX I_SM_LWRK_SYSTEMPOOL_CONTAINS ON SM_LogicalNetwork (SystemPool_contains);
CREATE INDEX I_SM_LPRT_ETHERNETPORT_HOSTS ON SM_LogicalPort (EthernetPort_hosts);
CREATE INDEX I_SM_LPRT_FABRIC_CONTAINS ON SM_LogicalPort (Fabric_contains);
CREATE INDEX I_SM_LPRT_LOGICALMODULE_CONTAINS ON SM_LogicalPort (LogicalModule_contains);
CREATE INDEX I_SM_LPRT_LOGICALPORTGROUP_CONTAINS ON SM_LogicalPort (LogicalPortGroup_contains);
CREATE INDEX I_SM_LPRT_PCIDEVICE_ROUTEDTHROUGH ON SM_LogicalPort (PCIDevice_routedThrough);
CREATE INDEX I_SM_LGRP_COMPUTERSYSTEM_CONTAINS ON SM_LogicalPortGroup (ComputerSystem_contains);
CREATE INDEX I_SM_LTMP_TARGETID ON SM_Logical_appliesTo_SystemP (targetId);
CREATE INDEX I_SM_LCTN_TARGETID ON SM_Logical_locatedAt_Location (targetId);
CREATE INDEX I_SM_LGRP_TARGETID ON SM_Logical_memberOf_Group (targetId);
CREATE INDEX I_SM_MDVC_BASEDON_STORAGEEXTENT ON SM_MediaAccessDevice (basedOn_StorageExtent);
CREATE INDEX I_SM_MDVC_DISKGROUP_CONTAINS ON SM_MediaAccessDevice (DiskGroup_contains);
CREATE INDEX I_SM_MNTN_DTYPE ON SM_MetricDefinition (DTYPE);
CREATE INDEX I_SM_MNTN_NAME ON SM_MetricDefinition (Name);
CREATE INDEX I_SM_MNTN_OWNEDBY_METRICPROVIDER ON SM_MetricDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_MVDR_DTYPE ON SM_MetricProvider (DTYPE);
CREATE INDEX I_SM_MVDR_NAME ON SM_MetricProvider (Name);
CREATE INDEX I_SM_MNTN_DTYPE1 ON SM_MetricSetDefinition (DTYPE);
CREATE INDEX I_SM_MNTN_NAME1 ON SM_MetricSetDefinition (Name);
CREATE INDEX I_SM_MNTN_OWNEDBY_METRICPROVIDER1 ON SM_MetricSetDefinition (ownedBy_MetricProvider);
CREATE INDEX I_SM_MRCD_TARGETID ON SM_MetricSe_groups_MetricDe (targetId);
CREATE INDEX I_SM_MGCL_TARGETID ON SM_MetricS_appliesTo_Logical (targetId);
CREATE INDEX I_SM_MYSC_TARGETID ON SM_MetricS_appliesTo_Physica (targetId);
CREATE INDEX I_SM_MSRC_TARGETID ON SM_MetricS_appliesTo_Resourc (targetId);
CREATE INDEX I_SM_MRVC_TARGETID ON SM_MetricS_appliesTo_Service (targetId);
CREATE INDEX I_SM_MSTM_TARGETID ON SM_MetricS_appliesTo_System (targetId);
CREATE INDEX I_SM_MTMC_TARGETID ON SM_MetricS_appliesTo_SystemC (targetId);
CREATE INDEX I_SM_MKNS_BASETHRESHOLDDEFINITION_OID ON SM_ME_SourceTokens (BASETHRESHOLDDEFINITION_OID);
CREATE INDEX I_SM_MKNS_CLUSTERAPPCONTROLLER_OID ON SM_ME_SourceTokens (CLUSTERAPPCONTROLLER_OID);
CREATE INDEX I_SM_MKNS_CLUSTERAPPMONITOR_OID ON SM_ME_SourceTokens (CLUSTERAPPMONITOR_OID);
CREATE INDEX I_SM_MKNS_CLUSTERUSERDEFINEDRESOURCETYPE_OID ON SM_ME_SourceTokens (CLUSTERUSERDEFINEDRESOURCETYPE_OID);
CREATE INDEX I_SM_MKNS_CLUSTERUSERDEFINEDRESOURCE_OID ON SM_ME_SourceTokens (CLUSTERUSERDEFINEDRESOURCE_OID);
CREATE INDEX I_SM_MKNS_COLLECTION_OID ON SM_ME_SourceTokens (COLLECTION_OID);
CREATE INDEX I_SM_MKNS_COMPLETIONACTION_OID ON SM_ME_SourceTokens (COMPLETIONACTION_OID);
CREATE INDEX I_SM_MKNS_COMPLIANCE_OID ON SM_ME_SourceTokens (COMPLIANCE_OID);
CREATE INDEX I_SM_MKNS_DISCOVERYPROFILE_OID ON SM_ME_SourceTokens (DISCOVERYPROFILE_OID);
CREATE INDEX I_SM_MKNS_DISCOVERY_OID ON SM_ME_SourceTokens (DISCOVERY_OID);
CREATE INDEX I_SM_MKNS_GROUPAPPLICATIONDATA_OID ON SM_ME_SourceTokens (GROUPAPPLICATIONDATA_OID);
CREATE INDEX I_SM_MKNS_IDENTITY_OID ON SM_ME_SourceTokens (IDENTITY_OID);
CREATE INDEX I_SM_MKNS_LOGICALDEVICE_OID ON SM_ME_SourceTokens (LOGICALDEVICE_OID);
CREATE INDEX I_SM_MKNS_METRICDEFINITION_OID ON SM_ME_SourceTokens (METRICDEFINITION_OID);
CREATE INDEX I_SM_MKNS_METRICPROVIDER_OID ON SM_ME_SourceTokens (METRICPROVIDER_OID);
CREATE INDEX I_SM_MKNS_METRICSETDEFINITION_OID ON SM_ME_SourceTokens (METRICSETDEFINITION_OID);
CREATE INDEX I_SM_MKNS_PHYSICALELEMENT_OID ON SM_ME_SourceTokens (PHYSICALELEMENT_OID);
CREATE INDEX I_SM_MKNS_RELATEDDATA_OID ON SM_ME_SourceTokens (RELATEDDATA_OID);
CREATE INDEX I_SM_MKNS_REPORT_OID ON SM_ME_SourceTokens (REPORT_OID);
CREATE INDEX I_SM_MKNS_RESOURCECRITERIA_OID ON SM_ME_SourceTokens (RESOURCECRITERIA_OID);
CREATE INDEX I_SM_MKNS_SERVICEACCESSPOINT_OID ON SM_ME_SourceTokens (SERVICEACCESSPOINT_OID);
CREATE INDEX I_SM_MKNS_SETTINGS_OID ON SM_ME_SourceTokens (SETTINGS_OID);
CREATE INDEX I_SM_MKNS_SOFTWAREPACKAGE_OID ON SM_ME_SourceTokens (SOFTWAREPACKAGE_OID);
CREATE INDEX I_SM_MKNS_SOFTWARERESOURCE_OID ON SM_ME_SourceTokens (SOFTWARERESOURCE_OID);
CREATE INDEX I_SM_MKNS_SYSTEMCONTENT_OID ON SM_ME_SourceTokens (SYSTEMCONTENT_OID);
CREATE INDEX I_SM_MKNS_SYSTEM_OID ON SM_ME_SourceTokens (SYSTEM_OID);
CREATE INDEX I_SM_MKNS_TASKCONTENT_OID ON SM_ME_SourceTokens (TASKCONTENT_OID);
CREATE INDEX I_SM_MKNS_TEMPLATE_OID ON SM_ME_SourceTokens (TEMPLATE_OID);
CREATE INDEX I_SM_M_LN_TARGETID ON SM_MSD_appliesTo_LN (targetId);
CREATE INDEX I_SM_NNGS_COMPUTERSYSTEM_PROVIDES ON SM_NASExportSettings (ComputerSystem_provides);
CREATE INDEX I_SM_NNGS_FILESHARE_SECUREDWITH ON SM_NASExportSettings (FileShare_securedWith);
CREATE INDEX I_SM_NNGS_FILESYSTEM_SECUREDWITH ON SM_NASExportSettings (FileSystem_securedWith);
CREATE INDEX I_SM_N_ZN_TARGETID ON SM_NetworkPort_memberOf_Zone (targetId);
CREATE INDEX I_SM_NPRT_COMPUTERSYSTEM_HOSTS ON SM_NextHopRoute (ComputerSystem_hosts);
CREATE INDEX I_SM_NPRT_COMPUTERSYSTEM_MANAGES ON SM_NextHopRoute (ComputerSystem_manages);
CREATE INDEX I_SM_NS_P_TARGETID ON SM_NextHopRoute_use_PE (targetId);
CREATE INDEX I_SM_PSTM_BOOTSFROM_FILESYSTEM ON SM_OperatingSystem (bootsFrom_FileSystem);
CREATE INDEX I_SM_PSTM_INSTALLEDON_COMPUTERSYSTEM ON SM_OperatingSystem (installedOn_ComputerSystem);
CREATE INDEX I_SM_PSTM_RUNSON_COMPUTERSYSTEM ON SM_OperatingSystem (runsOn_ComputerSystem);
CREATE INDEX I_SM_PSTM_STORAGESUBSYSTEM_EMPLOYS ON SM_OperatingSystem (StorageSubsystem_employs);
CREATE INDEX I_SM_PNGS_OPERATINGSYSTEM_CONFIGUREDUSING ON SM_OperatingSystemSettings (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_S_LD_TARGETID ON SM_OS_uses_LD (targetId);
CREATE INDEX I_SM_PRNL_PASSTHROUGHMODULE_OID ON SM_PassThroughModule_External (PASSTHROUGHMODULE_OID);
CREATE INDEX I_SM_PRNL_PASSTHROUGHMODULE_OID1 ON SM_PassThroughModule_Internal (PASSTHROUGHMODULE_OID);
CREATE INDEX I_SM_P_PP_TARGETID ON SM_PEP_bindsTo_PEP (targetId);
CREATE INDEX I_SM_P_PP_TARGETID1 ON SM_PEP_connectedTo_PEP (targetId);
CREATE INDEX I_SM_PTRG_STORE_NAME ON SM_PERSISTENT_STORAGE (STORE_NAME);
CREATE INDEX I_SM_P_CS_TARGETID ON SM_PE_assignedTo_CS (targetId);
CREATE INDEX I_SM_PCTN_TARGETID ON SM_PE_locatedAt_Location (targetId);
CREATE INDEX I_SM_PDMN_TARGETID ON SM_PE_memberOf_AccessDomain (targetId);
CREATE INDEX I_SM_P_CS_TARGETID1 ON SM_PE_realizes_CS (targetId);
CREATE INDEX I_SM_P_LD_TARGETID ON SM_PE_realizes_LD (targetId);
CREATE INDEX I_SM_PCNN_TARGETID ON SM_PhyConn_connectedTo_PhyConn (targetId);
CREATE INDEX I_SM_PCTR_PHYSICALPACKAGE_PLUGSINTO ON SM_PhysicalConnector (PhysicalPackage_plugsInto);
CREATE INDEX I_SM_PMNT_DTYPE ON SM_PhysicalElement (DTYPE);
CREATE INDEX I_SM_PMNT_NAME ON SM_PhysicalElement (Name);
CREATE INDEX I_SM_PMNT_RESOURCEALLOCATIONSETTINGS_DEFINEDUSING ON SM_PhysicalElement (ResourceAllocationSettings_de);
CREATE INDEX I_SM_PCKG_CONFIGUREDUSING_CONFIGURATIONCAPACITY ON SM_PhysicalPackage (configuredUsing_Configuration);
CREATE INDEX I_SM_PYSC_TARGETID ON SM_Physica_contains_Physica (targetId);
CREATE INDEX I_SM_PGRP_TARGETID ON SM_Physica_memberOf_Group (targetId);
CREATE INDEX I_SM_PRVC_TARGETID ON SM_Physic_accessedVia_Service (targetId);
CREATE INDEX I_SM_PYSC_TARGETID1 ON SM_Physic_connectedTo_Physic (targetId);
CREATE INDEX I_SM_PLCY_COMPUTERSYSTEM_DEFINEDUSING ON SM_Policy (ComputerSystem_definedUsing);
CREATE INDEX I_SM_PLCY_DETERMINEDBY_CARD ON SM_Policy (determinedBy_Card);
CREATE INDEX I_SM_PLCY_FILESYSTEM_PROVIDES ON SM_Policy (FileSystem_provides);
CREATE INDEX I_SM_PLCY_REQUIRES_STORAGEPOOL ON SM_Policy (requires_StoragePool);
CREATE INDEX I_SM_PLCY_REQUIRES_SYSTEMPOOL ON SM_Policy (requires_SystemPool);
CREATE INDEX I_SM_PLCY_STORAGEPOOL_PROVIDES ON SM_Policy (StoragePool_provides);
CREATE INDEX I_SM_PLCY_STORAGEVOLUME_BASEDON ON SM_Policy (StorageVolume_basedOn);
CREATE INDEX I_SM_PNSR_TARGETID ON SM_PortCon_controls_Sensor (targetId);
CREATE INDEX I_SM_PRTS_TARGETID2 ON SM_PowerDomain_CS_federates (targetId);
CREATE INDEX I_SM_PRTS_TARGETID1 ON SM_PowerDomain_LD_federates (targetId);
CREATE INDEX I_SM_PRTS_TARGETID ON SM_PowerDomain_PE_federates (targetId);
CREATE INDEX I_SM_PGRP_POWERUNIT_CONTAINS ON SM_PowerOutletGroup (PowerUnit_contains);
CREATE INDEX I_SM_PSRC_POWEROUTLETGROUP_FEDERATES ON SM_PowerSource (PowerOutletGroup_federates);
CREATE INDEX I_SM_PCMP_TARGETID ON SM_Powe_suppliesPowerTo_Comp (targetId);
CREATE INDEX I_SM_P_LG_TARGETID ON SM_Powe_suppliesPowerTo_Logi (targetId);
CREATE INDEX I_SM_PCSS_RUNSON_COMPUTERSYSTEM ON SM_Process (runsOn_ComputerSystem);
CREATE INDEX I_SM_PRVC_TARGETID1 ON SM_Process_performs_Service (targetId);
CREATE INDEX I_SM_PPNT_CLUSTERRESOURCEGROUP_CONTAINS ON SM_ProtocolEndpoint (ClusterResourceGroup_contains);
CREATE INDEX I_SM_PPNT_DEFINEDUSING_POOLUPLINKSETTINGS ON SM_ProtocolEndpoint (definedUsing_PoolUplinkSettin);
CREATE INDEX I_SM_PPNT_LANENDPOINT_FEDERATES ON SM_ProtocolEndpoint (LANEndpoint_federates);
CREATE INDEX I_SM_PPNT_LOCATION_HOSTS ON SM_ProtocolEndpoint (Location_hosts);
CREATE INDEX I_SM_PPNT_SYSTEM_HOSTS ON SM_ProtocolEndpoint (System_hosts);
CREATE INDEX I_SM_PWRT_TARGETID2 ON SM_PwrSply_LD_suppliesPowerTo (targetId);
CREATE INDEX I_SM_PWRT_TARGETID1 ON SM_PwrSply_PE_suppliesPowerTo (targetId);
CREATE INDEX I_SM_PWRT_TARGETID ON SM_PwrSply_Sys_suppliesPowerTo (targetId);
CREATE INDEX I_SM_R_RS_TARGETID ON SM_RAS_basedOn_RAS (targetId);
CREATE INDEX I_SM_RSTM_TARGETID ON SM_Redunda_federates_System (targetId);
CREATE INDEX I_SM_RDDT_NAME ON SM_RelatedData (Name);
CREATE INDEX I_SM_R_NF_RELATIONSHIP_DEF_HC ON SM_RELATIONSHIP_INFO (RELATIONSHIP_DEF_HC);
CREATE INDEX I_SM_RBRF_TARGETID1 ON SM_RelData_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_RBRF_TARGETID ON SM_RelData_Group_memberOf (targetId);
CREATE INDEX I_SM_RPRT_SYSTEM_HOSTS ON SM_RemotePort (System_hosts);
CREATE INDEX I_SM_RPNT_PCIESWITCH_HOSTS ON SM_RemoteServiceAccessPoint (PCIeSwitch_hosts);
CREATE INDEX I_SM_RPNT_SYSTEM_HOSTS ON SM_RemoteServiceAccessPoint (System_hosts);
CREATE INDEX I_SM_RT_N_REMOTESERVICEACCESSPOINT_OID ON SM_RemoteServiceAccessPoint_N (REMOTESERVICEACCESSPOINT_OID);
CREATE INDEX I_SM_RPRT_TARGETID ON SM_Remote_accessedVia_IPProt (targetId);
CREATE INDEX I_SM_RPRT_DTYPE ON SM_Report (DTYPE);
CREATE INDEX I_SM_RPRT_NAME ON SM_Report (Name);
CREATE INDEX I_SM_RNGS_ALLOCATEDFROM_RESOURCEPOOL ON SM_ResourceAllocSettings (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_RNGS_PHYSICALELEMENT_CONFIGUREDUSING ON SM_ResourceAllocSettings (PhysicalElement_configuredUsi);
CREATE INDEX I_SM_RNGS_VIRTUALSYSTEMSETTINGS_CONTAINS ON SM_ResourceAllocSettings (VirtualSystemSettings_contains);
CREATE INDEX I_SM_RRTR_DTYPE ON SM_ResourceCriteria (DTYPE);
CREATE INDEX I_SM_RRTR_NAME ON SM_ResourceCriteria (Name);
CREATE INDEX I_SM_RCPL_ALLOCATEDFROM_RESOURCEPOOL ON SM_ResourcePool (allocatedFrom_ResourcePool);
CREATE INDEX I_SM_RCPL_COMPUTERSYSTEM_HOSTS ON SM_ResourcePool (ComputerSystem_hosts);
CREATE INDEX I_SM_SBRF_TARGETID4 ON SM_SAP_AccessDomain_memberOf (targetId);
CREATE INDEX I_SM_SBRF_TARGETID2 ON SM_SAP_Group_memberOf (targetId);
CREATE INDEX I_SM_SLST_TARGETID2 ON SM_Sensor_LD_appliesTo (targetId);
CREATE INDEX I_SM_SLST_TARGETID1 ON SM_Sensor_PE_appliesTo (targetId);
CREATE INDEX I_SM_SLST_TARGETID ON SM_Sensor_SYS_appliesTo (targetId);
CREATE INDEX I_SM_SRVR_TARGETID ON SM_Server_controls_Server (targetId);
CREATE INDEX I_SM_SRMT_SERVER_OID ON SM_Server_HypervisorPlatformT (SERVER_OID);
CREATE INDEX I_SM_SGCL_TARGETID ON SM_Server_memberOf_Logical (targetId);
CREATE INDEX I_SM_SRVC_PHYSICALELEMENT_PROVIDES ON SM_Service (PhysicalElement_provides);
CREATE INDEX I_SM_SRVC_RESOURCEPOOL_PROVIDES ON SM_Service (ResourcePool_provides);
CREATE INDEX I_SM_SRVC_SERVICE_REDUNDANTTO ON SM_Service (Service_redundantTo);
CREATE INDEX I_SM_SRVC_SYSTEM_PROVIDES ON SM_Service (System_provides);
CREATE INDEX I_SM_SPNT_DTYPE ON SM_ServiceAccessPoint (DTYPE);
CREATE INDEX I_SM_SPNT_NAME ON SM_ServiceAccessPoint (Name);
CREATE INDEX I_SM_S_SP_TARGETID ON SM_Service_accessedVia_SAP (targetId);
CREATE INDEX I_SM_SRTS_SERVICE_OID ON SM_Service_CommandPorts (SERVICE_OID);
CREATE INDEX I_SM_SNGS_DTYPE ON SM_Settings (DTYPE);
CREATE INDEX I_SM_SNGS_NAME ON SM_Settings (Name);
CREATE INDEX I_SM_SBRF_TARGETID1 ON SM_Settings_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_SBRF_TARGETID ON SM_Settings_Group_memberOf (targetId);
CREATE INDEX I_SM_SWFT_TARGETID ON SM_SftwFeature_feds_SftwFeatu (targetId);
CREATE INDEX I_SM_SGXT_TARGETID ON SM_SftwImage_basedOn_StgExt (targetId);
CREATE INDEX I_SM_S_SM_TARGETID ON SM_SftwInstable_represents_SM (targetId);
CREATE INDEX I_SM_SST__TARGETID ON SM_SftwInstallable_appliesTo_ (targetId);
CREATE INDEX I_SM_SMDC_TARGETID ON SM_SftwMod_definedUsing_SMDC (targetId);
CREATE INDEX I_SM_S_CS_TARGETID ON SM_SftwMod_installedOn_CS (targetId);
CREATE INDEX I_SM_S_CS_TARGETID1 ON SM_SftwMod_latestFor_CS (targetId);
CREATE INDEX I_SM_S_CS_TARGETID2 ON SM_SftwMod_recommendedFor_CS (targetId);
CREATE INDEX I_SM_SWMD_TARGETID ON SM_SftwMod_requires_SftwMod (targetId);
CREATE INDEX I_SM_SDMN_TARGETID ON SM_SftwPkg_memberOf_AccDomain (targetId);
CREATE INDEX I_SM_SDMN_TARGETID1 ON SM_SftwRes_memberOf_AccDomain (targetId);
CREATE INDEX I_SM_SGRP_TARGETID2 ON SM_SftwRes_memberOf_Group (targetId);
CREATE INDEX I_SM_SRVC_TARGETID ON SM_SftwRes_provides_Service (targetId);
CREATE INDEX I_SM_SWRS_TARGETID ON SM_SftwRes_requires_SftwRes (targetId);
CREATE INDEX I_SM_SWRS_TARGETID1 ON SM_SftwRes_supersedes_SftwRes (targetId);
CREATE INDEX I_SM_SYPS_SLOT_OID ON SM_Slot_SlotTypes (SLOT_OID);
CREATE INDEX I_SM_SLBL_FILEREPOSITORY_CONTAINS ON SM_SoftwareInstallable (FileRepository_contains);
CREATE INDEX I_SM_SLBL_IMAGECONTAINER_CONTAINS ON SM_SoftwareInstallable (ImageContainer_contains);
CREATE INDEX I_SM_SLBL_VIRTUALAPPLIANCE_ASSIMILATES ON SM_SoftwareInstallable (VirtualAppliance_assimilates);
CREATE INDEX I_SM_SMDL_IDENTIFYINGNUMBER ON SM_SoftwareModule (IdentifyingNumber);
CREATE INDEX I_SM_SMDL_UPDATEID ON SM_SoftwareModule (UpdateID);
CREATE INDEX I_SM_SCKG_DTYPE ON SM_SoftwarePackage (DTYPE);
CREATE INDEX I_SM_SCKG_NAME ON SM_SoftwarePackage (Name);
CREATE INDEX I_SM_SMNT_SOFTWAREINSTALLABLE_REQUIRES ON SM_SoftwareRequirement (SoftwareInstallable_requires);
CREATE INDEX I_SM_SMNT_SOFTWAREMODULE_REQUIRES ON SM_SoftwareRequirement (SoftwareModule_requires);
CREATE INDEX I_SM_SMNT_SOFTWARERESOURCETEMPLATE_REQUIRES ON SM_SoftwareRequirement (SoftwareResourceTemplate_requ);
CREATE INDEX I_SM_SSRC_DEFINEDUSING_SOFTWARERESOURCETEMPLATE ON SM_SoftwareResource (definedUsing_SoftwareResource);
CREATE INDEX I_SM_SSRC_DTYPE1 ON SM_SoftwareResource (DTYPE);
CREATE INDEX I_SM_SSRC_FIXES_SOFTWAREINSTALLATION ON SM_SoftwareResource (fixes_SoftwareInstallation);
CREATE INDEX I_SM_SSRC_INSTALLEDON_COMPUTERSYSTEM ON SM_SoftwareResource (installedOn_ComputerSystem);
CREATE INDEX I_SM_SSRC_INSTALLEDON_OPERATINGSYSTEM ON SM_SoftwareResource (installedOn_OperatingSystem);
CREATE INDEX I_SM_SSRC_NAME1 ON SM_SoftwareResource (Name);
CREATE INDEX I_SM_SSRC_SOFTWAREINSTALLATION_CONFIGURES ON SM_SoftwareResource (SoftwareInstallation_configur);
CREATE INDEX I_SM_SSRC_SOFTWAREMODULE_INSTALLEDAS ON SM_SoftwareResource (SoftwareModule_installedAs);
CREATE INDEX I_SM_SMPT_TARGETID ON SM_Softwar_appliesTo_Compute (targetId);
CREATE INDEX I_SM_SGRP_TARGETID1 ON SM_Softwar_memberOf_Group (targetId);
CREATE INDEX I_SM_SFTW_TARGETID ON SM_Softwa_supersedes_Softwa (targetId);
CREATE INDEX I_SM_S_SM_TARGETID1 ON SM_SrvTemplate_definedUsing_SM (targetId);
CREATE INDEX I_SM_STTS_APPLIESTO_COLLECTION ON SM_Status (appliesTo_Collection);
CREATE INDEX I_SM_STTS_APPLIESTO_COMPLIANCE ON SM_Status (appliesTo_Compliance);
CREATE INDEX I_SM_STTS_APPLIESTO_IDENTITY ON SM_Status (appliesTo_Identity);
CREATE INDEX I_SM_STTS_APPLIESTO_LOGICALDEVICE ON SM_Status (appliesTo_LogicalDevice);
CREATE INDEX I_SM_STTS_APPLIESTO_PHYSICALELEMENT ON SM_Status (appliesTo_PhysicalElement);
CREATE INDEX I_SM_STTS_APPLIESTO_RELATEDDATA ON SM_Status (appliesTo_RelatedData);
CREATE INDEX I_SM_STTS_APPLIESTO_SERVICEACCESSPOINT ON SM_Status (appliesTo_ServiceAccessPoint);
CREATE INDEX I_SM_STTS_APPLIESTO_SETTINGS ON SM_Status (appliesTo_Settings);
CREATE INDEX I_SM_STTS_APPLIESTO_SOFTWAREPACKAGE ON SM_Status (appliesTo_SoftwarePackage);
CREATE INDEX I_SM_STTS_APPLIESTO_SOFTWARERESOURCE ON SM_Status (appliesTo_SoftwareResource);
CREATE INDEX I_SM_STTS_APPLIESTO_SYSTEM ON SM_Status (appliesTo_System);
CREATE INDEX I_SM_STTS_APPLIESTO_SYSTEMCONTENT ON SM_Status (appliesTo_SystemContent);
CREATE INDEX I_SM_STTS_APPLIESTO_TASKCONTENT ON SM_Status (appliesTo_TaskContent);
CREATE INDEX I_SM_STTS_APPLIESTO_TEMPLATE ON SM_Status (appliesTo_Template);
CREATE INDEX I_SM_SSDN_TARGETID2 ON SM_StgExt_FileSystem_basedOn (targetId);
CREATE INDEX I_SM_SSDN_TARGETID ON SM_StgExt_File_basedOn (targetId);
CREATE INDEX I_SM_SSDN_TARGETID1 ON SM_StgExt_StgExt_basedOn (targetId);
CREATE INDEX I_SM_S_SS_TARGETID ON SM_StgPool_FileShare_uses (targetId);
CREATE INDEX I_SM_S_SS_TARGETID1 ON SM_StgPool_FileSystem_uses (targetId);
CREATE INDEX I_SM_STNT_ACCESSEDVIA_MEDIAACCESSDEVICE ON SM_StorageExtent (accessedVia_MediaAccessDevice);
CREATE INDEX I_SM_STNT_COPYBASEDON_STORAGEEXTENT ON SM_StorageExtent (copyBasedOn_StorageExtent);
CREATE INDEX I_SM_STNT_DISKGROUP_CONTAINS ON SM_StorageExtent (DiskGroup_contains);
CREATE INDEX I_SM_SPRT_TARGETID ON SM_Storage_mappedTo_FCPort (targetId);
CREATE INDEX I_SM_SSWM_TARGETID ON SM_SWDS_configuredUsing_SWM (targetId);
CREATE INDEX I_SM_SWNS_TARGETID ON SM_SWFtrIns_feds_SWIns (targetId);
CREATE INDEX I_SM_STNS_TARGETID ON SM_SWIns_feds_SWCptIns (targetId);
CREATE INDEX I_SM_S_LN_TARGETID ON SM_Switch_memberOf_LN (targetId);
CREATE INDEX I_SM_SSWP_TARGETID ON SM_SWPDS_configuredUsing_SWP (targetId);
CREATE INDEX I_SM_SPTH_TARGETID ON SM_SWPthCol_feds_SWPth (targetId);
CREATE INDEX I_SM_SMDL_TARGETID ON SM_SWStack_feds_SWModule (targetId);
CREATE INDEX I_SM_SMMB_TARGETID ON SM_SysContent_AccDomain_membe (targetId);
CREATE INDEX I_SM_SBRF_TARGETID3 ON SM_SysContent_Group_memberOf (targetId);
CREATE INDEX I_SM_SSRS_OID ON SM_SysPerfSettings_iSeries (OID);
CREATE INDEX I_SM_SLST_TARGETID3 ON SM_SysPool_cfgUsing_SysPoolSet (targetId);
CREATE INDEX I_SM_SSRS_OID1 ON SM_SysRegionSettings_iSeries (OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING ON SM_SystemAssetSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_STNT_DTYPE ON SM_SystemContent (DTYPE);
CREATE INDEX I_SM_STNT_NAME ON SM_SystemContent (Name);
CREATE INDEX I_SM_SMPT_TARGETID1 ON SM_SystemC_contains_Compute (targetId);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING1 ON SM_SystemDeviceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SMJB_RUNSON_COMPUTERSYSTEM ON SM_SystemJob (runsOn_ComputerSystem);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING2 ON SM_SystemJobSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SCTS_TARGETID ON SM_SystemJob_PEP_affects (targetId);
CREATE INDEX I_SM_SCTS_TARGETID1 ON SM_SystemJob_Service_affects (targetId);
CREATE INDEX I_SM_SLCY_APPLIESTO_COMPUTERSYSTEM ON SM_SystemPasswordPolicy (appliesTo_ComputerSystem);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING3 ON SM_SystemPerformanceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SRSN_SYSTEMPOOL_OID ON SM_SystemPool_PlatformVersion (SYSTEMPOOL_OID);
CREATE INDEX I_SM_STYP_SYSTEMPOOL_OID ON SM_SystemPool_ProxyType (SYSTEMPOOL_OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING4 ON SM_SystemRegionalSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SSRC_DTYPE ON SM_SystemResource (DTYPE);
CREATE INDEX I_SM_SSRC_NAME ON SM_SystemResource (Name);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING5 ON SM_SystemSecuritySettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SS_D_SYSTEMSECURITYSETTINGS_OID ON SM_SystemSecuritySettings_Aud (SYSTEMSECURITYSETTINGS_OID);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING6 ON SM_SystemServiceSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SNGS_COMPUTERSYSTEM_DEFINEDUSING7 ON SM_SystemUserSettings (ComputerSystem_definedUsing);
CREATE INDEX I_SM_SCPB_TARGETID ON SM_System_advertises_Capabi (targetId);
CREATE INDEX I_SM_STNM_SYSTEM_OID ON SM_System_HostName (SYSTEM_OID);
CREATE INDEX I_SM_SRSS_SYSTEM_OID ON SM_System_IPv4Address (SYSTEM_OID);
CREATE INDEX I_SM_SRSS_SYSTEM_OID1 ON SM_System_MACAddress (SYSTEM_OID);
CREATE INDEX I_SM_SSSD_TARGETID ON SM_System_memberOf_AccessD (targetId);
CREATE INDEX I_SM_SGRP_TARGETID ON SM_System_memberOf_Group (targetId);
CREATE INDEX I_SM_SMRL_TARGETID ON SM_System_performs_SystemRole (targetId);
CREATE INDEX I_SM_SSRS_OID2 ON SM_SysUserSettings_iSeries (OID);
CREATE INDEX I_SM_SRSP_TARGETID ON SM_Sys_accessedVia_RSAP (targetId);
CREATE INDEX I_SM_SCTN_TARGETID ON SM_SYS_locatedAt_Location (targetId);
CREATE INDEX I_SM_SFDS_TARGETID ON SM_SYS_POOL_CS_FEDS (targetId);
CREATE INDEX I_SM_SLSN_TARGETID ON SM_SYS_POOL_CS_RELIESON (targetId);
CREATE INDEX I_SM_S_FS_TARGETID ON SM_SYS_POOL_RELIESON_FS (targetId);
CREATE INDEX I_SM_S_PL_TARGETID ON SM_SYS_POOL_RELIESON_RES_POOL (targetId);
CREATE INDEX I_SM_S_PL_TARGETID1 ON SM_SYS_POOL_RELIESON_SYS_POOL (targetId);
CREATE INDEX I_SM_SNST_TARGETID ON SM_SYS_POOL_SUPP_WRKLD_INST (targetId);
CREATE INDEX I_SM_SFDS_TARGETID1 ON SM_SYS_POOL_SYS_POOL_FEDS (targetId);
CREATE INDEX I_SM_TTNT_DTYPE ON SM_TaskContent (DTYPE);
CREATE INDEX I_SM_TTNT_NAME ON SM_TaskContent (Name);
CREATE INDEX I_SM_TTNC_DERIVEDFROM_TASKDEFINITION ON SM_TaskInstance (derivedFrom_TaskDefinition);
CREATE INDEX I_SM_TKJB_TASKDEFINITION_CONFIGUREDUSING ON SM_TaskJob (TaskDefinition_configuredUsing);
CREATE INDEX I_SM_TKJB_TASKINSTANCE_CONFIGUREDUSING ON SM_TaskJob (TaskInstance_configuredUsing);
CREATE INDEX I_SM_TNGS_COMPUTERSYSTEM_CONFIGUREDUSING ON SM_TCPSettings (ComputerSystem_configuredUsing);
CREATE INDEX I_SM_TPLT_CONFIGUREDUSING_STORAGETEMPLATE ON SM_Template (configuredUsing_StorageTempla);
CREATE INDEX I_SM_TPLT_DERIVEDFROM_TEMPLATE ON SM_Template (derivedFrom_Template);
CREATE INDEX I_SM_TPLT_DTYPE ON SM_Template (DTYPE);
CREATE INDEX I_SM_TPLT_NAME ON SM_Template (Name);
CREATE INDEX I_SM_TPLT_OPERATINGSYSTEM_CONFIGUREDUSING ON SM_Template (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_TPLT_REALIZES_VIRTUALSYSTEMSETTINGS ON SM_Template (realizes_VirtualSystemSettings);
CREATE INDEX I_SM_TPLT_SOFTWAREIMAGE_DEFINEDUSING ON SM_Template (SoftwareImage_definedUsing);
CREATE INDEX I_SM_TPLT_SOFTWAREMODULE_DEFINEDUSING ON SM_Template (SoftwareModule_definedUsing);
CREATE INDEX I_SM_TRNF_APPLIESTO_TEMPLATE ON SM_TemplateHandlerInfo (appliesTo_Template);
CREATE INDEX I_SM_TTHD_CLUSTER_HOSTS ON SM_TemplateMethod (Cluster_hosts);
CREATE INDEX I_SM_TMTR_TEMPLATE_CONFIGUREDUSING ON SM_TemplateParameter (Template_configuredUsing);
CREATE INDEX I_SM_TRGT_APPLIESTO_GROUP ON SM_TemplateTarget (appliesTo_Group);
CREATE INDEX I_SM_TRGT_APPLIESTO_SYSTEM ON SM_TemplateTarget (appliesTo_System);
CREATE INDEX I_SM_TRGT_TEMPLATE_TARGETS ON SM_TemplateTarget (Template_targets);
CREATE INDEX I_SM_TBRF_TARGETID2 ON SM_Template_AccDomain_memberOf (targetId);
CREATE INDEX I_SM_TPLT_TARGETID ON SM_Template_contains_Templat (targetId);
CREATE INDEX I_SM_TBRF_TARGETID1 ON SM_Template_Group_memberOf (targetId);
CREATE INDEX I_SM_TNGS_OPERATINGSYSTEM_CONFIGUREDUSING ON SM_TimeZoneSettings (OperatingSystem_configuredUsi);
CREATE INDEX I_SM_TGRP_TARGETID ON SM_TmpFixGrp_feds_TmpFixGrp (targetId);
CREATE INDEX I_SM_TMMB_TARGETID ON SM_TskContent_AccDomain_membe (targetId);
CREATE INDEX I_SM_TBRF_TARGETID ON SM_TskContent_Group_memberOf (targetId);
CREATE INDEX I_SM_SCNT_COMPUTERSYSTEM_CONTAINS ON SM_UserAccount (ComputerSystem_contains);
CREATE INDEX I_SM_SSRS_OID3 ON SM_UserAccount_iSeries (OID);
CREATE INDEX I_SM_STCT_SYSTEM_EXPOSES ON SM_UserContact (System_exposes);
CREATE INDEX I_SM_STCT_USERACCOUNT_EXPOSES ON SM_UserContact (UserAccount_exposes);
CREATE INDEX I_SM_STCT_USER_EXPOSES ON SM_UserContact (User_exposes);
CREATE INDEX I_SM_S_SR_TARGETID ON SM_UserGroup_federates_User (targetId);
CREATE INDEX I_SM_SRFL_DEFINEDUSING_ACCESSDOMAIN ON SM_UserProfile (definedUsing_AccessDomain);
CREATE INDEX I_SM_VDHD_DISPLAYCONTROLLER_HOSTS ON SM_VideoHead (DisplayController_hosts);
CREATE INDEX I_SM_VLNC_VIRTUALAPPLIANCE_PRECEDES ON SM_VirtualAppliance (VirtualAppliance_precedes);
CREATE INDEX I_SM_VLNC_WORKLOADINSTANCE_CAPTUREDAS ON SM_VirtualAppliance (WorkloadInstance_capturedAs);
CREATE INDEX I_SM_VTGS_VIRTUALAPPLIANCE_OID ON SM_VirtualAppliance_Tags (VIRTUALAPPLIANCE_OID);
CREATE INDEX I_SM_VNGS_SERVER_DEFINEDUSING ON SM_VirtualSystemSettings (Server_definedUsing);
CREATE INDEX I_SM_VNGS_SYSTEMCONTAINER_DEFINEDUSING ON SM_VirtualSystemSettings (SystemContainer_definedUsing);
CREATE INDEX I_SM_VNGS_VIRTUALSYSTEMSETTINGS_BASEDON ON SM_VirtualSystemSettings (VirtualSystemSettings_basedOn);
CREATE INDEX I_SM_VNGS_VLANENDPOINT_DEFINEDUSING ON SM_VLANEndpointSettings (VLANEndpoint_definedUsing);
CREATE INDEX I_SM_VVLN_TARGETID ON SM_VLANEp_memberOf_NetworkVLAN (targetId);
CREATE INDEX I_SM_WRVR_TARGETID ON SM_WrkldInst_employs_Server (targetId);
CREATE INDEX I_SM_W_CS_TARGETID ON SM_WrkldInst_spans_CS (targetId);
CREATE INDEX I_SM_Z_ZN_TARGETID ON SM_ZoneMember_memberOf_Zone (targetId);
CREATE INDEX I_SM_ZONS_FABRIC_CONTAINS ON SM_Zones (Fabric_contains);
CREATE INDEX I_SM_ZONS_MEMBEROF_ZONESET ON SM_Zones (memberOf_ZoneSet);
CREATE INDEX I_SM_ZNST_FABRIC_CONTAINS ON SM_ZoneSet (Fabric_contains);
