@echo off
REM
REM Licensed Materials - Property of IBM
REM 5724-F75
REM (C) Copyright IBM Corp.  2009, 2010
REM All Rights Reserved
REM US Government Users Restricted Rights -Use, duplication or 
REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM

set DB_HOSTNAME=%1
set TC_DB=%2
set USERNAME=%3
set PASSWORD=%4
set INT_SECURITY=%5
set BACKUP_DIR=%~6
set DB_PORT=%7

IF not "%DB_PORT%" == "" (
set DB_PORT=,%DB_PORT%
)

set RUNQRY=sqlcmd -b -S %DB_HOSTNAME%%DB_PORT% -U %USERNAME% -P %PASSWORD% -Q

IF %INT_SECURITY% == T set RUNQRY=sqlcmd -b -S %DB_HOSTNAME%%DB_PORT% -Q

REM Disconnect current connections
echo Disconnecting connections to %TC_DB%...
%RUNQRY% "USE Master ALTER DATABASE %TC_DB% SET SINGLE_USER WITH ROLLBACK IMMEDIATE"
if errorlevel 1 exit %errorlevel%

REM Restore database
echo Restoring database %TC_DB%...
%RUNQRY% "USE Master RESTORE DATABASE %TC_DB% FROM DISK = '%BACKUP_DIR%' WITH REPLACE"
if errorlevel 1 exit %errorlevel%